// CodeMirror, copyright (c) by Marijn Haverbeke and others
// Distributed under an MIT license: http://codemirror.net/LICENSE

// This is CodeMirror (http://codemirror.net), a code editor
// implemented in JavaScript on top of the browser's DOM.
//
// You can find some technical background for some of the code below
// at http://marijnhaverbeke.nl/blog/#cm-internals .
!function(a,b){"object"==typeof exports&&"undefined"!=typeof module?module.exports=b():"function"==typeof define&&define.amd?define(b):a.CodeMirror=b()}(this,function(){"use strict";function w(a){return new RegExp("(^|\\s)"+a+"(?:$|\\s)\\s*")}function y(a){for(var b=a.childNodes.length;b>0;--b)a.removeChild(a.firstChild);return a}function z(a,b){return y(a).appendChild(b)}function A(a,b,c,d){var f,e=document.createElement(a);if(c&&(e.className=c),d&&(e.style.cssText=d),"string"==typeof b)e.appendChild(document.createTextNode(b));else if(b)for(f=0;f<b.length;++f)e.appendChild(b[f]);return e}function C(a,b){if(3==b.nodeType&&(b=b.parentNode),a.contains)return a.contains(b);do if(11==b.nodeType&&(b=b.host),b==a)return!0;while(b=b.parentNode)}function D(){var a;try{a=document.activeElement}catch(b){a=document.body||null}for(;a&&a.root&&a.root.activeElement;)a=a.root.activeElement;return a}function E(a,b){var c=a.className;w(b).test(c)||(a.className+=(c?" ":"")+b)}function F(a,b){var d,c=a.split(" ");for(d=0;d<c.length;d++)c[d]&&!w(c[d]).test(b)&&(b+=" "+c[d]);return b}function H(a){var b=Array.prototype.slice.call(arguments,1);return function(){return a.apply(null,b)}}function I(a,b,c){b||(b={});for(var d in a)!a.hasOwnProperty(d)||c===!1&&b.hasOwnProperty(d)||(b[d]=a[d]);return b}function J(a,b,c,d,e){var f,g,h;for(null==b&&(b=a.search(/[^\s\u00a0]/),-1==b&&(b=a.length)),f=d||0,g=e||0;;){if(h=a.indexOf("	",f),0>h||h>=b)return g+(b-f);g+=h-f,g+=c-g%c,f=h+1}}function K(){this.id=null}function L(a,b){for(var c=0;c<a.length;++c)if(a[c]==b)return c;return-1}function R(a,b,c){var d,e,f,g;for(d=0,e=0;;){if(f=a.indexOf("	",d),-1==f&&(f=a.length),g=f-d,f==a.length||e+g>=b)return d+Math.min(g,b-e);if(e+=f-d,e+=c-e%c,d=f+1,e>=b)return d}}function T(a){for(;S.length<=a;)S.push(U(S)+" ");return S[a]}function U(a){return a[a.length-1]}function V(a,b){var d,c=[];for(d=0;d<a.length;d++)c[d]=b(a[d],d);return c}function W(a,b,c){for(var d=0,e=c(b);d<a.length&&c(a[d])<=e;)d++;a.splice(d,0,b)}function X(){}function Y(a,b){var c;return Object.create?c=Object.create(a):(X.prototype=a,c=new X),b&&I(b,c),c}function $(a){return/\w/.test(a)||a>""&&(a.toUpperCase()!=a.toLowerCase()||Z.test(a))}function _(a,b){return b?b.source.indexOf("\\w")>-1&&$(a)?!0:b.test(a):$(a)}function ab(a){for(var b in a)if(a.hasOwnProperty(b)&&a[b])return!1;return!0}function cb(a){return a.charCodeAt(0)>=768&&bb.test(a)}function db(a,b,d){var e=this;this.input=d,e.scrollbarFiller=A("div",null,"CodeMirror-scrollbar-filler"),e.scrollbarFiller.setAttribute("cm-not-content","true"),e.gutterFiller=A("div",null,"CodeMirror-gutter-filler"),e.gutterFiller.setAttribute("cm-not-content","true"),e.lineDiv=A("div",null,"CodeMirror-code"),e.selectionDiv=A("div",null,null,"position: relative; z-index: 1"),e.cursorDiv=A("div",null,"CodeMirror-cursors"),e.measure=A("div",null,"CodeMirror-measure"),e.lineMeasure=A("div",null,"CodeMirror-measure"),e.lineSpace=A("div",[e.measure,e.lineMeasure,e.selectionDiv,e.cursorDiv,e.lineDiv],null,"position: relative; outline: none"),e.mover=A("div",[A("div",[e.lineSpace],"CodeMirror-lines")],null,"position: relative"),e.sizer=A("div",[e.mover],"CodeMirror-sizer"),e.sizerWidth=null,e.heightForcer=A("div",null,null,"position: absolute; height: "+M+"px; width: 1px;"),e.gutters=A("div",null,"CodeMirror-gutters"),e.lineGutter=null,e.scroller=A("div",[e.sizer,e.heightForcer,e.gutters],"CodeMirror-scroll"),e.scroller.setAttribute("tabIndex","-1"),e.wrapper=A("div",[e.scrollbarFiller,e.gutterFiller,e.scroller],"CodeMirror"),f&&8>g&&(e.gutters.style.zIndex=-1,e.scroller.style.paddingRight=0),h||c&&p||(e.scroller.draggable=!0),a&&(a.appendChild?a.appendChild(e.wrapper):a(e.wrapper)),e.viewFrom=e.viewTo=b.first,e.reportedViewFrom=e.reportedViewTo=b.first,e.view=[],e.renderedView=null,e.externalMeasured=null,e.viewOffset=0,e.lastWrapHeight=e.lastWrapWidth=0,e.updateLineNumbers=null,e.nativeBarWidth=e.barHeight=e.barWidth=0,e.scrollbarsClipped=!1,e.lineNumWidth=e.lineNumInnerWidth=e.lineNumChars=null,e.alignWidgets=!1,e.cachedCharWidth=e.cachedTextHeight=e.cachedPaddingH=null,e.maxLine=null,e.maxLineLength=0,e.maxLineChanged=!1,e.wheelDX=e.wheelDY=e.wheelStartX=e.wheelStartY=null,e.shift=!1,e.selForContextMenu=null,e.activeTouch=null,d.init(e)}function eb(a,b){var c,d,e,f;if(b-=a.first,0>b||b>=a.size)throw new Error("There is no line "+(b+a.first)+" in the document.");for(c=a;!c.lines;)for(d=0;;++d){if(e=c.children[d],f=e.chunkSize(),f>b){c=e;break}b-=f}return c.lines[b]}function fb(a,b,c){var d=[],e=b.line;return a.iter(b.line,c.line+1,function(a){var f=a.text;e==c.line&&(f=f.slice(0,c.ch)),e==b.line&&(f=f.slice(b.ch)),d.push(f),++e}),d}function gb(a,b,c){var d=[];return a.iter(b,c,function(a){d.push(a.text)}),d}function hb(a,b){var d,c=b-a.height;if(c)for(d=a;d;d=d.parent)d.height+=c}function ib(a){var b,c,d,e;if(null==a.parent)return null;for(b=a.parent,c=L(b.lines,a),d=b.parent;d;b=d,d=d.parent)for(e=0;d.children[e]!=b;++e)c+=d.children[e].chunkSize();return c+b.first}function jb(a,b){var d,e,f,g,h,i,c=a.first;a:do{for(d=0;d<a.children.length;++d){if(e=a.children[d],f=e.height,f>b){a=e;continue a}b-=f,c+=e.chunkSize()}return c}while(!a.lines);for(g=0;g<a.lines.length&&(h=a.lines[g],i=h.height,!(i>b));++g)b-=i;return c+g}function kb(a,b){return b>=a.first&&b<a.first+a.size}function lb(a,b){return String(a.lineNumberFormatter(b+a.firstLineNumber))}function mb(a,b){return this instanceof mb?(this.line=a,this.ch=b,void 0):new mb(a,b)}function nb(a,b){return a.line-b.line||a.ch-b.ch}function ob(a){return mb(a.line,a.ch)}function pb(a,b){return nb(a,b)<0?b:a}function qb(a,b){return nb(a,b)<0?a:b}function rb(a,b){return Math.max(a.first,Math.min(b,a.first+a.size-1))}function sb(a,b){if(b.line<a.first)return mb(a.first,0);var c=a.first+a.size-1;return b.line>c?mb(c,eb(a,c).text.length):tb(b,eb(a,b.line).text.length)}function tb(a,b){var c=a.ch;return null==c||c>b?mb(a.line,b):0>c?mb(a.line,0):a}function ub(a,b){var d,c=[];for(d=0;d<b.length;d++)c[d]=sb(a,b[d]);return c}function xb(){vb=!0}function yb(){wb=!0}function zb(a,b,c){this.marker=a,this.from=b,this.to=c}function Ab(a,b){var c,d;if(a)for(c=0;c<a.length;++c)if(d=a[c],d.marker==b)return d}function Bb(a,b){var c,d;for(d=0;d<a.length;++d)a[d]!=b&&(c||(c=[])).push(a[d]);return c}function Cb(a,b){a.markedSpans=a.markedSpans?a.markedSpans.concat([b]):[b],b.marker.attachLine(a)}function Db(a,b,c){var d,e,f,g,h,i;if(a)for(e=0;e<a.length;++e)f=a[e],g=f.marker,h=null==f.from||(g.inclusiveLeft?f.from<=b:f.from<b),!h&&(f.from!=b||"bookmark"!=g.type||c&&f.marker.insertLeft)||(i=null==f.to||(g.inclusiveRight?f.to>=b:f.to>b),(d||(d=[])).push(new zb(g,f.from,i?null:f.to)));return d}function Eb(a,b,c){var d,e,f,g,h,i;if(a)for(e=0;e<a.length;++e)f=a[e],g=f.marker,h=null==f.to||(g.inclusiveRight?f.to>=b:f.to>b),(h||f.from==b&&"bookmark"==g.type&&(!c||f.marker.insertLeft))&&(i=null==f.from||(g.inclusiveLeft?f.from<=b:f.from<b),(d||(d=[])).push(new zb(g,i?null:f.from-b,null==f.to?null:f.to-b)));return d}function Fb(a,b){var c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,t,s,u,v;if(b.full)return null;if(c=kb(a,b.from.line)&&eb(a,b.from.line).markedSpans,d=kb(a,b.to.line)&&eb(a,b.to.line).markedSpans,!c&&!d)return null;if(e=b.from.ch,f=b.to.ch,g=0==nb(b.from,b.to),h=Db(c,e,g),i=Eb(d,f,g),j=1==b.text.length,k=U(b.text).length+(j?e:0),h)for(l=0;l<h.length;++l)m=h[l],null==m.to&&(n=Ab(i,m.marker),n?j&&(m.to=null==n.to?null:n.to+k):m.to=e);if(i)for(o=0;o<i.length;++o)p=i[o],null!=p.to&&(p.to+=k),null==p.from?(q=Ab(h,p.marker),q||(p.from=k,j&&(h||(h=[])).push(p))):(p.from+=k,j&&(h||(h=[])).push(p));if(h&&(h=Gb(h)),i&&i!=h&&(i=Gb(i)),r=[h],!j){if(s=b.text.length-2,s>0&&h)for(u=0;u<h.length;++u)null==h[u].to&&(t||(t=[])).push(new zb(h[u].marker,null,null));for(v=0;s>v;++v)r.push(t);r.push(i)}return r}function Gb(a){var b,c;for(b=0;b<a.length;++b)c=a[b],null!=c.from&&c.from==c.to&&c.marker.clearWhenEmpty!==!1&&a.splice(b--,1);return a.length?a:null}function Hb(a,b,c){var e,f,g,h,i,j,k,l,m,d=null;if(a.iter(b.line,c.line+1,function(a){var b,c;if(a.markedSpans)for(b=0;b<a.markedSpans.length;++b)c=a.markedSpans[b].marker,!c.readOnly||d&&-1!=L(d,c)||(d||(d=[])).push(c)}),!d)return null;for(e=[{from:b,to:c}],f=0;f<d.length;++f)for(g=d[f],h=g.find(0),i=0;i<e.length;++i)j=e[i],nb(j.to,h.from)<0||nb(j.from,h.to)>0||(k=[i,1],l=nb(j.from,h.from),m=nb(j.to,h.to),(0>l||!g.inclusiveLeft&&!l)&&k.push({from:j.from,to:h.from}),(m>0||!g.inclusiveRight&&!m)&&k.push({from:h.to,to:j.to}),e.splice.apply(e,k),i+=k.length-1);return e}function Ib(a){var c,b=a.markedSpans;if(b){for(c=0;c<b.length;++c)b[c].marker.detachLine(a);a.markedSpans=null}}function Jb(a,b){if(b){for(var c=0;c<b.length;++c)b[c].marker.attachLine(a);a.markedSpans=b}}function Kb(a){return a.inclusiveLeft?-1:0}function Lb(a){return a.inclusiveRight?1:0}function Mb(a,b){var d,e,f,g,c=a.lines.length-b.lines.length;return 0!=c?c:(d=a.find(),e=b.find(),(f=nb(d.from,e.from)||Kb(a)-Kb(b))?-f:(g=nb(d.to,e.to)||Lb(a)-Lb(b),g?g:b.id-a.id))}function Nb(a,b){var d,e,f,c=wb&&a.markedSpans;if(c)for(e=void 0,f=0;f<c.length;++f)e=c[f],e.marker.collapsed&&null==(b?e.from:e.to)&&(!d||Mb(d,e.marker)<0)&&(d=e.marker);return d}function Ob(a){return Nb(a,!0)}function Pb(a){return Nb(a,!1)}function Qb(a,b,c,d,e){var h,i,j,k,l,f=eb(a,b),g=wb&&f.markedSpans;if(g)for(h=0;h<g.length;++h)if(i=g[h],i.marker.collapsed&&(j=i.marker.find(0),k=nb(j.from,c)||Kb(i.marker)-Kb(e),l=nb(j.to,d)||Lb(i.marker)-Lb(e),!(k>=0&&0>=l||0>=k&&l>=0)&&(0>=k&&(i.marker.inclusiveRight&&e.inclusiveLeft?nb(j.to,c)>=0:nb(j.to,c)>0)||k>=0&&(i.marker.inclusiveRight&&e.inclusiveLeft?nb(j.from,d)<=0:nb(j.from,d)<0))))return!0}function Rb(a){for(var b;b=Ob(a);)a=b.find(-1,!0).line;return a}function Sb(a){for(var b,c;b=Pb(a);)a=b.find(1,!0).line,(c||(c=[])).push(a);return c}function Tb(a,b){var c=eb(a,b),d=Rb(c);return c==d?b:ib(d)}function Ub(a,b){if(b>a.lastLine())return b;var d,c=eb(a,b);if(!Vb(a,c))return b;for(;d=Pb(c);)c=d.find(1,!0).line;return ib(c)+1}function Vb(a,b){var d,e,c=wb&&b.markedSpans;if(c)for(d=void 0,e=0;e<c.length;++e)if(d=c[e],d.marker.collapsed){if(null==d.from)return!0;if(!d.marker.widgetNode&&0==d.from&&d.marker.inclusiveLeft&&Wb(a,b,d))return!0}}function Wb(a,b,c){var d,e,f;if(null==c.to)return d=c.marker.find(1,!0),Wb(a,d.line,Ab(d.line.markedSpans,c.marker));if(c.marker.inclusiveRight&&c.to==b.text.length)return!0;for(e=void 0,f=0;f<b.markedSpans.length;++f)if(e=b.markedSpans[f],e.marker.collapsed&&!e.marker.widgetNode&&e.from==c.to&&(null==e.to||e.to!=c.from)&&(e.marker.inclusiveLeft||c.marker.inclusiveRight)&&Wb(a,b,e))return!0}function Xb(a){var b,c,d,e,f,g,h;for(a=Rb(a),b=0,c=a.parent,d=0;d<c.lines.length&&(e=c.lines[d],e!=a);++d)b+=e.height;for(f=c.parent;f;c=f,f=c.parent)for(g=0;g<f.children.length&&(h=f.children[g],h!=c);++g)b+=h.height;return b}function Yb(a){var c,b,d,e,f;if(0==a.height)return 0;for(b=a.text.length,d=a;c=Ob(d);)e=c.find(0,!0),d=e.from.line,b+=e.from.ch-e.to.ch;for(d=a;c=Pb(d);)f=c.find(0,!0),b-=d.text.length-f.from.ch,d=f.to.line,b+=d.text.length-f.to.ch;return b}function Zb(a){var b=a.display,c=a.doc;b.maxLine=eb(c,c.first),b.maxLineLength=Yb(b.maxLine),b.maxLineChanged=!0,c.iter(function(a){var c=Yb(a);c>b.maxLineLength&&(b.maxLineLength=c,b.maxLine=a)})}function $b(a,b,c,d){var e,f,g;if(!a)return d(b,c,"ltr");for(e=!1,f=0;f<a.length;++f)g=a[f],(g.from<c&&g.to>b||b==c&&g.to==b)&&(d(Math.max(g.from,b),Math.min(g.to,c),1==g.level?"rtl":"ltr"),e=!0);e||d(b,c,"ltr")}function _b(a){return a.level%2?a.to:a.from}function ac(a){return a.level%2?a.from:a.to}function bc(a){var b=kc(a);return b?_b(b[0]):0}function cc(a){var b=kc(a);return b?ac(U(b)):a.text.length}function dc(a,b,c){var d=a[0].level;return b==d?!0:c==d?!1:c>b}function fc(a,b){var c,d,e;for(ec=null,d=0;d<a.length;++d){if(e=a[d],e.from<b&&e.to>b)return d;if(e.from==b||e.to==b){if(null!=c)return dc(a,e.level,a[c].level)?(e.from!=e.to&&(ec=c),d):(e.from!=e.to&&(ec=d),c);c=d}}return c}function gc(a,b,c,d){if(!d)return b+c;do b+=c;while(b>0&&cb(a.text.charAt(b)));return b}function hc(a,b,c,d){var f,g,h,e=kc(a);if(!e)return ic(a,b,c,d);for(f=fc(e,b),g=e[f],h=gc(a,b,g.level%2?-c:c,d);;){if(h>g.from&&h<g.to)return h;if(h==g.from||h==g.to)return fc(e,h)==f?h:(g=e[f+=c],c>0==g.level%2?g.to:g.from);if(g=e[f+=c],!g)return null;h=c>0==g.level%2?gc(a,g.to,-1,d):gc(a,g.from,1,d)}}function ic(a,b,c,d){var e=b+c;if(d)for(;e>0&&cb(a.text.charAt(e));)e+=c;return 0>e||e>a.text.length?null:e}function kc(a){var b=a.order;return null==b&&(b=a.order=jc(a.text)),b}function nc(a,b){return a._handlers&&a._handlers[b]||lc}function oc(a,b,c){var d,e,f;a.removeEventListener?a.removeEventListener(b,c,!1):a.detachEvent?a.detachEvent("on"+b,c):(d=a._handlers,e=d&&d[b],e&&(f=L(e,c),f>-1&&(d[b]=e.slice(0,f).concat(e.slice(f+1)))))}function pc(a,b){var d,e,c=nc(a,b);if(c.length)for(d=Array.prototype.slice.call(arguments,2),e=0;e<c.length;++e)c[e].apply(null,d)}function qc(a,b,c){return"string"==typeof b&&(b={type:b,preventDefault:function(){this.defaultPrevented=!0}}),pc(a,c||b.type,a,b),wc(b)||b.codemirrorIgnore}function rc(a){var c,d,b=a._handlers&&a._handlers.cursorActivity;if(b)for(c=a.curOp.cursorActivityHandlers||(a.curOp.cursorActivityHandlers=[]),d=0;d<b.length;++d)-1==L(c,b[d])&&c.push(b[d])}function sc(a,b){return nc(a,b).length>0}function tc(a){a.prototype.on=function(a,b){mc(this,a,b)},a.prototype.off=function(a,b){oc(this,a,b)}}function uc(a){a.preventDefault?a.preventDefault():a.returnValue=!1}function vc(a){a.stopPropagation?a.stopPropagation():a.cancelBubble=!0}function wc(a){return null!=a.defaultPrevented?a.defaultPrevented:0==a.returnValue}function xc(a){uc(a),vc(a)}function yc(a){return a.target||a.srcElement}function zc(a){var b=a.which;return null==b&&(1&a.button?b=1:2&a.button?b=3:4&a.button&&(b=2)),q&&a.ctrlKey&&1==b&&(b=3),b}function Cc(a){var b,c;return null==Bc&&(b=A("span","​"),z(a,A("span",[b,document.createTextNode("x")])),0!=a.firstChild.offsetHeight&&(Bc=b.offsetWidth<=1&&b.offsetHeight>2&&!(f&&8>g))),c=Bc?A("span","​"):A("span"," ",null,"display: inline-block; width: 1px; margin-right: -1px"),c.setAttribute("cm-text",""),c}function Ec(a){var b,c,d;return null!=Dc?Dc:(b=z(a,document.createTextNode("AخA")),c=B(b,0,1).getBoundingClientRect(),d=B(b,1,2).getBoundingClientRect(),y(a),c&&c.left!=c.right?Dc=d.right-c.right<3:!1)}function Jc(a){var b,c,d;return null!=Ic?Ic:(b=z(a,A("span","x")),c=b.getBoundingClientRect(),d=B(b,0,1).getBoundingClientRect(),Ic=Math.abs(c.left-d.left)>1)}function Mc(a,b){arguments.length>2&&(b.dependencies=Array.prototype.slice.call(arguments,2)),Kc[a]=b}function Nc(a,b){Lc[a]=b}function Oc(a){if("string"==typeof a&&Lc.hasOwnProperty(a))a=Lc[a];else if(a&&"string"==typeof a.name&&Lc.hasOwnProperty(a.name)){var b=Lc[a.name];"string"==typeof b&&(b={name:b}),a=Y(b,a),a.name=b.name}else{if("string"==typeof a&&/^[\w\-]+\/[\w\-]+\+xml$/.test(a))return Oc("application/xml");if("string"==typeof a&&/^[\w\-]+\/[\w\-]+\+json$/.test(a))return Oc("application/json")}return"string"==typeof a?{name:a}:a||{name:"null"}}function Pc(a,b){var c,d,e,f,g;if(b=Oc(b),c=Kc[b.name],!c)return Pc(a,"text/plain");if(d=c(a,b),Qc.hasOwnProperty(b.name)){e=Qc[b.name];for(f in e)e.hasOwnProperty(f)&&(d.hasOwnProperty(f)&&(d["_"+f]=d[f]),d[f]=e[f])}if(d.name=b.name,b.helperType&&(d.helperType=b.helperType),b.modeProps)for(g in b.modeProps)d[g]=b.modeProps[g];return d}function Rc(a,b){var c=Qc.hasOwnProperty(a)?Qc[a]:Qc[a]={};I(b,c)}function Sc(a,b){var c,d,e;if(b===!0)return b;if(a.copyState)return a.copyState(b);c={};for(d in b)e=b[d],e instanceof Array&&(e=e.concat([])),c[d]=e;return c}function Tc(a,b){for(var c;a.innerMode&&(c=a.innerMode(b),c&&c.mode!=a);)b=c.state,a=c.mode;return c||{mode:a,state:b}}function Uc(a,b,c){return a.startState?a.startState(b,c):!0}function Wc(a,b,c,d){var g,h,e=[a.state.modeGen],f={};for(cd(a,b.text,a.doc.mode,c,function(a,b){return e.push(a,b)},f,d),g=function(c){var d=a.state.overlays[c],g=1,h=0;cd(a,b.text,d.mode,!0,function(a,b){for(var f,i,c=g;a>h;)f=e[g],f>a&&e.splice(g,1,a,e[g+1],f),g+=2,h=Math.min(a,f);if(b)if(d.opaque)e.splice(c,g-c,a,"overlay "+b),g=c+2;else for(;g>c;c+=2)i=e[c+1],e[c+1]=(i?i+" ":"")+"overlay "+b},f)},h=0;h<a.state.overlays.length;++h)g(h);return{styles:e,classes:f.bgClass||f.textClass?f:null}}function Xc(a,b,c){var d,e;return b.styles&&b.styles[0]==a.state.modeGen||(d=Yc(a,ib(b)),e=Wc(a,b,b.text.length>a.options.maxHighlightLength?Sc(a.doc.mode,d):d),b.stateAfter=d,b.styles=e.styles,e.classes?b.styleClasses=e.classes:b.styleClasses&&(b.styleClasses=null),c===a.doc.frontier&&a.doc.frontier++),b.styles}function Yc(a,b,c){var f,g,d=a.doc,e=a.display;return d.mode.startState?(f=dd(a,b,c),g=f>d.first&&eb(d,f-1).stateAfter,g=g?Sc(d.mode,g):Uc(d.mode),d.iter(f,b,function(c){Zc(a,c.text,g);var h=f==b-1||0==f%5||f>=e.viewFrom&&f<e.viewTo;c.stateAfter=h?Sc(d.mode,g):null,++f}),c&&(d.frontier=f),g):!0}function Zc(a,b,c,d){var e=a.doc.mode,f=new Vc(b,a.options.tabSize);for(f.start=f.pos=d||0,""==b&&$c(e,c);!f.eol();)_c(e,f,c),f.start=f.pos}function $c(a,b){if(a.blankLine)return a.blankLine(b);if(a.innerMode){var c=Tc(a,b);return c.mode.blankLine?c.mode.blankLine(c.state):void 0}}function _c(a,b,c,d){var e,f;for(e=0;10>e;e++)if(d&&(d[0]=Tc(a,c).mode),f=a.token(b,c),b.pos>b.start)return f;throw new Error("Mode "+a.name+" failed to advance stream.")}function ad(a,b,c,d){var h,i,j,l,k,e=function(a){return{start:k.start,end:k.pos,string:k.current(),type:h||null,state:a?Sc(f.mode,j):j}},f=a.doc,g=f.mode;for(b=sb(f,b),i=eb(f,b.line),j=Yc(a,b.line,c),k=new Vc(i.text,a.options.tabSize),d&&(l=[]);(d||k.pos<b.ch)&&!k.eol();)k.start=k.pos,h=_c(g,k,j),d&&l.push(e(!0));return d?l:e()}function bd(a,b){var c,d;if(a)for(;c=a.match(/(?:^|\s+)line-(background-)?(\S+)/),c;)a=a.slice(0,c.index)+a.slice(c.index+c[0].length),d=c[1]?"bgClass":"textClass",null==b[d]?b[d]=c[2]:new RegExp("(?:^|s)"+c[2]+"(?:$|s)").test(b[d])||(b[d]+=" "+c[2]);return a}function cd(a,b,c,d,e,f,g){var i,j,l,k,m,n,o,h=c.flattenSpans;for(null==h&&(h=a.options.flattenSpans),i=0,j=null,k=new Vc(b,a.options.tabSize),m=a.options.addModeClass&&[null],""==b&&bd($c(c,d),f);!k.eol();){if(k.pos>a.options.maxHighlightLength?(h=!1,g&&Zc(a,b,d,k.pos),k.pos=b.length,l=null):l=bd(_c(c,k,d,m),f),m&&(n=m[0].name,n&&(l="m-"+(l?n+" "+l:n))),!h||j!=l){for(;i<k.start;)i=Math.min(k.start,i+5e3),e(i,j);j=l}k.start=k.pos}for(;i<k.pos;)o=Math.min(k.pos,i+5e3),e(o,j),i=o}function dd(a,b,c){var d,e,h,i,j,f=a.doc,g=c?-1:b-(a.doc.mode.innerMode?1e3:100);for(h=b;h>g;--h){if(h<=f.first)return f.first;if(i=eb(f,h-1),i.stateAfter&&(!c||h<=f.frontier))return h;j=J(i.text,null,a.options.tabSize),(null==e||d>j)&&(e=h-1,d=j)}return e}function ed(a,b,c){this.text=a,Jb(this,b),this.height=c?c(this):1}function fd(a,b,c,d){a.text=b,a.stateAfter&&(a.stateAfter=null),a.styles&&(a.styles=null),null!=a.order&&(a.order=null),Ib(a),Jb(a,c);var e=d?d(a):1;e!=a.height&&hb(a,e)}function gd(a){a.parent=null,Ib(a)}function jd(a,b){if(!a||/^\s*$/.test(a))return null;var c=b.addModeClass?id:hd;return c[a]||(c[a]=a.replace(/\S+/g,"cm-$&"))}function kd(a,b){var e,g,i,j,k,c=A("span",null,null,h?"padding-right: .1px":null),d={pre:A("pre",[c],"CodeMirror-line"),content:c,col:0,pos:0,cm:a,trailingSpace:!1,splitSpaces:(f||h)&&a.getOption("lineWrapping")};for(b.measure={},e=0;e<=(b.rest?b.rest.length:0);e++)g=e?b.rest[e-1]:b.line,i=void 0,d.pos=0,d.addToken=md,Ec(a.display.measure)&&(i=kc(g))&&(d.addToken=od(d.addToken,i)),d.map=[],j=b!=a.display.externalMeasured&&ib(g),qd(g,d,Xc(a,g,j)),g.styleClasses&&(g.styleClasses.bgClass&&(d.bgClass=F(g.styleClasses.bgClass,d.bgClass||"")),g.styleClasses.textClass&&(d.textClass=F(g.styleClasses.textClass,d.textClass||""))),0==d.map.length&&d.map.push(0,0,d.content.appendChild(Cc(a.display.measure))),0==e?(b.measure.map=d.map,b.measure.cache={}):((b.measure.maps||(b.measure.maps=[])).push(d.map),(b.measure.caches||(b.measure.caches=[])).push({}));return h&&(k=d.content.lastChild,(/\bcm-tab\b/.test(k.className)||k.querySelector&&k.querySelector(".cm-tab"))&&(d.content.className="cm-tab-wrap-hack")),pc(a,"renderLine",a,b.line,d.pre),d.pre.className&&(d.textClass=F(d.pre.className,d.textClass||"")),d}function ld(a){var b=A("span","•","cm-invalidchar");return b.title="\\u"+a.charCodeAt(0).toString(16),b.setAttribute("aria-label",b.title),b}function md(a,b,c,d,e,h,i){var j,k,l,m,n,o,p,q,r,s,t,u,v;if(b){if(j=a.splitSpaces?nd(b,a.trailingSpace):b,k=a.cm.state.specialChars,l=!1,k.test(b))for(m=document.createDocumentFragment(),n=0;;){if(k.lastIndex=n,o=k.exec(b),p=o?o.index-n:b.length-n,p&&(q=document.createTextNode(j.slice(n,n+p)),f&&9>g?m.appendChild(A("span",[q])):m.appendChild(q),a.map.push(a.pos,a.pos+p,q),a.col+=p,a.pos+=p),!o)break;n+=p+1,r=void 0,"	"==o[0]?(s=a.cm.options.tabSize,t=s-a.col%s,r=m.appendChild(A("span",T(t),"cm-tab")),r.setAttribute("role","presentation"),r.setAttribute("cm-text","	"),a.col+=t):"\r"==o[0]||"\n"==o[0]?(r=m.appendChild(A("span","\r"==o[0]?"␍":"␤","cm-invalidchar")),r.setAttribute("cm-text",o[0]),a.col+=1):(r=a.cm.options.specialCharPlaceholder(o[0]),r.setAttribute("cm-text",o[0]),f&&9>g?m.appendChild(A("span",[r])):m.appendChild(r),a.col+=1),a.map.push(a.pos,a.pos+1,r),a.pos++}else a.col+=b.length,m=document.createTextNode(j),a.map.push(a.pos,a.pos+b.length,m),f&&9>g&&(l=!0),a.pos+=b.length;return a.trailingSpace=32==j.charCodeAt(b.length-1),c||d||e||l||i?(u=c||"",d&&(u+=d),e&&(u+=e),v=A("span",[m],u,i),h&&(v.title=h),a.content.appendChild(v)):(a.content.appendChild(m),void 0)}}function nd(a,b){var c,d,e,f;if(a.length>1&&!/  /.test(a))return a;for(c=b,d="",e=0;e<a.length;e++)f=a.charAt(e)," "!=f||!c||e!=a.length-1&&32!=a.charCodeAt(e+1)||(f=" "),d+=f,c=" "==f;return d}function od(a,b){return function(c,d,e,f,g,h,i){var j,k,l,m;for(e=e?e+" cm-force-border":"cm-force-border",j=c.pos,k=j+d.length;;){for(l=void 0,m=0;m<b.length&&(l=b[m],!(l.to>j&&l.from<=j));m++);if(l.to>=k)return a(c,d,e,f,g,h,i);a(c,d.slice(0,l.to-j),e,f,null,h,i),f=null,d=d.slice(l.to-j),j=l.to}}}function pd(a,b,c,d){var e=!d&&c.widgetNode;e&&a.map.push(a.pos,a.pos+b,e),!d&&a.cm.display.input.needsContentAttribute&&(e||(e=a.content.appendChild(document.createElement("span"))),e.setAttribute("cm-marker",c.id)),e&&(a.cm.display.input.setUneditable(e),a.content.appendChild(e)),a.pos+=b,a.trailingSpace=!1}function qd(a,b,c){var g,l,m,h,i,j,k,o,p,q,r,s,n,t,u,v,w,x,y,z,A,B,C,d=a.markedSpans,e=a.text,f=0;if(d)for(h=e.length,i=0,j=1,k="",n=0;;){if(n==i){for(o=p=q=r=m="",s=null,n=1/0,t=[],u=void 0,v=0;v<d.length;++v)w=d[v],x=w.marker,"bookmark"==x.type&&w.from==i&&x.widgetNode?t.push(x):w.from<=i&&(null==w.to||w.to>i||x.collapsed&&w.to==i&&w.from==i)?(null!=w.to&&w.to!=i&&n>w.to&&(n=w.to,p=""),x.className&&(o+=" "+x.className),x.css&&(m=(m?m+";":"")+x.css),x.startStyle&&w.from==i&&(q+=" "+x.startStyle),x.endStyle&&w.to==n&&(u||(u=[])).push(x.endStyle,w.to),x.title&&!r&&(r=x.title),x.collapsed&&(!s||Mb(s.marker,x)<0)&&(s=w)):w.from>i&&n>w.from&&(n=w.from);if(u)for(y=0;y<u.length;y+=2)u[y+1]==n&&(p+=" "+u[y]);if(!s||s.from==i)for(z=0;z<t.length;++z)pd(b,0,t[z]);if(s&&(s.from||0)==i){if(pd(b,(null==s.to?h+1:s.to)-i,s.marker,null==s.from),null==s.to)return;s.to==i&&(s=!1)}}if(i>=h)break;for(A=Math.min(h,n);;){if(k){if(B=i+k.length,s||(C=B>A?k.slice(0,A-i):k,b.addToken(b,C,l?l+o:o,q,i+C.length==n?p:"",r,m)),B>=A){k=k.slice(A-i),i=A;break}i=B,q=""}k=e.slice(f,f=c[j++]),l=jd(c[j++],b.cm.options)}}else for(g=1;g<c.length;g+=2)b.addToken(b,e.slice(f,f=c[g]),jd(c[g+1],b.cm.options))}function rd(a,b,c){this.line=b,this.rest=Sb(b),this.size=this.rest?ib(U(this.rest))-c+1:1,this.node=this.text=null,this.hidden=Vb(a,b)}function sd(a,b,c){var e,f,g,d=[];for(f=b;c>f;f=e)g=new rd(a.doc,eb(a.doc,f),f),e=f+g.size,d.push(g);return d}function ud(a){td?td.ops.push(a):a.ownsGroup=td={ops:[a],delayedCallbacks:[]}}function vd(a){var d,e,b=a.delayedCallbacks,c=0;do{for(;c<b.length;c++)b[c].call(null);for(d=0;d<a.ops.length;d++)if(e=a.ops[d],e.cursorActivityHandlers)for(;e.cursorActivityCalled<e.cursorActivityHandlers.length;)e.cursorActivityHandlers[e.cursorActivityCalled++].call(null,e.cm)}while(c<b.length)}function wd(a,b){var c=a.ownsGroup;if(c)try{vd(c)}finally{td=null,b(c)}}function yd(a,b){var e,d,f,g,c=nc(a,b);if(c.length)for(d=Array.prototype.slice.call(arguments,2),td?e=td.delayedCallbacks:xd?e=xd:(e=xd=[],setTimeout(zd,0)),f=function(a){e.push(function(){return c[a].apply(null,d)})},g=0;g<c.length;++g)f(g)}function zd(){var b,a=xd;for(xd=null,b=0;b<a.length;++b)a[b]()}function Ad(a,b,c,d){var e,f;for(e=0;e<b.changes.length;e++)f=b.changes[e],"text"==f?Ed(a,b):"gutter"==f?Gd(a,b,c,d):"class"==f?Fd(b):"widget"==f&&Hd(a,b,d);b.changes=null}function Bd(a){return a.node==a.text&&(a.node=A("div",null,null,"position: relative"),a.text.parentNode&&a.text.parentNode.replaceChild(a.node,a.text),a.node.appendChild(a.text),f&&8>g&&(a.node.style.zIndex=2)),a.node}function Cd(a){var c,b=a.bgClass?a.bgClass+" "+(a.line.bgClass||""):a.line.bgClass;b&&(b+=" CodeMirror-linebackground"),a.background?b?a.background.className=b:(a.background.parentNode.removeChild(a.background),a.background=null):b&&(c=Bd(a),a.background=c.insertBefore(A("div",null,b),c.firstChild))}function Dd(a,b){var c=a.display.externalMeasured;return c&&c.line==b.line?(a.display.externalMeasured=null,b.measure=c.measure,c.built):kd(a,b)}function Ed(a,b){var c=b.text.className,d=Dd(a,b);b.text==b.node&&(b.node=d.pre),b.text.parentNode.replaceChild(d.pre,b.text),b.text=d.pre,d.bgClass!=b.bgClass||d.textClass!=b.textClass?(b.bgClass=d.bgClass,b.textClass=d.textClass,Fd(b)):c&&(b.text.className=c)}function Fd(a){Cd(a),a.line.wrapClass?Bd(a).className=a.line.wrapClass:a.node!=a.text&&(a.node.className="");var b=a.textClass?a.textClass+" "+(a.line.textClass||""):a.line.textClass;a.text.className=b||""}function Gd(a,b,c,d){var e,f,g,h,i,j,k;if(b.gutter&&(b.node.removeChild(b.gutter),b.gutter=null),b.gutterBackground&&(b.node.removeChild(b.gutterBackground),b.gutterBackground=null),b.line.gutterClass&&(e=Bd(b),b.gutterBackground=A("div",null,"CodeMirror-gutter-background "+b.line.gutterClass,"left: "+(a.options.fixedGutter?d.fixedPos:-d.gutterTotalWidth)+"px; width: "+d.gutterTotalWidth+"px"),e.insertBefore(b.gutterBackground,b.text)),f=b.line.gutterMarkers,(a.options.lineNumbers||f)&&(g=Bd(b),h=b.gutter=A("div",null,"CodeMirror-gutter-wrapper","left: "+(a.options.fixedGutter?d.fixedPos:-d.gutterTotalWidth)+"px"),a.display.input.setUneditable(h),g.insertBefore(h,b.text),b.line.gutterClass&&(h.className+=" "+b.line.gutterClass),!a.options.lineNumbers||f&&f["CodeMirror-linenumbers"]||(b.lineNumber=h.appendChild(A("div",lb(a.options,c),"CodeMirror-linenumber CodeMirror-gutter-elt","left: "+d.gutterLeft["CodeMirror-linenumbers"]+"px; width: "+a.display.lineNumInnerWidth+"px"))),f))for(i=0;i<a.options.gutters.length;++i)j=a.options.gutters[i],k=f.hasOwnProperty(j)&&f[j],k&&h.appendChild(A("div",[k],"CodeMirror-gutter-elt","left: "+d.gutterLeft[j]+"px; width: "+d.gutterWidth[j]+"px"))}function Hd(a,b,c){b.alignable&&(b.alignable=null);for(var d=b.node.firstChild,e=void 0;d;d=e)e=d.nextSibling,"CodeMirror-linewidget"==d.className&&b.node.removeChild(d);Jd(a,b,c)}function Id(a,b,c,d){var e=Dd(a,b);return b.text=b.node=e.pre,e.bgClass&&(b.bgClass=e.bgClass),e.textClass&&(b.textClass=e.textClass),Fd(b),Gd(a,b,c,d),Jd(a,b,d),b.node}function Jd(a,b,c){if(Kd(a,b.line,b,c,!0),b.rest)for(var d=0;d<b.rest.length;d++)Kd(a,b.rest[d],b,c,!1)}function Kd(a,b,c,d,e){var f,g,h,i,j;if(b.widgets)for(f=Bd(c),g=0,h=b.widgets;g<h.length;++g)i=h[g],j=A("div",[i.node],"CodeMirror-linewidget"),i.handleMouseEvents||j.setAttribute("cm-ignore-events","true"),Ld(i,j,c,d),a.display.input.setUneditable(j),e&&i.above?f.insertBefore(j,c.gutter||c.text):f.appendChild(j),yd(i,"redraw")}function Ld(a,b,c,d){if(a.noHScroll){(c.alignable||(c.alignable=[])).push(b);var e=d.wrapperWidth;b.style.left=d.fixedPos+"px",a.coverGutter||(e-=d.gutterTotalWidth,b.style.paddingLeft=d.gutterTotalWidth+"px"),b.style.width=e+"px"}a.coverGutter&&(b.style.zIndex=5,b.style.position="relative",a.noHScroll||(b.style.marginLeft=-d.gutterTotalWidth+"px"))}function Md(a){var b,c;return null!=a.height?a.height:(b=a.doc.cm)?(C(document.body,a.node)||(c="position: relative;",a.coverGutter&&(c+="margin-left: -"+b.display.gutters.offsetWidth+"px;"),a.noHScroll&&(c+="width: "+b.display.wrapper.clientWidth+"px;"),z(b.display.measure,A("div",[a.node],null,c))),a.height=a.node.parentNode.offsetHeight):0}function Nd(a,b){for(var c=yc(b);c!=a.wrapper;c=c.parentNode)if(!c||1==c.nodeType&&"true"==c.getAttribute("cm-ignore-events")||c.parentNode==a.sizer&&c!=a.mover)return!0}function Od(a){return a.lineSpace.offsetTop}function Pd(a){return a.mover.offsetHeight-a.lineSpace.offsetHeight}function Qd(a){var b,c,d;return a.cachedPaddingH?a.cachedPaddingH:(b=z(a.measure,A("pre","x")),c=window.getComputedStyle?window.getComputedStyle(b):b.currentStyle,d={left:parseInt(c.paddingLeft),right:parseInt(c.paddingRight)},isNaN(d.left)||isNaN(d.right)||(a.cachedPaddingH=d),d)}function Rd(a){return M-a.display.nativeBarWidth}function Sd(a){return a.display.scroller.clientWidth-Rd(a)-a.display.barWidth}function Td(a){return a.display.scroller.clientHeight-Rd(a)-a.display.barHeight}function Ud(a,b,c){var f,g,h,i,j,d=a.options.lineWrapping,e=d&&Sd(a);if(!b.measure.heights||d&&b.measure.width!=e){if(f=b.measure.heights=[],d)for(b.measure.width=e,g=b.text.firstChild.getClientRects(),h=0;h<g.length-1;h++)i=g[h],j=g[h+1],Math.abs(i.bottom-j.bottom)>2&&f.push((i.bottom+j.top)/2-c.top);f.push(c.bottom-c.top)}}function Vd(a,b,c){var d,e;if(a.line==b)return{map:a.measure.map,cache:a.measure.cache};for(d=0;d<a.rest.length;d++)if(a.rest[d]==b)return{map:a.measure.maps[d],cache:a.measure.caches[d]};for(e=0;e<a.rest.length;e++)if(ib(a.rest[e])>c)return{map:a.measure.maps[e],cache:a.measure.caches[e],before:!0}}function Wd(a,b){var c,d,e;return b=Rb(b),c=ib(b),d=a.display.externalMeasured=new rd(a.doc,b,c),d.lineN=c,e=d.built=kd(a,d),d.text=e.pre,z(a.display.lineMeasure,e.pre),d}function Xd(a,b,c,d){return $d(a,Zd(a,b),c,d)}function Yd(a,b){if(b>=a.display.viewFrom&&b<a.display.viewTo)return a.display.view[ze(a,b)];var c=a.display.externalMeasured;return c&&b>=c.lineN&&b<c.lineN+c.size?c:void 0}function Zd(a,b){var e,c=ib(b),d=Yd(a,c);return d&&!d.text?d=null:d&&d.changes&&(Ad(a,d,c,ue(a)),a.curOp.forceUpdate=!0),d||(d=Wd(a,b)),e=Vd(d,b,c),{line:b,view:d,rect:null,map:e.map,cache:e.cache,before:e.before,hasHeights:!1}}function $d(a,b,c,d,e){b.before&&(c=-1);var g,f=c+(d||"");return b.cache.hasOwnProperty(f)?g=b.cache[f]:(b.rect||(b.rect=b.view.text.getBoundingClientRect()),b.hasHeights||(Ud(a,b.view,b.rect),b.hasHeights=!0),g=ce(a,b,c,d),g.bogus||(b.cache[f]=g)),{left:g.left,right:g.right,top:e?g.rtop:g.top,bottom:e?g.rbottom:g.bottom}}function ae(a,b,c){var d,e,f,g,h,i,j;for(j=0;j<a.length;j+=3)if(h=a[j],i=a[j+1],h>b?(e=0,f=1,g="left"):i>b?(e=b-h,f=e+1):(j==a.length-3||b==i&&a[j+3]>b)&&(f=i-h,e=f-1,b>=i&&(g="right")),null!=e){if(d=a[j+2],h==i&&c==(d.insertLeft?"left":"right")&&(g=c),"left"==c&&0==e)for(;j&&a[j-2]==a[j-3]&&a[j-1].insertLeft;)d=a[(j-=3)+2],g="left";if("right"==c&&e==i-h)for(;j<a.length-3&&a[j+3]==a[j+4]&&!a[j+5].insertLeft;)d=a[(j+=3)+2],g="right";break}return{node:d,start:e,end:f,collapse:g,coverStart:h,coverEnd:i}}function be(a,b){var d,e,c=_d;if("left"==b)for(d=0;d<a.length&&(c=a[d]).left==c.right;d++);else for(e=a.length-1;e>=0&&(c=a[e]).left==c.right;e--);return c}function ce(a,b,c,d){var l,m,n,o,p,q,r,s,t,u,v,w,e=ae(b.map,c,d),h=e.node,i=e.start,j=e.end,k=e.collapse;if(3==h.nodeType){for(m=0;4>m;m++){for(;i&&cb(b.line.text.charAt(e.coverStart+i));)--i;for(;e.coverStart+j<e.coverEnd&&cb(b.line.text.charAt(e.coverStart+j));)++j;if(l=f&&9>g&&0==i&&j==e.coverEnd-e.coverStart?h.parentNode.getBoundingClientRect():be(B(h,i,j).getClientRects(),d),l.left||l.right||0==i)break;j=i,i-=1,k="right"}f&&11>g&&(l=de(a.display.measure,l))}else i>0&&(k=d="right"),l=a.options.lineWrapping&&(n=h.getClientRects()).length>1?n["right"==d?n.length-1:0]:h.getBoundingClientRect();
for(!(f&&9>g)||i||l&&(l.left||l.right)||(o=h.parentNode.getClientRects()[0],l=o?{left:o.left,right:o.left+te(a.display),top:o.top,bottom:o.bottom}:_d),p=l.top-b.rect.top,q=l.bottom-b.rect.top,r=(p+q)/2,s=b.view.measure.heights,t=0;t<s.length-1&&!(r<s[t]);t++);return u=t?s[t-1]:0,v=s[t],w={left:("right"==k?l.right:l.left)-b.rect.left,right:("left"==k?l.left:l.right)-b.rect.left,top:u,bottom:v},l.left||l.right||(w.bogus=!0),a.options.singleCursorHeightPerLine||(w.rtop=p,w.rbottom=q),w}function de(a,b){var c,d;return window.screen&&null!=screen.logicalXDPI&&screen.logicalXDPI!=screen.deviceXDPI&&Jc(a)?(c=screen.logicalXDPI/screen.deviceXDPI,d=screen.logicalYDPI/screen.deviceYDPI,{left:b.left*c,right:b.right*c,top:b.top*d,bottom:b.bottom*d}):b}function ee(a){if(a.measure&&(a.measure.cache={},a.measure.heights=null,a.rest))for(var b=0;b<a.rest.length;b++)a.measure.caches[b]={}}function fe(a){a.display.externalMeasure=null,y(a.display.lineMeasure);for(var b=0;b<a.display.view.length;b++)ee(a.display.view[b])}function ge(a){fe(a),a.display.cachedCharWidth=a.display.cachedTextHeight=a.display.cachedPaddingH=null,a.options.lineWrapping||(a.display.maxLineChanged=!0),a.display.lineNumChars=null}function he(){return window.pageXOffset||(document.documentElement||document.body).scrollLeft}function ie(){return window.pageYOffset||(document.documentElement||document.body).scrollTop}function je(a,b,c,d,e){var f,g,h,i,j;if(!e&&b.widgets)for(f=0;f<b.widgets.length;++f)b.widgets[f].above&&(g=Md(b.widgets[f]),c.top+=g,c.bottom+=g);return"line"==d?c:(d||(d="local"),h=Xb(b),"local"==d?h+=Od(a.display):h-=a.display.viewOffset,("page"==d||"window"==d)&&(i=a.display.lineSpace.getBoundingClientRect(),h+=i.top+("window"==d?0:ie()),j=i.left+("window"==d?0:he()),c.left+=j,c.right+=j),c.top+=h,c.bottom+=h,c)}function ke(a,b,c){var d,e,f,g;return"div"==c?b:(d=b.left,e=b.top,"page"==c?(d-=he(),e-=ie()):"local"!=c&&c||(f=a.display.sizer.getBoundingClientRect(),d+=f.left,e+=f.top),g=a.display.lineSpace.getBoundingClientRect(),{left:d-g.left,top:e-g.top})}function le(a,b,c,d,e){return d||(d=eb(a.doc,b.line)),je(a,d,Xd(a,d,b.ch,e),c)}function me(a,b,c,d,e,f){function g(b,g){var h=$d(a,e,b,g?"right":"left",f);return g?h.left=h.right:h.right=h.left,je(a,d,h,c)}function h(a,b){var c=i[b],d=c.level%2;return a==_b(c)&&b&&c.level<i[b-1].level?(c=i[--b],a=ac(c)-(c.level%2?0:1),d=!0):a==ac(c)&&b<i.length-1&&c.level<i[b+1].level&&(c=i[++b],a=_b(c)-c.level%2,d=!1),d&&a==c.to&&a>c.from?g(a-1):g(a,d)}var i,j,k,l;return d=d||eb(a.doc,b.line),e||(e=Zd(a,d)),i=kc(d),j=b.ch,i?(k=fc(i,j),l=h(j,k),null!=ec&&(l.other=h(j,ec)),l):g(j)}function ne(a,b){var d,e,c=0;return b=sb(a.doc,b),a.options.lineWrapping||(c=te(a.display)*b.ch),d=eb(a.doc,b.line),e=Xb(d)+Od(a.display),{left:c,right:c,top:e,bottom:e+d.height}}function oe(a,b,c,d){var e=mb(a,b);return e.xRel=d,c&&(e.outside=!0),e}function pe(a,b,c){var e,f,g,h,i,j,d=a.doc;if(c+=a.display.viewOffset,0>c)return oe(d.first,0,!0,-1);if(e=jb(d,c),f=d.first+d.size-1,e>f)return oe(d.first+d.size-1,eb(d,f).text.length,!0,1);for(0>b&&(b=0),g=eb(d,e);;){if(h=qe(a,g,e,b,c),i=Pb(g),j=i&&i.find(0,!0),!i||!(h.ch>j.from.ch||h.ch==j.from.ch&&h.xRel>0))return h;e=ib(g=j.to.line)}}function qe(a,b,c,d,e){function j(d){var e=me(a,mb(c,d),"line",b,i);return g=!0,f>e.bottom?e.left-h:f<e.top?e.left+h:(g=!1,e.left)}var s,t,u,v,w,x,y,z,A,f=e-Xb(b),g=!1,h=2*a.display.wrapper.clientWidth,i=Zd(a,b),k=kc(b),l=b.text.length,m=bc(b),n=cc(b),o=j(m),p=g,q=j(n),r=g;if(d>q)return oe(c,n,r,1);for(;;){if(k?n==m||n==hc(b,m,1):1>=n-m){for(s=o>d||q-d>=d-o?m:n,t=s==m?p:r,u=d-(s==m?o:q),r&&!k&&!/\s/.test(b.text.charAt(s))&&u>0&&s<b.text.length&&i.view.measure.heights.length>1&&(v=$d(a,i,s,"right"),f<=v.bottom&&f>=v.top&&Math.abs(d-v.right)<u&&(t=!1,s++,u=d-v.right));cb(b.text.charAt(s));)++s;return w=oe(c,s,t,-1>u?-1:u>1?1:0)}if(x=Math.ceil(l/2),y=m+x,k)for(y=m,z=0;x>z;++z)y=hc(b,y,1);A=j(y),A>d?(n=y,q=A,(r=g)&&(q+=1e3),l=x):(m=y,o=A,p=g,l-=x)}}function se(a){var b,c;if(null!=a.cachedTextHeight)return a.cachedTextHeight;if(null==re){for(re=A("pre"),b=0;49>b;++b)re.appendChild(document.createTextNode("x")),re.appendChild(A("br"));re.appendChild(document.createTextNode("x"))}return z(a.measure,re),c=re.offsetHeight/50,c>3&&(a.cachedTextHeight=c),y(a.measure),c||1}function te(a){var b,c,d,e;return null!=a.cachedCharWidth?a.cachedCharWidth:(b=A("span","xxxxxxxxxx"),c=A("pre",[b]),z(a.measure,c),d=b.getBoundingClientRect(),e=(d.right-d.left)/10,e>2&&(a.cachedCharWidth=e),e||10)}function ue(a){var f,g,b=a.display,c={},d={},e=b.gutters.clientLeft;for(f=b.gutters.firstChild,g=0;f;f=f.nextSibling,++g)c[a.options.gutters[g]]=f.offsetLeft+f.clientLeft+e,d[a.options.gutters[g]]=f.clientWidth;return{fixedPos:ve(b),gutterTotalWidth:b.gutters.offsetWidth,gutterLeft:c,gutterWidth:d,wrapperWidth:b.wrapper.clientWidth}}function ve(a){return a.scroller.getBoundingClientRect().left-a.sizer.getBoundingClientRect().left}function we(a){var b=se(a.display),c=a.options.lineWrapping,d=c&&Math.max(5,a.display.scroller.clientWidth/te(a.display)-3);return function(e){var f,g;if(Vb(a.doc,e))return 0;if(f=0,e.widgets)for(g=0;g<e.widgets.length;g++)e.widgets[g].height&&(f+=e.widgets[g].height);return c?f+(Math.ceil(e.text.length/d)||1)*b:f+b}}function xe(a){var b=a.doc,c=we(a);b.iter(function(a){var b=c(a);b!=a.height&&hb(a,b)})}function ye(a,b,c,d){var f,g,h,j,i,k,e=a.display;if(!c&&"true"==yc(b).getAttribute("cm-not-content"))return null;h=e.lineSpace.getBoundingClientRect();try{f=b.clientX-h.left,g=b.clientY-h.top}catch(b){return null}return i=pe(a,f,g),d&&1==i.xRel&&(j=eb(a.doc,i.line).text).length==i.ch&&(k=J(j,j.length,a.options.tabSize)-j.length,i=mb(i.line,Math.max(0,Math.round((f-Qd(a.display).left)/te(a.display))-k))),i}function ze(a,b){var c,d;if(b>=a.display.viewTo)return null;if(b-=a.display.viewFrom,0>b)return null;for(c=a.display.view,d=0;d<c.length;d++)if(b-=c[d].size,0>b)return d}function Ae(a){a.display.input.showSelection(a.display.input.prepareSelection())}function Be(a,b){var g,h,i,c=a.doc,d={},e=d.cursors=document.createDocumentFragment(),f=d.selection=document.createDocumentFragment();for(g=0;g<c.sel.ranges.length;g++)(b!==!1||g!=c.sel.primIndex)&&(h=c.sel.ranges[g],h.from().line>=a.display.viewTo||h.to().line<a.display.viewFrom||(i=h.empty(),(i||a.options.showCursorWhenSelecting)&&Ce(a,h.head,e),i||De(a,h,f)));return d}function Ce(a,b,c){var f,d=me(a,b,"div",null,null,!a.options.singleCursorHeightPerLine),e=c.appendChild(A("div"," ","CodeMirror-cursor"));e.style.left=d.left+"px",e.style.top=d.top+"px",e.style.height=Math.max(0,d.bottom-d.top)*a.options.cursorHeight+"px",d.other&&(f=c.appendChild(A("div"," ","CodeMirror-cursor CodeMirror-secondarycursor")),f.style.display="",f.style.left=d.other.left+"px",f.style.top=d.other.top+"px",f.style.height=.85*(d.other.bottom-d.other.top)+"px")}function De(a,b,c){function j(a,b,c,d){0>b&&(b=0),b=Math.round(b),d=Math.round(d),f.appendChild(A("div",null,"CodeMirror-selected","position: absolute; left: "+a+"px;\n                             top: "+b+"px; width: "+(null==c?i-a:c)+"px;\n                             height: "+(d-b)+"px"))}function k(b,c,d){function m(c,d){return le(a,mb(b,c),"div",f,d)}var k,l,f=eb(e,b),g=f.text.length;return $b(kc(f),c||0,null==d?g:d,function(a,b,e){var n,o,p,q,f=m(a,"left");a==b?(n=f,o=p=f.left):(n=m(b-1,"right"),"rtl"==e&&(q=f,f=n,n=q),o=f.left,p=n.right),null==c&&0==a&&(o=h),n.top-f.top>3&&(j(o,f.top,null,f.bottom),o=h,f.bottom<n.top&&j(o,f.bottom,null,n.top)),null==d&&b==g&&(p=i),(!k||f.top<k.top||f.top==k.top&&f.left<k.left)&&(k=f),(!l||n.bottom>l.bottom||n.bottom==l.bottom&&n.right>l.right)&&(l=n),h+1>o&&(o=h),j(o,n.top,p-o,n.bottom)}),{start:k,end:l}}var n,o,p,q,r,d=a.display,e=a.doc,f=document.createDocumentFragment(),g=Qd(a.display),h=g.left,i=Math.max(d.sizerWidth,Sd(a)-d.sizer.offsetLeft)-g.right,l=b.from(),m=b.to();l.line==m.line?k(l.line,l.ch,m.ch):(n=eb(e,l.line),o=eb(e,m.line),p=Rb(n)==Rb(o),q=k(l.line,l.ch,p?n.text.length+1:null).end,r=k(m.line,p?0:null,m.ch).start,p&&(q.top<r.top-2?(j(q.right,q.top,null,q.bottom),j(h,r.top,r.left,r.bottom)):j(q.right,q.top,r.left-q.right,q.bottom)),q.bottom<r.top&&j(h,q.bottom,null,r.top)),c.appendChild(f)}function Ee(a){var b,c;a.state.focused&&(b=a.display,clearInterval(b.blinker),c=!0,b.cursorDiv.style.visibility="",a.options.cursorBlinkRate>0?b.blinker=setInterval(function(){return b.cursorDiv.style.visibility=(c=!c)?"":"hidden"},a.options.cursorBlinkRate):a.options.cursorBlinkRate<0&&(b.cursorDiv.style.visibility="hidden"))}function Fe(a){a.state.focused||(a.display.input.focus(),He(a))}function Ge(a){a.state.delayingBlurEvent=!0,setTimeout(function(){a.state.delayingBlurEvent&&(a.state.delayingBlurEvent=!1,Ie(a))},100)}function He(a,b){a.state.delayingBlurEvent&&(a.state.delayingBlurEvent=!1),"nocursor"!=a.options.readOnly&&(a.state.focused||(pc(a,"focus",a,b),a.state.focused=!0,E(a.display.wrapper,"CodeMirror-focused"),a.curOp||a.display.selForContextMenu==a.doc.sel||(a.display.input.reset(),h&&setTimeout(function(){return a.display.input.reset(!0)},20)),a.display.input.receivedFocus()),Ee(a))}function Ie(a,b){a.state.delayingBlurEvent||(a.state.focused&&(pc(a,"blur",a,b),a.state.focused=!1,x(a.display.wrapper,"CodeMirror-focused")),clearInterval(a.display.blinker),setTimeout(function(){a.state.focused||(a.display.shift=!1)},150))}function Je(a){var d,e,f,g,h,i,b=a.display,c=b.view;if(b.alignWidgets||b.gutters.firstChild&&a.options.fixedGutter){for(d=ve(b)-b.scroller.scrollLeft+a.doc.scrollLeft,e=b.gutters.offsetWidth,f=d+"px",g=0;g<c.length;g++)if(!c[g].hidden&&(a.options.fixedGutter&&(c[g].gutter&&(c[g].gutter.style.left=f),c[g].gutterBackground&&(c[g].gutterBackground.style.left=f)),h=c[g].alignable))for(i=0;i<h.length;i++)h[i].style.left=f;a.options.fixedGutter&&(b.gutters.style.left=d+e+"px")}}function Ke(a){var b,c,d,e,f,g;return a.options.lineNumbers?(b=a.doc,c=lb(a.options,b.first+b.size-1),d=a.display,c.length!=d.lineNumChars?(e=d.measure.appendChild(A("div",[A("div",c)],"CodeMirror-linenumber CodeMirror-gutter-elt")),f=e.firstChild.offsetWidth,g=e.offsetWidth-f,d.lineGutter.style.width="",d.lineNumInnerWidth=Math.max(f,d.lineGutter.offsetWidth-g)+1,d.lineNumWidth=d.lineNumInnerWidth+g,d.lineNumChars=d.lineNumInnerWidth?c.length:-1,d.lineGutter.style.width=d.lineNumWidth+"px",Jf(a),!0):!1):!1}function Le(a){var d,e,h,i,j,k,l,b=a.display,c=b.lineDiv.offsetTop;for(d=0;d<b.view.length;d++)if(e=b.view[d],h=void 0,!e.hidden&&(f&&8>g?(i=e.node.offsetTop+e.node.offsetHeight,h=i-c,c=i):(j=e.node.getBoundingClientRect(),h=j.bottom-j.top),k=e.line.height-h,2>h&&(h=se(b)),(k>.001||-.001>k)&&(hb(e.line,h),Me(e.line),e.rest)))for(l=0;l<e.rest.length;l++)Me(e.rest[l])}function Me(a){if(a.widgets)for(var b=0;b<a.widgets.length;++b)a.widgets[b].height=a.widgets[b].node.parentNode.offsetHeight}function Ne(a,b,c){var e,f,g,h,i,d=c&&null!=c.top?Math.max(0,c.top):a.scroller.scrollTop;return d=Math.floor(d-Od(a)),e=c&&null!=c.bottom?c.bottom:d+a.wrapper.clientHeight,f=jb(b,d),g=jb(b,e),c&&c.ensure&&(h=c.ensure.from.line,i=c.ensure.to.line,f>h?(f=h,g=jb(b,Xb(eb(b,h))+a.wrapper.clientHeight)):Math.min(i,b.lastLine())>=g&&(f=jb(b,Xb(eb(b,i))-a.wrapper.clientHeight),g=i)),{from:f,to:Math.max(g,f+1)}}function Oe(a,b){Math.abs(a.doc.scrollTop-b)<2||(a.doc.scrollTop=b,c||Hf(a,{top:b}),a.display.scroller.scrollTop!=b&&(a.display.scroller.scrollTop=b),a.display.scrollbars.setScrollTop(b),c&&Hf(a),Bf(a,100))}function Pe(a,b,c){(c?b==a.doc.scrollLeft:Math.abs(a.doc.scrollLeft-b)<2)||(b=Math.min(b,a.display.scroller.scrollWidth-a.display.scroller.clientWidth),a.doc.scrollLeft=b,Je(a),a.display.scroller.scrollLeft!=b&&(a.display.scroller.scrollLeft=b),a.display.scrollbars.setScrollLeft(b))}function Se(a){var b=a.wheelDeltaX,c=a.wheelDeltaY;return null==b&&a.detail&&a.axis==a.HORIZONTAL_AXIS&&(b=a.detail),null==c&&a.detail&&a.axis==a.VERTICAL_AXIS?c=a.detail:null==c&&(c=a.wheelDelta),{x:b,y:c}}function Te(a){var b=Se(a);return b.x*=Re,b.y*=Re,b}function Ue(a,b){var m,n,o,p,r,s,d=Se(b),e=d.x,f=d.y,g=a.display,i=g.scroller,j=i.scrollWidth>i.clientWidth,l=i.scrollHeight>i.clientHeight;if(e&&j||f&&l){if(f&&q&&h)a:for(m=b.target,n=g.view;m!=i;m=m.parentNode)for(o=0;o<n.length;o++)if(n[o].node==m){a.display.currentWheelTarget=m;break a}if(e&&!c&&!k&&null!=Re)return f&&l&&Oe(a,Math.max(0,Math.min(i.scrollTop+f*Re,i.scrollHeight-i.clientHeight))),Pe(a,Math.max(0,Math.min(i.scrollLeft+e*Re,i.scrollWidth-i.clientWidth))),(!f||f&&l)&&uc(b),g.wheelStartX=null,void 0;f&&null!=Re&&(p=f*Re,r=a.doc.scrollTop,s=r+g.wrapper.clientHeight,0>p?r=Math.max(0,r+p-50):s=Math.min(a.doc.height,s+p+50),Hf(a,{top:r,bottom:s})),20>Qe&&(null==g.wheelStartX?(g.wheelStartX=i.scrollLeft,g.wheelStartY=i.scrollTop,g.wheelDX=e,g.wheelDY=f,setTimeout(function(){var a,b,c;null!=g.wheelStartX&&(a=i.scrollLeft-g.wheelStartX,b=i.scrollTop-g.wheelStartY,c=b&&g.wheelDY&&b/g.wheelDY||a&&g.wheelDX&&a/g.wheelDX,g.wheelStartX=g.wheelStartY=null,c&&(Re=(Re*Qe+c)/(Qe+1),++Qe))},200)):(g.wheelDX+=e,g.wheelDY+=f))}}function Ve(a){var b=a.display,c=b.gutters.offsetWidth,d=Math.round(a.doc.height+Pd(a.display));return{clientHeight:b.scroller.clientHeight,viewHeight:b.wrapper.clientHeight,scrollWidth:b.scroller.scrollWidth,clientWidth:b.scroller.clientWidth,viewWidth:b.wrapper.clientWidth,barLeft:a.options.fixedGutter?c:0,docHeight:d,scrollHeight:d+Rd(a)+b.barHeight,nativeBarWidth:b.nativeBarWidth,gutterWidth:c}}function Ye(a,b){var c,d,e;for(b||(b=Ve(a)),c=a.display.barWidth,d=a.display.barHeight,Ze(a,b),e=0;4>e&&c!=a.display.barWidth||d!=a.display.barHeight;e++)c!=a.display.barWidth&&a.options.lineWrapping&&Le(a),Ze(a,Ve(a)),c=a.display.barWidth,d=a.display.barHeight}function Ze(a,b){var c=a.display,d=c.scrollbars.update(b);c.sizer.style.paddingRight=(c.barWidth=d.right)+"px",c.sizer.style.paddingBottom=(c.barHeight=d.bottom)+"px",c.heightForcer.style.borderBottom=d.bottom+"px solid transparent",d.right&&d.bottom?(c.scrollbarFiller.style.display="block",c.scrollbarFiller.style.height=d.bottom+"px",c.scrollbarFiller.style.width=d.right+"px"):c.scrollbarFiller.style.display="",d.bottom&&a.options.coverGutterNextToScrollbar&&a.options.fixedGutter?(c.gutterFiller.style.display="block",c.gutterFiller.style.height=d.bottom+"px",c.gutterFiller.style.width=b.gutterWidth+"px"):c.gutterFiller.style.display=""}function _e(a){a.display.scrollbars&&(a.display.scrollbars.clear(),a.display.scrollbars.addClass&&x(a.display.wrapper,a.display.scrollbars.addClass)),a.display.scrollbars=new $e[a.options.scrollbarStyle](function(b){a.display.wrapper.insertBefore(b,a.display.scrollbarFiller),mc(b,"mousedown",function(){a.state.focused&&setTimeout(function(){return a.display.input.focus()},0)}),b.setAttribute("cm-not-content","true")},function(b,c){"horizontal"==c?Pe(a,b):Oe(a,b)},a),a.display.scrollbars.addClass&&E(a.display.wrapper,a.display.scrollbars.addClass)}function af(a,b){var c,d,e,f;qc(a,"scrollCursorIntoView")||(c=a.display,d=c.sizer.getBoundingClientRect(),e=null,b.top+d.top<0?e=!0:b.bottom+d.top>(window.innerHeight||document.documentElement.clientHeight)&&(e=!1),null==e||n||(f=A("div","​",null,"position: absolute;\n                         top: "+(b.top-c.viewOffset-Od(a.display))+"px;\n                         height: "+(b.bottom-b.top+Rd(a)+c.barHeight)+"px;\n                         left: "+b.left+"px; width: 2px;"),a.display.lineSpace.appendChild(f),f.scrollIntoView(e),a.display.lineSpace.removeChild(f)))}function bf(a,b,c,d){var e,f,g,h,i,j,k;for(null==d&&(d=0),f=0;5>f&&(g=!1,e=me(a,b),h=c&&c!=b?me(a,c):e,i=df(a,Math.min(e.left,h.left),Math.min(e.top,h.top)-d,Math.max(e.left,h.left),Math.max(e.bottom,h.bottom)+d),j=a.doc.scrollTop,k=a.doc.scrollLeft,null!=i.scrollTop&&(Oe(a,i.scrollTop),Math.abs(a.doc.scrollTop-j)>1&&(g=!0)),null!=i.scrollLeft&&(Pe(a,i.scrollLeft),Math.abs(a.doc.scrollLeft-k)>1&&(g=!0)),g);f++);return e}function cf(a,b,c,d,e){var f=df(a,b,c,d,e);null!=f.scrollTop&&Oe(a,f.scrollTop),null!=f.scrollLeft&&Pe(a,f.scrollLeft)}function df(a,b,c,d,e){var h,i,j,k,l,m,n,o,p,q,f=a.display,g=se(a.display);return 0>c&&(c=0),h=a.curOp&&null!=a.curOp.scrollTop?a.curOp.scrollTop:f.scroller.scrollTop,i=Td(a),j={},e-c>i&&(e=c+i),k=a.doc.height+Pd(f),l=g>c,m=e>k-g,h>c?j.scrollTop=l?0:c:e>h+i&&(n=Math.min(c,(m?k:e)-i),n!=h&&(j.scrollTop=n)),o=a.curOp&&null!=a.curOp.scrollLeft?a.curOp.scrollLeft:f.scroller.scrollLeft,p=Sd(a)-(a.options.fixedGutter?f.gutters.offsetWidth:0),q=d-b>p,q&&(d=b+p),10>b?j.scrollLeft=0:o>b?j.scrollLeft=Math.max(0,b-(q?0:10)):d>p+o-3&&(j.scrollLeft=d+(q?0:10)-p),j}function ef(a,b,c){(null!=b||null!=c)&&gf(a),null!=b&&(a.curOp.scrollLeft=(null==a.curOp.scrollLeft?a.doc.scrollLeft:a.curOp.scrollLeft)+b),null!=c&&(a.curOp.scrollTop=(null==a.curOp.scrollTop?a.doc.scrollTop:a.curOp.scrollTop)+c)}function ff(a){gf(a);var b=a.getCursor(),c=b,d=b;a.options.lineWrapping||(c=b.ch?mb(b.line,b.ch-1):b,d=mb(b.line,b.ch+1)),a.curOp.scrollToPos={from:c,to:d,margin:a.options.cursorScrollMargin,isCursor:!0}}function gf(a){var c,d,e,b=a.curOp.scrollToPos;b&&(a.curOp.scrollToPos=null,c=ne(a,b.from),d=ne(a,b.to),e=df(a,Math.min(c.left,d.left),Math.min(c.top,d.top)-b.margin,Math.max(c.right,d.right),Math.max(c.bottom,d.bottom)+b.margin),a.scrollTo(e.scrollLeft,e.scrollTop))}function jf(a){a.curOp={cm:a,viewChanged:!1,startHeight:a.doc.height,forceUpdate:!1,updateInput:null,typing:!1,changeObjs:null,cursorActivityHandlers:null,cursorActivityCalled:0,selectionChanged:!1,updateMaxLine:!1,scrollLeft:null,scrollTop:null,scrollToPos:null,focus:!1,id:++hf},ud(a.curOp)}function kf(a){var b=a.curOp;wd(b,function(a){for(var b=0;b<a.ops.length;b++)a.ops[b].cm.curOp=null;lf(a)})}function lf(a){var c,d,e,f,g,b=a.ops;for(c=0;c<b.length;c++)mf(b[c]);for(d=0;d<b.length;d++)nf(b[d]);for(e=0;e<b.length;e++)of(b[e]);for(f=0;f<b.length;f++)pf(b[f]);for(g=0;g<b.length;g++)qf(b[g])}function mf(a){var b=a.cm,c=b.display;Ef(b),a.updateMaxLine&&Zb(b),a.mustUpdate=a.viewChanged||a.forceUpdate||null!=a.scrollTop||a.scrollToPos&&(a.scrollToPos.from.line<c.viewFrom||a.scrollToPos.to.line>=c.viewTo)||c.maxLineChanged&&b.options.lineWrapping,a.update=a.mustUpdate&&new Df(b,a.mustUpdate&&{top:a.scrollTop,ensure:a.scrollToPos},a.forceUpdate)}function nf(a){a.updatedDisplay=a.mustUpdate&&Ff(a.cm,a.update)}function of(a){var b=a.cm,c=b.display;a.updatedDisplay&&Le(b),a.barMeasure=Ve(b),c.maxLineChanged&&!b.options.lineWrapping&&(a.adjustWidthTo=Xd(b,c.maxLine,c.maxLine.text.length).left+3,b.display.sizerWidth=a.adjustWidthTo,a.barMeasure.scrollWidth=Math.max(c.scroller.clientWidth,c.sizer.offsetLeft+a.adjustWidthTo+Rd(b)+b.display.barWidth),a.maxScrollLeft=Math.max(0,c.sizer.offsetLeft+a.adjustWidthTo-Sd(b))),(a.updatedDisplay||a.selectionChanged)&&(a.preparedSelection=c.input.prepareSelection(a.focus))}function pf(a){var c,b=a.cm;null!=a.adjustWidthTo&&(b.display.sizer.style.minWidth=a.adjustWidthTo+"px",a.maxScrollLeft<b.doc.scrollLeft&&Pe(b,Math.min(b.display.scroller.scrollLeft,a.maxScrollLeft),!0),b.display.maxLineChanged=!1),c=a.focus&&a.focus==D()&&(!document.hasFocus||document.hasFocus()),a.preparedSelection&&b.display.input.showSelection(a.preparedSelection,c),(a.updatedDisplay||a.startHeight!=b.doc.height)&&Ye(b,a.barMeasure),a.updatedDisplay&&Kf(b,a.barMeasure),a.selectionChanged&&Ee(b),b.state.focused&&a.updateInput&&b.display.input.reset(a.typing),c&&Fe(a.cm)}function qf(a){var e,f,g,h,i,b=a.cm,c=b.display,d=b.doc;if(a.updatedDisplay&&Gf(b,a.update),null==c.wheelStartX||null==a.scrollTop&&null==a.scrollLeft&&!a.scrollToPos||(c.wheelStartX=c.wheelStartY=null),null==a.scrollTop||c.scroller.scrollTop==a.scrollTop&&!a.forceScroll||(d.scrollTop=Math.max(0,Math.min(c.scroller.scrollHeight-c.scroller.clientHeight,a.scrollTop)),c.scrollbars.setScrollTop(d.scrollTop),c.scroller.scrollTop=d.scrollTop),null==a.scrollLeft||c.scroller.scrollLeft==a.scrollLeft&&!a.forceScroll||(d.scrollLeft=Math.max(0,Math.min(c.scroller.scrollWidth-c.scroller.clientWidth,a.scrollLeft)),c.scrollbars.setScrollLeft(d.scrollLeft),c.scroller.scrollLeft=d.scrollLeft,Je(b)),a.scrollToPos&&(e=bf(b,sb(d,a.scrollToPos.from),sb(d,a.scrollToPos.to),a.scrollToPos.margin),a.scrollToPos.isCursor&&b.state.focused&&af(b,e)),f=a.maybeHiddenMarkers,g=a.maybeUnhiddenMarkers,f)for(h=0;h<f.length;++h)f[h].lines.length||pc(f[h],"hide");if(g)for(i=0;i<g.length;++i)g[i].lines.length&&pc(g[i],"unhide");c.wrapper.offsetHeight&&(d.scrollTop=b.display.scroller.scrollTop),a.changeObjs&&pc(b,"changes",b,a.changeObjs),a.update&&a.update.finish()}function rf(a,b){if(a.curOp)return b();jf(a);try{return b()}finally{kf(a)}}function sf(a,b){return function(){if(a.curOp)return b.apply(a,arguments);jf(a);try{return b.apply(a,arguments)}finally{kf(a)}}}function tf(a){return function(){if(this.curOp)return a.apply(this,arguments);jf(this);try{return a.apply(this,arguments)}finally{kf(this)}}}function uf(a){return function(){var b=this.cm;if(!b||b.curOp)return a.apply(this,arguments);jf(b);try{return a.apply(this,arguments)}finally{kf(b)}}}function vf(a,b,c,d){var e,f,g,h,i,j;null==b&&(b=a.doc.first),null==c&&(c=a.doc.first+a.doc.size),d||(d=0),e=a.display,d&&c<e.viewTo&&(null==e.updateLineNumbers||e.updateLineNumbers>b)&&(e.updateLineNumbers=b),a.curOp.viewChanged=!0,b>=e.viewTo?wb&&Tb(a.doc,b)<e.viewTo&&xf(a):c<=e.viewFrom?wb&&Ub(a.doc,c+d)>e.viewFrom?xf(a):(e.viewFrom+=d,e.viewTo+=d):b<=e.viewFrom&&c>=e.viewTo?xf(a):b<=e.viewFrom?(f=yf(a,c,c+d,1),f?(e.view=e.view.slice(f.index),e.viewFrom=f.lineN,e.viewTo+=d):xf(a)):c>=e.viewTo?(g=yf(a,b,b,-1),g?(e.view=e.view.slice(0,g.index),e.viewTo=g.lineN):xf(a)):(h=yf(a,b,b,-1),i=yf(a,c,c+d,1),h&&i?(e.view=e.view.slice(0,h.index).concat(sd(a,h.lineN,i.lineN)).concat(e.view.slice(i.index)),e.viewTo+=d):xf(a)),j=e.externalMeasured,j&&(c<j.lineN?j.lineN+=d:b<j.lineN+j.size&&(e.externalMeasured=null))}function wf(a,b,c){var d,e,f,g;a.curOp.viewChanged=!0,d=a.display,e=a.display.externalMeasured,e&&b>=e.lineN&&b<e.lineN+e.size&&(d.externalMeasured=null),b<d.viewFrom||b>=d.viewTo||(f=d.view[ze(a,b)],null!=f.node&&(g=f.changes||(f.changes=[]),-1==L(g,c)&&g.push(c)))}function xf(a){a.display.viewFrom=a.display.viewTo=a.doc.first,a.display.view=[],a.display.viewOffset=0}function yf(a,b,c,d){var f,h,i,e=ze(a,b),g=a.display.view;if(!wb||c==a.doc.first+a.doc.size)return{index:e,lineN:c};for(h=a.display.viewFrom,i=0;e>i;i++)h+=g[i].size;if(h!=b){if(d>0){if(e==g.length-1)return null;f=h+g[e].size-b,e++}else f=h-b;b+=f,c+=f}for(;Tb(a.doc,c)!=c;){if(e==(0>d?0:g.length-1))return null;c+=d*g[e-(0>d?1:0)].size,e+=d}return{index:e,lineN:c}}function zf(a,b,c){var d=a.display,e=d.view;0==e.length||b>=d.viewTo||c<=d.viewFrom?(d.view=sd(a,b,c),d.viewFrom=b):(d.viewFrom>b?d.view=sd(a,b,d.viewFrom).concat(d.view):d.viewFrom<b&&(d.view=d.view.slice(ze(a,b))),d.viewFrom=b,d.viewTo<c?d.view=d.view.concat(sd(a,d.viewTo,c)):d.viewTo>c&&(d.view=d.view.slice(0,ze(a,c)))),d.viewTo=c}function Af(a){var d,e,b=a.display.view,c=0;for(d=0;d<b.length;d++)e=b[d],e.hidden||e.node&&!e.changes||++c;return c}function Bf(a,b){a.doc.mode.startState&&a.doc.frontier<a.display.viewTo&&a.state.highlight.set(b,H(Cf,a))}function Cf(a){var c,d,e,b=a.doc;b.frontier<b.first&&(b.frontier=b.first),b.frontier>=a.display.viewTo||(c=+new Date+a.options.workTime,d=Sc(b.mode,Yc(a,b.frontier)),e=[],b.iter(b.frontier,Math.min(b.first+b.size,a.display.viewTo+500),function(f){var g,h,i,j,k,l,m;if(b.frontier>=a.display.viewFrom){for(g=f.styles,h=f.text.length>a.options.maxHighlightLength,i=Wc(a,f,h?Sc(b.mode,d):d,!0),f.styles=i.styles,j=f.styleClasses,k=i.classes,k?f.styleClasses=k:j&&(f.styleClasses=null),l=!g||g.length!=f.styles.length||j!=k&&(!j||!k||j.bgClass!=k.bgClass||j.textClass!=k.textClass),m=0;!l&&m<g.length;++m)l=g[m]!=f.styles[m];l&&e.push(b.frontier),f.stateAfter=h?d:Sc(b.mode,d)}else f.text.length<=a.options.maxHighlightLength&&Zc(a,f.text,d),f.stateAfter=0==b.frontier%5?Sc(b.mode,d):null;return++b.frontier,+new Date>c?(Bf(a,a.options.workDelay),!0):void 0}),e.length&&rf(a,function(){for(var b=0;b<e.length;b++)wf(a,e[b],"text")}))}function Ef(a){var b=a.display;!b.scrollbarsClipped&&b.scroller.offsetWidth&&(b.nativeBarWidth=b.scroller.offsetWidth-b.scroller.clientWidth,b.heightForcer.style.height=Rd(a)+"px",b.sizer.style.marginBottom=-b.nativeBarWidth+"px",b.sizer.style.borderRightWidth=Rd(a)+"px",b.scrollbarsClipped=!0)}function Ff(a,b){var e,f,g,h,i,j,c=a.display,d=a.doc;return b.editorIsHidden?(xf(a),!1):!b.force&&b.visible.from>=c.viewFrom&&b.visible.to<=c.viewTo&&(null==c.updateLineNumbers||c.updateLineNumbers>=c.viewTo)&&c.renderedView==c.view&&0==Af(a)?!1:(Ke(a)&&(xf(a),b.dims=ue(a)),e=d.first+d.size,f=Math.max(b.visible.from-a.options.viewportMargin,d.first),g=Math.min(e,b.visible.to+a.options.viewportMargin),c.viewFrom<f&&f-c.viewFrom<20&&(f=Math.max(d.first,c.viewFrom)),c.viewTo>g&&c.viewTo-g<20&&(g=Math.min(e,c.viewTo)),wb&&(f=Tb(a.doc,f),g=Ub(a.doc,g)),h=f!=c.viewFrom||g!=c.viewTo||c.lastWrapHeight!=b.wrapperHeight||c.lastWrapWidth!=b.wrapperWidth,zf(a,f,g),c.viewOffset=Xb(eb(a.doc,c.viewFrom)),a.display.mover.style.top=c.viewOffset+"px",i=Af(a),h||0!=i||b.force||c.renderedView!=c.view||!(null==c.updateLineNumbers||c.updateLineNumbers>=c.viewTo)?(j=D(),i>4&&(c.lineDiv.style.display="none"),If(a,c.updateLineNumbers,b.dims),i>4&&(c.lineDiv.style.display=""),c.renderedView=c.view,j&&D()!=j&&j.offsetHeight&&j.focus(),y(c.cursorDiv),y(c.selectionDiv),c.gutters.style.height=c.sizer.style.minHeight=0,h&&(c.lastWrapHeight=b.wrapperHeight,c.lastWrapWidth=b.wrapperWidth,Bf(a,400)),c.updateLineNumbers=null,!0):!1)}function Gf(a,b){var d,e,c=b.viewport;for(d=!0;(d&&a.options.lineWrapping&&b.oldDisplayWidth!=Sd(a)||(c&&null!=c.top&&(c={top:Math.min(a.doc.height+Pd(a.display)-Td(a),c.top)}),b.visible=Ne(a.display,a.doc,c),!(b.visible.from>=a.display.viewFrom&&b.visible.to<=a.display.viewTo)))&&Ff(a,b);d=!1)Le(a),e=Ve(a),Ae(a),Ye(a,e),Kf(a,e);b.signal(a,"update",a),(a.display.viewFrom!=a.display.reportedViewFrom||a.display.viewTo!=a.display.reportedViewTo)&&(b.signal(a,"viewportChange",a,a.display.viewFrom,a.display.viewTo),a.display.reportedViewFrom=a.display.viewFrom,a.display.reportedViewTo=a.display.viewTo)}function Hf(a,b){var d,c=new Df(a,b);Ff(a,c)&&(Le(a),Gf(a,c),d=Ve(a),Ae(a),Ye(a,d),Kf(a,d),c.finish())}function If(a,b,c){function i(b){var c=b.nextSibling;return h&&q&&a.display.currentWheelTarget==b?b.style.display="none":b.parentNode.removeChild(b),c}var l,m,n,o,d=a.display,e=a.options.lineNumbers,f=d.lineDiv,g=f.firstChild,j=d.view,k=d.viewFrom;for(l=0;l<j.length;l++){if(m=j[l],m.hidden);else if(m.node&&m.node.parentNode==f){for(;g!=m.node;)g=i(g);o=e&&null!=b&&k>=b&&m.lineNumber,m.changes&&(L(m.changes,"gutter")>-1&&(o=!1),Ad(a,m,k,c)),o&&(y(m.lineNumber),m.lineNumber.appendChild(document.createTextNode(lb(a.options,k)))),g=m.node.nextSibling}else n=Id(a,m,k,c),f.insertBefore(n,g);k+=m.size}for(;g;)g=i(g)}function Jf(a){var b=a.display.gutters.offsetWidth;a.display.sizer.style.marginLeft=b+"px"}function Kf(a,b){a.display.sizer.style.minHeight=b.docHeight+"px",a.display.heightForcer.style.top=b.docHeight+"px",a.display.gutters.style.height=b.docHeight+a.display.barHeight+Rd(a)+"px"}function Lf(a){var d,e,f,b=a.display.gutters,c=a.options.gutters;for(y(b),d=0;d<c.length;++d)e=c[d],f=b.appendChild(A("div",null,"CodeMirror-gutter "+e)),"CodeMirror-linenumbers"==e&&(a.display.lineGutter=f,f.style.width=(a.display.lineNumWidth||1)+"px");b.style.display=d?"":"none",Jf(a)}function Mf(a){var b=L(a.gutters,"CodeMirror-linenumbers");-1==b&&a.lineNumbers?a.gutters=a.gutters.concat(["CodeMirror-linenumbers"]):b>-1&&!a.lineNumbers&&(a.gutters=a.gutters.slice(0),a.gutters.splice(b,1))}function Nf(a,b){this.ranges=a,this.primIndex=b}function Of(a,b){this.anchor=a,this.head=b}function Pf(a,b){var d,e,f,g,h,i,c=a[b];for(a.sort(function(a,b){return nb(a.from(),b.from())}),b=L(a,c),d=1;d<a.length;d++)e=a[d],f=a[d-1],nb(f.to(),e.from())>=0&&(g=qb(f.from(),e.from()),h=pb(f.to(),e.to()),i=f.empty()?e.from()==e.head:f.from()==f.head,b>=d&&--b,a.splice(--d,2,new Of(i?h:g,i?g:h)));return new Nf(a,b)}function Qf(a,b){return new Nf([new Of(a,b||a)],0)}function Rf(a){return a.text?mb(a.from.line+a.text.length-1,U(a.text).length+(1==a.text.length?a.from.ch:0)):a.to}function Sf(a,b){if(nb(a,b.from)<0)return a;if(nb(a,b.to)<=0)return Rf(b);var c=a.line+b.text.length-(b.to.line-b.from.line)-1,d=a.ch;return a.line==b.to.line&&(d+=Rf(b).ch-b.to.ch),mb(c,d)}function Tf(a,b){var d,e,c=[];for(d=0;d<a.sel.ranges.length;d++)e=a.sel.ranges[d],c.push(new Of(Sf(e.anchor,b),Sf(e.head,b)));return Pf(c,a.sel.primIndex)}function Uf(a,b,c){return a.line==b.line?mb(c.line,a.ch-b.ch+c.ch):mb(c.line+(a.line-b.line),a.ch)}function Vf(a,b,c){var g,h,i,j,k,l,d=[],e=mb(a.first,0),f=e;for(g=0;g<b.length;g++)h=b[g],i=Uf(h.from,e,f),j=Uf(Rf(h),e,f),e=h.to,f=j,"around"==c?(k=a.sel.ranges[g],l=nb(k.head,k.anchor)<0,d[g]=new Of(l?j:i,l?i:j)):d[g]=new Of(i,i);return new Nf(d,a.sel.primIndex)}function Wf(a){a.doc.mode=Pc(a.options,a.doc.modeOption),Xf(a)}function Xf(a){a.doc.iter(function(a){a.stateAfter&&(a.stateAfter=null),a.styles&&(a.styles=null)}),a.doc.frontier=a.doc.first,Bf(a,100),a.state.modeGen++,a.curOp&&vf(a)}function Yf(a,b){return 0==b.from.ch&&0==b.to.ch&&""==U(b.text)&&(!a.cm||a.cm.options.wholeLineUpdateBefore)}function Zf(a,b,c,d){function e(a){return c?c[a]:null}function f(a,c,e){fd(a,c,e,d),yd(a,"change",a,b)}function g(a,b){var f,c=[];for(f=a;b>f;++f)c.push(new ed(j[f],e(f),d));return c}var p,q,r,h=b.from,i=b.to,j=b.text,k=eb(a,h.line),l=eb(a,i.line),m=U(j),n=e(j.length-1),o=i.line-h.line;b.full?(a.insert(0,g(0,j.length)),a.remove(j.length,a.size-j.length)):Yf(a,b)?(p=g(0,j.length-1),f(l,l.text,n),o&&a.remove(h.line,o),p.length&&a.insert(h.line,p)):k==l?1==j.length?f(k,k.text.slice(0,h.ch)+m+k.text.slice(i.ch),n):(q=g(1,j.length-1),q.push(new ed(m+k.text.slice(i.ch),n,d)),f(k,k.text.slice(0,h.ch)+j[0],e(0)),a.insert(h.line+1,q)):1==j.length?(f(k,k.text.slice(0,h.ch)+j[0]+l.text.slice(i.ch),e(0)),a.remove(h.line+1,o)):(f(k,k.text.slice(0,h.ch)+j[0],e(0)),f(l,m+l.text.slice(i.ch),n),r=g(1,j.length-1),o>1&&a.remove(h.line+1,o-1),a.insert(h.line+1,r)),yd(a,"change",a,b)}function $f(a,b,c){function d(a,e,f){var g,h,i;if(a.linked)for(g=0;g<a.linked.length;++g)h=a.linked[g],h.doc!=e&&(i=f&&h.sharedHist,(!c||i)&&(b(h.doc,i),d(h.doc,a,i)))}d(a,null,!0)}function _f(a,b){if(b.cm)throw new Error("This document is already in use.");a.doc=b,b.cm=a,xe(a),Wf(a),a.options.lineWrapping||Zb(a),a.options.mode=b.modeOption,vf(a)}function ag(a){this.done=[],this.undone=[],this.undoDepth=1/0,this.lastModTime=this.lastSelTime=0,this.lastOp=this.lastSelOp=null,this.lastOrigin=this.lastSelOrigin=null,this.generation=this.maxGeneration=a||1}function bg(a,b){var c={from:ob(b.from),to:Rf(b),text:fb(a,b.from,b.to)};return ig(a,c,b.from.line,b.to.line+1),$f(a,function(a){return ig(a,c,b.from.line,b.to.line+1)},!0),c}function cg(a){for(;a.length;){var b=U(a);if(!b.ranges)break;a.pop()}}function dg(a,b){return b?(cg(a.done),U(a.done)):a.done.length&&!U(a.done).ranges?U(a.done):a.done.length>1&&!a.done[a.done.length-2].ranges?(a.done.pop(),U(a.done)):void 0}function eg(a,b,c,d){var g,f,h,i,e=a.history;if(e.undone.length=0,f=+new Date,(e.lastOp==d||e.lastOrigin==b.origin&&b.origin&&("+"==b.origin.charAt(0)&&a.cm&&e.lastModTime>f-a.cm.options.historyEventDelay||"*"==b.origin.charAt(0)))&&(g=dg(e,e.lastOp==d)))h=U(g.changes),0==nb(b.from,b.to)&&0==nb(b.from,h.to)?h.to=Rf(b):g.changes.push(bg(a,b));else for(i=U(e.done),i&&i.ranges||hg(a.sel,e.done),g={changes:[bg(a,b)],generation:e.generation},e.done.push(g);e.done.length>e.undoDepth;)e.done.shift(),e.done[0].ranges||e.done.shift();e.done.push(c),e.generation=++e.maxGeneration,e.lastModTime=e.lastSelTime=f,e.lastOp=e.lastSelOp=d,e.lastOrigin=e.lastSelOrigin=b.origin,h||pc(a,"historyAdded")}function fg(a,b,c,d){var e=b.charAt(0);return"*"==e||"+"==e&&c.ranges.length==d.ranges.length&&c.somethingSelected()==d.somethingSelected()&&new Date-a.history.lastSelTime<=(a.cm?a.cm.options.historyEventDelay:500)
}function gg(a,b,c,d){var e=a.history,f=d&&d.origin;c==e.lastSelOp||f&&e.lastSelOrigin==f&&(e.lastModTime==e.lastSelTime&&e.lastOrigin==f||fg(a,f,U(e.done),b))?e.done[e.done.length-1]=b:hg(b,e.done),e.lastSelTime=+new Date,e.lastSelOrigin=f,e.lastSelOp=c,d&&d.clearRedo!==!1&&cg(e.undone)}function hg(a,b){var c=U(b);c&&c.ranges&&c.equals(a)||b.push(a)}function ig(a,b,c,d){var e=b["spans_"+a.id],f=0;a.iter(Math.max(a.first,c),Math.min(a.first+a.size,d),function(c){c.markedSpans&&((e||(e=b["spans_"+a.id]={}))[f]=c.markedSpans),++f})}function jg(a){var b,c;if(!a)return null;for(c=0;c<a.length;++c)a[c].marker.explicitlyCleared?b||(b=a.slice(0,c)):b&&b.push(a[c]);return b?b.length?b:null:a}function kg(a,b){var d,e,c=b["spans_"+a.id];if(!c)return null;for(d=[],e=0;e<b.text.length;++e)d.push(jg(c[e]));return d}function lg(a,b){var e,f,g,h,i,j,c=kg(a,b),d=Fb(a,b);if(!c)return d;if(!d)return c;for(e=0;e<c.length;++e)if(f=c[e],g=d[e],f&&g)a:for(h=0;h<g.length;++h){for(i=g[h],j=0;j<f.length;++j)if(f[j].marker==i.marker)continue a;f.push(i)}else g&&(c[e]=g);return c}function mg(a,b,c){var e,f,g,h,i,j,k,l,d=[];for(e=0;e<a.length;++e)if(f=a[e],f.ranges)d.push(c?Nf.prototype.deepCopy.call(f):f);else for(g=f.changes,h=[],d.push({changes:h}),i=0;i<g.length;++i)if(j=g[i],k=void 0,h.push({from:j.from,to:j.to,text:j.text}),b)for(l in j)(k=l.match(/^spans_(\d+)$/))&&L(b,Number(k[1]))>-1&&(U(h)[l]=j[l],delete j[l]);return d}function ng(a,b,c,d){var e,f;return a.cm&&a.cm.display.shift||a.extend?(e=b.anchor,d&&(f=nb(c,e)<0,f!=nb(d,e)<0?(e=c,c=d):f!=nb(c,d)<0&&(c=d)),new Of(e,c)):new Of(d||c,c)}function og(a,b,c,d){ug(a,new Nf([ng(a,a.sel.primary(),b,c)],0),d)}function pg(a,b,c){var e,f,d=[];for(e=0;e<a.sel.ranges.length;e++)d[e]=ng(a,a.sel.ranges[e],b[e],null);f=Pf(d,a.sel.primIndex),ug(a,f,c)}function qg(a,b,c,d){var e=a.sel.ranges.slice(0);e[b]=c,ug(a,Pf(e,a.sel.primIndex),d)}function rg(a,b,c,d){ug(a,Qf(b,c),d)}function sg(a,b,c){var d={ranges:b.ranges,update:function(b){var d,c=this;for(this.ranges=[],d=0;d<b.length;d++)c.ranges[d]=new Of(sb(a,b[d].anchor),sb(a,b[d].head))},origin:c&&c.origin};return pc(a,"beforeSelectionChange",a,d),a.cm&&pc(a.cm,"beforeSelectionChange",a.cm,d),d.ranges!=b.ranges?Pf(d.ranges,d.ranges.length-1):b}function tg(a,b,c){var d=a.history.done,e=U(d);e&&e.ranges?(d[d.length-1]=b,vg(a,b,c)):ug(a,b,c)}function ug(a,b,c){vg(a,b,c),gg(a,a.sel,a.cm?a.cm.curOp.id:0/0,c)}function vg(a,b,c){(sc(a,"beforeSelectionChange")||a.cm&&sc(a.cm,"beforeSelectionChange"))&&(b=sg(a,b,c));var d=c&&c.bias||(nb(b.primary().head,a.sel.primary().head)<0?-1:1);wg(a,yg(a,b,d,!0)),c&&c.scroll===!1||!a.cm||ff(a.cm)}function wg(a,b){b.equals(a.sel)||(a.sel=b,a.cm&&(a.cm.curOp.updateInput=a.cm.curOp.selectionChanged=!0,rc(a.cm)),yd(a,"cursorActivity",a))}function xg(a){wg(a,yg(a,a.sel,null,!1),O)}function yg(a,b,c,d){var e,f,g,h,i,j;for(f=0;f<b.ranges.length;f++)g=b.ranges[f],h=b.ranges.length==a.sel.ranges.length&&a.sel.ranges[f],i=Ag(a,g.anchor,h&&h.anchor,c,d),j=Ag(a,g.head,h&&h.head,c,d),(e||i!=g.anchor||j!=g.head)&&(e||(e=b.ranges.slice(0,f)),e[f]=new Of(i,j));return e?Pf(e,b.primIndex):b}function zg(a,b,c,d,e){var g,h,i,j,k,l,f=eb(a,b.line);if(f.markedSpans)for(g=0;g<f.markedSpans.length;++g)if(h=f.markedSpans[g],i=h.marker,(null==h.from||(i.inclusiveLeft?h.from<=b.ch:h.from<b.ch))&&(null==h.to||(i.inclusiveRight?h.to>=b.ch:h.to>b.ch))){if(e&&(pc(i,"beforeCursorEnter"),i.explicitlyCleared)){if(f.markedSpans){--g;continue}break}if(!i.atomic)continue;return c&&(j=i.find(0>d?1:-1),k=void 0,(0>d?i.inclusiveRight:i.inclusiveLeft)&&(j=Bg(a,j,-d,j&&j.line==b.line?f:null)),j&&j.line==b.line&&(k=nb(j,c))&&(0>d?0>k:k>0))?zg(a,j,b,d,e):(l=i.find(0>d?-1:1),(0>d?i.inclusiveLeft:i.inclusiveRight)&&(l=Bg(a,l,d,l.line==b.line?f:null)),l?zg(a,l,b,d,e):null)}return b}function Ag(a,b,c,d,e){var f=d||1,g=zg(a,b,c,f,e)||!e&&zg(a,b,c,f,!0)||zg(a,b,c,-f,e)||!e&&zg(a,b,c,-f,!0);return g?g:(a.cantEdit=!0,mb(a.first,0))}function Bg(a,b,c,d){return 0>c&&0==b.ch?b.line>a.first?sb(a,mb(b.line-1)):null:c>0&&b.ch==(d||eb(a,b.line)).text.length?b.line<a.first+a.size-1?mb(b.line+1,0):null:new mb(b.line,b.ch+c)}function Cg(a){a.setSelection(mb(a.firstLine(),0),mb(a.lastLine()),O)}function Dg(a,b,c){var d={canceled:!1,from:b.from,to:b.to,text:b.text,origin:b.origin,cancel:function(){return d.canceled=!0}};return c&&(d.update=function(b,c,e,f){b&&(d.from=sb(a,b)),c&&(d.to=sb(a,c)),e&&(d.text=e),void 0!==f&&(d.origin=f)}),pc(a,"beforeChange",a,d),a.cm&&pc(a.cm,"beforeChange",a.cm,d),d.canceled?null:{from:d.from,to:d.to,text:d.text,origin:d.origin}}function Eg(a,b,c){var d,e;if(a.cm){if(!a.cm.curOp)return sf(a.cm,Eg)(a,b,c);if(a.cm.state.suppressEdits)return}if(!(sc(a,"beforeChange")||a.cm&&sc(a.cm,"beforeChange"))||(b=Dg(a,b,!0)))if(d=vb&&!c&&Hb(a,b.from,b.to))for(e=d.length-1;e>=0;--e)Fg(a,{from:d[e].from,to:d[e].to,text:e?[""]:b.text});else Fg(a,b)}function Fg(a,b){var c,d;(1!=b.text.length||""!=b.text[0]||0!=nb(b.from,b.to))&&(c=Tf(a,b),eg(a,b,c,a.cm?a.cm.curOp.id:0/0),Ig(a,b,c,Fb(a,b)),d=[],$f(a,function(a,c){c||-1!=L(d,a.history)||(Ng(a.history,b),d.push(a.history)),Ig(a,b,null,Fb(a,b))}))}function Gg(a,b,c){var e,d,f,g,h,i,j,k,l,m,n;if(!a.cm||!a.cm.state.suppressEdits||c){for(d=a.history,f=a.sel,g="undo"==b?d.done:d.undone,h="undo"==b?d.undone:d.done,i=0;i<g.length&&(e=g[i],c?!e.ranges||e.equals(a.sel):e.ranges);i++);if(i!=g.length){for(d.lastOrigin=d.lastSelOrigin=null;e=g.pop(),e.ranges;){if(hg(e,h),c&&!e.equals(a.sel))return ug(a,e,{clearRedo:!1}),void 0;f=e}for(j=[],hg(f,h),h.push({changes:j,generation:d.generation}),d.generation=e.generation||++d.maxGeneration,k=sc(a,"beforeChange")||a.cm&&sc(a.cm,"beforeChange"),l=function(c){var f,h,d=e.changes[c];return d.origin=b,k&&!Dg(a,d,!1)?(g.length=0,{}):(j.push(bg(a,d)),f=c?Tf(a,d):U(g),Ig(a,d,f,lg(a,d)),!c&&a.cm&&a.cm.scrollIntoView({from:d.from,to:Rf(d)}),h=[],$f(a,function(a,b){b||-1!=L(h,a.history)||(Ng(a.history,d),h.push(a.history)),Ig(a,d,null,lg(a,d))}),void 0)},m=e.changes.length-1;m>=0;--m)if(n=l(m))return n.v}}}function Hg(a,b){if(0!=b&&(a.first+=b,a.sel=new Nf(V(a.sel.ranges,function(a){return new Of(mb(a.anchor.line+b,a.anchor.ch),mb(a.head.line+b,a.head.ch))}),a.sel.primIndex),a.cm)){vf(a.cm,a.first,a.first-b,b);for(var c=a.cm.display,d=c.viewFrom;d<c.viewTo;d++)wf(a.cm,d,"gutter")}}function Ig(a,b,c,d){var e,f;return a.cm&&!a.cm.curOp?sf(a.cm,Ig)(a,b,c,d):b.to.line<a.first?(Hg(a,b.text.length-1-(b.to.line-b.from.line)),void 0):(b.from.line>a.lastLine()||(b.from.line<a.first&&(e=b.text.length-1-(a.first-b.from.line),Hg(a,e),b={from:mb(a.first,0),to:mb(b.to.line+e,b.to.ch),text:[U(b.text)],origin:b.origin}),f=a.lastLine(),b.to.line>f&&(b={from:b.from,to:mb(f,eb(a,f).text.length),text:[b.text[0]],origin:b.origin}),b.removed=fb(a,b.from,b.to),c||(c=Tf(a,b)),a.cm?Jg(a.cm,b,d):Zf(a,b,d),vg(a,c,O)),void 0)}function Jg(a,b,c){var j,k,l,m,d=a.doc,e=a.display,f=b.from,g=b.to,h=!1,i=f.line;a.options.lineWrapping||(i=ib(Rb(eb(d,f.line))),d.iter(i,g.line+1,function(a){return a==e.maxLine?(h=!0,!0):void 0})),d.sel.contains(b.from,b.to)>-1&&rc(a),Zf(d,b,c,we(a)),a.options.lineWrapping||(d.iter(i,f.line+b.text.length,function(a){var b=Yb(a);b>e.maxLineLength&&(e.maxLine=a,e.maxLineLength=b,e.maxLineChanged=!0,h=!1)}),h&&(a.curOp.updateMaxLine=!0)),d.frontier=Math.min(d.frontier,f.line),Bf(a,400),j=b.text.length-(g.line-f.line)-1,b.full?vf(a):f.line!=g.line||1!=b.text.length||Yf(a.doc,b)?vf(a,f.line,g.line+1,j):wf(a,f.line,"text"),k=sc(a,"changes"),l=sc(a,"change"),(l||k)&&(m={from:f,to:g,text:b.text,removed:b.removed,origin:b.origin},l&&yd(a,"change",a,m),k&&(a.curOp.changeObjs||(a.curOp.changeObjs=[])).push(m)),a.display.selForContextMenu=null}function Kg(a,b,c,d,e){if(d||(d=c),nb(d,c)<0){var f=d;d=c,c=f}"string"==typeof b&&(b=a.splitLines(b)),Eg(a,{from:c,to:d,text:b,origin:e})}function Lg(a,b,c,d){c<a.line?a.line+=d:b<a.line&&(a.line=b,a.ch=0)}function Mg(a,b,c,d){var e,f,g,h,i,j;for(e=0;e<a.length;++e)if(f=a[e],g=!0,f.ranges)for(f.copied||(f=a[e]=f.deepCopy(),f.copied=!0),h=0;h<f.ranges.length;h++)Lg(f.ranges[h].anchor,b,c,d),Lg(f.ranges[h].head,b,c,d);else{for(i=0;i<f.changes.length;++i)if(j=f.changes[i],c<j.from.line)j.from=mb(j.from.line+d,j.from.ch),j.to=mb(j.to.line+d,j.to.ch);else if(b<=j.to.line){g=!1;break}g||(a.splice(0,e+1),e=0)}}function Ng(a,b){var c=b.from.line,d=b.to.line,e=b.text.length-(d-c)-1;Mg(a.done,c,d,e),Mg(a.undone,c,d,e)}function Og(a,b,c,d){var e=b,f=b;return"number"==typeof b?f=eb(a,rb(a,b)):e=ib(b),null==e?null:(d(f,e)&&a.cm&&wf(a.cm,e,c),f)}function Pg(a){var c,d,b=this;for(this.lines=a,this.parent=null,c=0,d=0;d<a.length;++d)a[d].parent=b,c+=a[d].height;this.height=c}function Qg(a){var c,d,e,f,b=this;for(this.children=a,c=0,d=0,e=0;e<a.length;++e)f=a[e],c+=f.chunkSize(),d+=f.height,f.parent=b;this.size=c,this.height=d,this.parent=null}function Rg(a,b,c){var e,d=this;if(c)for(e in c)c.hasOwnProperty(e)&&(d[e]=c[e]);this.doc=a,this.node=b}function Sg(a,b,c){Xb(b)<(a.curOp&&a.curOp.scrollTop||a.doc.scrollTop)&&ef(a,null,c)}function Tg(a,b,c,d){var e=new Rg(a,c,d),f=a.cm;return f&&e.noHScroll&&(f.display.alignWidgets=!0),Og(a,b,"widget",function(b){var d,c=b.widgets||(b.widgets=[]);return null==e.insertAt?c.push(e):c.splice(Math.min(c.length-1,Math.max(0,e.insertAt)),0,e),e.line=b,f&&!Vb(a,b)&&(d=Xb(b)<a.scrollTop,hb(b,b.height+Md(e)),d&&ef(f,null,e.height),f.curOp.forceUpdate=!0),!0}),e}function Vg(a,b){this.lines=[],this.type=b,this.doc=a,this.id=++Ug}function Wg(a,b,c,d,e){var f,g,j,h,i,k;if(d&&d.shared)return Yg(a,b,c,d,e);if(a.cm&&!a.cm.curOp)return sf(a.cm,Wg)(a,b,c,d,e);if(f=new Vg(a,e),g=nb(b,c),d&&I(d,f,!1),g>0||0==g&&f.clearWhenEmpty!==!1)return f;if(f.replacedWith&&(f.collapsed=!0,f.widgetNode=A("span",[f.replacedWith],"CodeMirror-widget"),d.handleMouseEvents||f.widgetNode.setAttribute("cm-ignore-events","true"),d.insertLeft&&(f.widgetNode.insertLeft=!0)),f.collapsed){if(Qb(a,b.line,b,c,f)||b.line!=c.line&&Qb(a,c.line,b,c,f))throw new Error("Inserting collapsed marker partially overlapping an existing one");yb()}if(f.addToHistory&&eg(a,{from:b,to:c,origin:"markText"},a.sel,0/0),h=b.line,i=a.cm,a.iter(h,c.line+1,function(a){i&&f.collapsed&&!i.options.lineWrapping&&Rb(a)==i.display.maxLine&&(j=!0),f.collapsed&&h!=b.line&&hb(a,0),Cb(a,new zb(f,h==b.line?b.ch:null,h==c.line?c.ch:null)),++h}),f.collapsed&&a.iter(b.line,c.line+1,function(b){Vb(a,b)&&hb(b,0)}),f.clearOnEnter&&mc(f,"beforeCursorEnter",function(){return f.clear()}),f.readOnly&&(xb(),(a.history.done.length||a.history.undone.length)&&a.clearHistory()),f.collapsed&&(f.id=++Ug,f.atomic=!0),i){if(j&&(i.curOp.updateMaxLine=!0),f.collapsed)vf(i,b.line,c.line+1);else if(f.className||f.title||f.startStyle||f.endStyle||f.css)for(k=b.line;k<=c.line;k++)wf(i,k,"text");f.atomic&&xg(i.doc),yd(i,"markerAdded",i,f)}return f}function Xg(a,b){var d,c=this;for(this.markers=a,this.primary=b,d=0;d<a.length;++d)a[d].parent=c}function Yg(a,b,c,d,e){var f,g,h;return d=I(d),d.shared=!1,f=[Wg(a,b,c,d,e)],g=f[0],h=d.widgetNode,$f(a,function(a){h&&(d.widgetNode=h.cloneNode(!0)),f.push(Wg(a,sb(a,b),sb(a,c),d,e));for(var i=0;i<a.linked.length;++i)if(a.linked[i].isParent)return;g=U(f)}),new Xg(f,g)}function Zg(a){return a.findMarks(mb(a.first,0),a.clipPos(mb(a.lastLine())),function(a){return a.parent})}function $g(a,b){var c,d,e,f,g,h;for(c=0;c<b.length;c++)d=b[c],e=d.find(),f=a.clipPos(e.from),g=a.clipPos(e.to),nb(f,g)&&(h=Wg(a,f,g,d.primary,d.primary.type),d.markers.push(h),h.parent=d)}function _g(a){var c,b=function(b){var e,f,c=a[b],d=[c.primary.doc];for($f(c.primary.doc,function(a){return d.push(a)}),e=0;e<c.markers.length;e++)f=c.markers[e],-1==L(d,f.doc)&&(f.parent=null,c.markers.splice(e--,1))};for(c=0;c<a.length;c++)b(c)}function dh(a){var c,d,e,g,h,i,j,k,l,m,b=this;if(gh(b),!qc(b,a)&&!Nd(b.display,a)&&(uc(a),f&&(ch=+new Date),c=ye(b,a,!0),d=a.dataTransfer.files,c&&!b.isReadOnly()))if(d&&d.length&&window.FileReader&&window.File)for(e=d.length,g=Array(e),h=0,i=function(a,d){if(!b.options.allowDropFileTypes||-1!=L(b.options.allowDropFileTypes,a.type)){var f=new FileReader;f.onload=sf(b,function(){var i,a=f.result;/[\x00-\x08\x0e-\x1f]{2}/.test(a)&&(a=""),g[d]=a,++h==e&&(c=sb(b.doc,c),i={from:c,to:c,text:b.doc.splitLines(g.join(b.doc.lineSeparator())),origin:"paste"},Eg(b.doc,i),tg(b.doc,Qf(c,Rf(i))))}),f.readAsText(a)}},j=0;e>j;++j)i(d[j],j);else{if(b.state.draggingText&&b.doc.sel.contains(c)>-1)return b.state.draggingText(a),setTimeout(function(){return b.display.input.focus()},20),void 0;try{if(k=a.dataTransfer.getData("Text")){if(b.state.draggingText&&!b.state.draggingText.copy&&(l=b.listSelections()),vg(b.doc,Qf(c,c)),l)for(m=0;m<l.length;++m)Kg(b.doc,"",l[m].anchor,l[m].head,"drag");b.replaceSelection(k,"around","paste"),b.display.input.focus()}}catch(a){}}}function eh(a,b){if(f&&(!a.state.draggingText||+new Date-ch<100))return xc(b),void 0;if(!qc(a,b)&&!Nd(a.display,b)&&(b.dataTransfer.setData("Text",a.getSelection()),b.dataTransfer.effectAllowed="copyMove",b.dataTransfer.setDragImage&&!l)){var c=A("img",null,null,"position: fixed; left: 0; top: 0;");c.src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==",k&&(c.width=c.height=1,a.display.wrapper.appendChild(c),c._top=c.offsetTop),b.dataTransfer.setDragImage(c,0,0),k&&c.parentNode.removeChild(c)}}function fh(a,b){var d,c=ye(a,b);c&&(d=document.createDocumentFragment(),Ce(a,c,d),a.display.dragCursor||(a.display.dragCursor=A("div",null,"CodeMirror-cursors CodeMirror-dragcursors"),a.display.lineSpace.insertBefore(a.display.dragCursor,a.display.cursorDiv)),z(a.display.dragCursor,d))}function gh(a){a.display.dragCursor&&(a.display.lineSpace.removeChild(a.display.dragCursor),a.display.dragCursor=null)}function hh(a){var b,c,d;if(document.body.getElementsByClassName)for(b=document.body.getElementsByClassName("CodeMirror"),c=0;c<b.length;c++)d=b[c].CodeMirror,d&&a(d)}function jh(){ih||(kh(),ih=!0)}function kh(){var a;mc(window,"resize",function(){null==a&&(a=setTimeout(function(){a=null,hh(lh)},100))}),mc(window,"blur",function(){return hh(Ie)})}function lh(a){var b=a.display;(b.lastWrapHeight!=b.wrapper.clientHeight||b.lastWrapWidth!=b.wrapper.clientWidth)&&(b.cachedCharWidth=b.cachedTextHeight=b.cachedPaddingH=null,b.scrollbarsClipped=!1,a.setSize())}function rh(a){var c,d,e,f,g,h,b=a.split(/-(?!$)/);for(a=b[b.length-1],g=0;g<b.length-1;g++)if(h=b[g],/^(cmd|meta|m)$/i.test(h))f=!0;else if(/^a(lt)?$/i.test(h))c=!0;else if(/^(c|ctrl|control)$/i.test(h))d=!0;else{if(!/^s(hift)?$/i.test(h))throw new Error("Unrecognized modifier name: "+h);e=!0}return c&&(a="Alt-"+a),d&&(a="Ctrl-"+a),f&&(a="Cmd-"+a),e&&(a="Shift-"+a),a}function sh(a){var c,d,e,f,g,h,i,j,b={};for(c in a)if(a.hasOwnProperty(c)){if(d=a[c],/^(name|fallthrough|(de|at)tach)$/.test(c))continue;if("..."==d){delete a[c];continue}for(e=V(c.split(" "),rh),f=0;f<e.length;f++)if(g=void 0,h=void 0,f==e.length-1?(h=e.join(" "),g=d):(h=e.slice(0,f+1).join(" "),g="..."),i=b[h]){if(i!=g)throw new Error("Inconsistent bindings for "+h)}else b[h]=g;delete a[c]}for(j in b)a[j]=b[j];return a}function th(a,b,c,d){var e,f,g;if(b=wh(b),e=b.call?b.call(a,d):b[a],e===!1)return"nothing";if("..."===e)return"multi";if(null!=e&&c(e))return"handled";if(b.fallthrough){if("[object Array]"!=Object.prototype.toString.call(b.fallthrough))return th(a,b.fallthrough,c,d);for(f=0;f<b.fallthrough.length;f++)if(g=th(a,b.fallthrough[f],c,d))return g}}function uh(a){var b="string"==typeof a?a:mh[a.keyCode];return"Ctrl"==b||"Alt"==b||"Shift"==b||"Mod"==b}function vh(a,b){if(k&&34==a.keyCode&&a["char"])return!1;var c=mh[a.keyCode],d=c;return null==d||a.altGraphKey?!1:(a.altKey&&"Alt"!=c&&(d="Alt-"+d),(u?a.metaKey:a.ctrlKey)&&"Ctrl"!=c&&(d="Ctrl-"+d),(u?a.ctrlKey:a.metaKey)&&"Cmd"!=c&&(d="Cmd-"+d),!b&&a.shiftKey&&"Shift"!=c&&(d="Shift-"+d),d)}function wh(a){return"string"==typeof a?qh[a]:a}function xh(a,b){var e,f,g,c=a.doc.sel.ranges,d=[];for(e=0;e<c.length;e++){for(f=b(c[e]);d.length&&nb(f.from,U(d).to)<=0;)if(g=d.pop(),nb(g.from,f.from)<0){f.from=g.from;break}d.push(f)}rf(a,function(){for(var b=d.length-1;b>=0;b--)Kg(a.doc,"",d[b].from,d[b].to,"+delete");ff(a)})}function zh(a,b){var e,f,c=eb(a.doc,b),d=Rb(c);return d!=c&&(b=ib(d)),e=kc(d),f=e?e[0].level%2?cc(d):bc(d):0,mb(b,f)}function Ah(a,b){for(var c,e,f,d=eb(a.doc,b);c=Pb(d);)d=c.find(1,!0).line,b=null;return e=kc(d),f=e?e[0].level%2?bc(d):cc(d):d.text.length,mb(null==b?ib(d):b,f)}function Bh(a,b){var f,g,c=zh(a,b.line),d=eb(a.doc,c.line),e=kc(d);return e&&0!=e[0].level?c:(f=Math.max(0,d.text.search(/\S/)),g=b.line==c.line&&b.ch<=f&&b.ch,mb(c.line,g?0:f))}function Ch(a,b,c){if("string"==typeof b&&(b=yh[b],!b))return!1;a.display.input.ensurePolled();var d=a.display.shift,e=!1;try{a.isReadOnly()&&(a.state.suppressEdits=!0),c&&(a.display.shift=!1),e=b(a)!=N}finally{a.display.shift=d,a.state.suppressEdits=!1}return e}function Dh(a,b,c){var d,e;for(d=0;d<a.state.keyMaps.length;d++)if(e=th(b,a.state.keyMaps[d],c,a))return e;return a.options.extraKeys&&th(b,a.options.extraKeys,c,a)||th(b,a.options.keyMap,c,a)}function Fh(a,b,c,d){var f,e=a.state.keySeq;if(e){if(uh(b))return"handled";Eh.set(50,function(){a.state.keySeq==e&&(a.state.keySeq=null,a.display.input.reset())}),b=e+" "+b}return f=Dh(a,b,d),"multi"==f&&(a.state.keySeq=b),"handled"==f&&yd(a,"keyHandled",a,b,c),("handled"==f||"multi"==f)&&(uc(c),Ee(a)),e&&!f&&/\'$/.test(b)?(uc(c),!0):!!f}function Gh(a,b){var c=vh(b,!0);return c?b.shiftKey&&!a.state.keySeq?Fh(a,"Shift-"+c,b,function(b){return Ch(a,b,!0)})||Fh(a,c,b,function(b){return("string"==typeof b?/^go[A-Z]/.test(b):b.motion)?Ch(a,b):void 0}):Fh(a,c,b,function(b){return Ch(a,b)}):!1}function Hh(a,b,c){return Fh(a,"'"+c+"'",b,function(b){return Ch(a,b,!0)})}function Jh(a){var c,d,b=this;b.curOp.focus=D(),qc(b,a)||(f&&11>g&&27==a.keyCode&&(a.returnValue=!1),c=a.keyCode,b.display.shift=16==c||a.shiftKey,d=Gh(b,a),k&&(Ih=d?c:null,!d&&88==c&&!Hc&&(q?a.metaKey:a.ctrlKey)&&b.replaceSelection("",null,"cut")),18!=c||/\bCodeMirror-crosshair\b/.test(b.display.lineDiv.className)||Kh(b))}function Kh(a){function c(a){18!=a.keyCode&&a.altKey||(x(b,"CodeMirror-crosshair"),oc(document,"keyup",c),oc(document,"mouseover",c))}var b=a.display.lineDiv;E(b,"CodeMirror-crosshair"),mc(document,"keyup",c),mc(document,"mouseover",c)}function Lh(a){16==a.keyCode&&(this.doc.sel.shift=!1),qc(this,a)}function Mh(a){var c,d,e,b=this;if(!(Nd(b.display,a)||qc(b,a)||a.ctrlKey&&!a.altKey||q&&a.metaKey))return c=a.keyCode,d=a.charCode,k&&c==Ih?(Ih=null,uc(a),void 0):(k&&(!a.which||a.which<10)&&Gh(b,a)||(e=String.fromCharCode(null==d?c:d),"\b"!=e&&(Hh(b,a,e)||b.display.input.onKeyPress(a))),void 0)}function Nh(a){var d,b=this,c=b.display;if(!(qc(b,a)||c.activeTouch&&c.input.supportsTouch())){if(c.input.ensurePolled(),c.shift=a.shiftKey,Nd(c,a))return h||(c.scroller.draggable=!1,setTimeout(function(){return c.scroller.draggable=!0},100)),void 0;if(!Uh(b,a))switch(d=ye(b,a),window.focus(),zc(a)){case 1:b.state.selectingText?b.state.selectingText(a):d?Qh(b,a,d):yc(a)==c.scroller&&uc(a);break;case 2:h&&(b.state.lastMiddleDown=+new Date),d&&og(b.doc,d),setTimeout(function(){return c.input.focus()},20),uc(a);break;case 3:v?Vh(b,a):Ge(b)}}}function Qh(a,b,c){var e,d,i,g,h;f?setTimeout(H(Fe,a),0):a.curOp.focus=D(),d=+new Date,Ph&&Ph.time>d-400&&0==nb(Ph.pos,c)?e="triple":Oh&&Oh.time>d-400&&0==nb(Oh.pos,c)?(e="double",Ph={time:d,pos:c}):(e="single",Oh={time:d,pos:c}),g=a.doc.sel,h=q?b.metaKey:b.ctrlKey,a.options.dragDrop&&Ac&&!a.isReadOnly()&&"single"==e&&(i=g.contains(c))>-1&&(nb((i=g.ranges[i]).from(),c)<0||c.xRel>0)&&(nb(i.to(),c)>0||c.xRel<0)?Rh(a,b,c,h):Sh(a,b,c,e,h)}function Rh(a,b,c,d){var e=a.display,i=+new Date,j=sf(a,function(k){h&&(e.scroller.draggable=!1),a.state.draggingText=!1,oc(document,"mouseup",j),oc(e.scroller,"drop",j),Math.abs(b.clientX-k.clientX)+Math.abs(b.clientY-k.clientY)<10&&(uc(k),!d&&+new Date-200<i&&og(a.doc,c),h||f&&9==g?setTimeout(function(){document.body.focus(),e.input.focus()},20):e.input.focus())});h&&(e.scroller.draggable=!0),a.state.draggingText=j,j.copy=q?b.altKey:b.ctrlKey,e.scroller.dragDrop&&e.scroller.dragDrop(),mc(document,"mouseup",j),mc(e.scroller,"drop",j)}function Sh(a,b,c,d,e){function o(b){var e,f,k,l,m,o,p,q,r,s,t,u,v,w,x;if(0!=nb(n,b))if(n=b,"rect"==d){for(e=[],f=a.options.tabSize,k=J(eb(g,c.line).text,c.ch,f),l=J(eb(g,b.line).text,b.ch,f),m=Math.min(k,l),o=Math.max(k,l),p=Math.min(c.line,b.line),q=Math.min(a.lastLine(),Math.max(c.line,b.line));q>=p;p++)r=eb(g,p).text,s=R(r,m,f),m==o?e.push(new Of(mb(p,s),mb(p,s))):r.length>s&&e.push(new Of(mb(p,s),mb(p,R(r,o,f))));e.length||e.push(new Of(c,c)),ug(g,Pf(j.ranges.slice(0,i).concat(e),i),{origin:"*mouse",scroll:!1}),a.scrollIntoView(b)}else t=h,u=t.anchor,v=b,"single"!=d&&(w="double"==d?a.findWordAt(b):new Of(mb(b.line,0),sb(g,mb(b.line+1,0))),nb(w.anchor,u)>0?(v=w.head,u=qb(t.from(),w.anchor)):(v=w.anchor,u=pb(t.to(),w.head))),x=j.ranges.slice(0),x[i]=new Of(sb(g,u),v),ug(g,Pf(x,i),P)}function s(b){var h,i,c=++q,e=ye(a,b,!0,"rect"==d);e&&(0!=nb(e,n)?(a.curOp.focus=D(),o(e),h=Ne(f,g),(e.line>=h.to||e.line<h.from)&&setTimeout(sf(a,function(){q==c&&s(b)}),150)):(i=b.clientY<p.top?-20:b.clientY>p.bottom?20:0,i&&setTimeout(sf(a,function(){q==c&&(f.scroller.scrollTop+=i,s(b))}),50)))}function t(b){a.state.selectingText=!1,q=1/0,uc(b),f.input.focus(),oc(document,"mousemove",u),oc(document,"mouseup",v),g.history.lastSelOrigin=null}var h,i,j,k,l,m,n,p,q,u,v,f=a.display,g=a.doc;uc(b),j=g.sel,k=j.ranges,e&&!b.shiftKey?(i=g.sel.contains(c),h=i>-1?k[i]:new Of(c,c)):(h=g.sel.primary(),i=g.sel.primIndex),(r?b.shiftKey&&b.metaKey:b.altKey)?(d="rect",e||(h=new Of(c,c)),c=ye(a,b,!0,!0),i=-1):"double"==d?(l=a.findWordAt(c),h=a.display.shift||g.extend?ng(g,h,l.anchor,l.head):l):"triple"==d?(m=new Of(mb(c.line,0),sb(g,mb(c.line+1,0))),h=a.display.shift||g.extend?ng(g,h,m.anchor,m.head):m):h=ng(g,h,c),e?-1==i?(i=k.length,ug(g,Pf(k.concat([h]),i),{scroll:!1,origin:"*mouse"})):k.length>1&&k[i].empty()&&"single"==d&&!b.shiftKey?(ug(g,Pf(k.slice(0,i).concat(k.slice(i+1)),0),{scroll:!1,origin:"*mouse"}),j=g.sel):qg(g,i,h,P):(i=0,ug(g,new Nf([h],0),P),j=g.sel),n=c,p=f.wrapper.getBoundingClientRect(),q=0,u=sf(a,function(a){zc(a)?s(a):t(a)}),v=sf(a,t),a.state.selectingText=v,mc(document,"mousemove",u),mc(document,"mouseup",v)}function Th(a,b,c,d){var e,f,g,h,i,j,k,l;try{e=b.clientX,f=b.clientY}catch(b){return!1}if(e>=Math.floor(a.display.gutters.getBoundingClientRect().right))return!1;if(d&&uc(b),g=a.display,h=g.lineDiv.getBoundingClientRect(),f>h.bottom||!sc(a,c))return wc(b);for(f-=h.top-g.viewOffset,i=0;i<a.options.gutters.length;++i)if(j=g.gutters.childNodes[i],j&&j.getBoundingClientRect().right>=e)return k=jb(a.doc,f),l=a.options.gutters[i],pc(a,c,a,k,l,b),wc(b)}function Uh(a,b){return Th(a,b,"gutterClick",!0)}function Vh(a,b){Nd(a.display,b)||Wh(a,b)||qc(a,b,"contextmenu")||a.display.input.onContextMenu(b)}function Wh(a,b){return sc(a,"gutterContextMenu")?Th(a,b,"gutterContextMenu",!1):!1}function Xh(a){a.display.wrapper.className=a.display.wrapper.className.replace(/\s*cm-s-\S+/g,"")+a.options.theme.replace(/(^|\s)\s*/g," cm-s-"),ge(a)}function _h(a){function c(c,d,e,f){a.defaults[c]=d,e&&(b[c]=f?function(a,b,c){c!=Yh&&e(a,b,c)}:e)}var b=a.optionHandlers;a.defineOption=c,a.Init=Yh,c("value","",function(a,b){return a.setValue(b)},!0),c("mode",null,function(a,b){a.doc.modeOption=b,Wf(a)},!0),c("indentUnit",2,Wf,!0),c("indentWithTabs",!1),c("smartIndent",!0),c("tabSize",4,function(a){Xf(a),ge(a),vf(a)},!0),c("lineSeparator",null,function(a,b){var c,d,e;if(a.doc.lineSep=b,b)for(c=[],d=a.doc.first,a.doc.iter(function(a){var e,f;for(e=0;f=a.text.indexOf(b,e),-1!=f;)e=f+b.length,c.push(mb(d,f));d++}),e=c.length-1;e>=0;e--)Kg(a.doc,b,c[e],mb(c[e].line,c[e].ch+b.length))}),c("specialChars",/[\u0000-\u001f\u007f\u00ad\u061c\u200b-\u200f\u2028\u2029\ufeff]/g,function(a,b,c){a.state.specialChars=new RegExp(b.source+(b.test("	")?"":"|	"),"g"),c!=Yh&&a.refresh()}),c("specialCharPlaceholder",ld,function(a){return a.refresh()},!0),c("electricChars",!0),c("inputStyle",p?"contenteditable":"textarea",function(){throw new Error("inputStyle can not (yet) be changed in a running editor")},!0),c("spellcheck",!1,function(a,b){return a.getInputField().spellcheck=b},!0),c("rtlMoveVisually",!s),c("wholeLineUpdateBefore",!0),c("theme","default",function(a){Xh(a),ai(a)},!0),c("keyMap","default",function(a,b,c){var d=wh(b),e=c!=Yh&&wh(c);e&&e.detach&&e.detach(a,d),d.attach&&d.attach(a,e||null)}),c("extraKeys",null),c("lineWrapping",!1,ci,!0),c("gutters",[],function(a){Mf(a.options),ai(a)},!0),c("fixedGutter",!0,function(a,b){a.display.gutters.style.left=b?ve(a.display)+"px":"0",a.refresh()},!0),c("coverGutterNextToScrollbar",!1,function(a){return Ye(a)},!0),c("scrollbarStyle","native",function(a){_e(a),Ye(a),a.display.scrollbars.setScrollTop(a.doc.scrollTop),a.display.scrollbars.setScrollLeft(a.doc.scrollLeft)},!0),c("lineNumbers",!1,function(a){Mf(a.options),ai(a)},!0),c("firstLineNumber",1,ai,!0),c("lineNumberFormatter",function(a){return a},ai,!0),c("showCursorWhenSelecting",!1,Ae,!0),c("resetSelectionOnContextMenu",!0),c("lineWiseCopyCut",!0),c("readOnly",!1,function(a,b){"nocursor"==b?(Ie(a),a.display.input.blur(),a.display.disabled=!0):a.display.disabled=!1,a.display.input.readOnlyChanged(b)}),c("disableInput",!1,function(a,b){b||a.display.input.reset()},!0),c("dragDrop",!0,bi),c("allowDropFileTypes",null),c("cursorBlinkRate",530),c("cursorScrollMargin",0),c("cursorHeight",1,Ae,!0),c("singleCursorHeightPerLine",!0,Ae,!0),c("workTime",100),c("workDelay",100),c("flattenSpans",!0,Xf,!0),c("addModeClass",!1,Xf,!0),c("pollInterval",100),c("undoDepth",200,function(a,b){return a.doc.history.undoDepth=b}),c("historyEventDelay",1250),c("viewportMargin",10,function(a){return a.refresh()},!0),c("maxHighlightLength",1e4,Xf,!0),c("moveInputWithCursor",!0,function(a,b){b||a.display.input.resetPosition()}),c("tabindex",null,function(a,b){return a.display.input.getField().tabIndex=b||""}),c("autofocus",null)}function ai(a){Lf(a),vf(a),Je(a)}function bi(a,b,c){var e,f,d=c&&c!=Yh;!b!=!d&&(e=a.display.dragFunctions,f=b?mc:oc,f(a.display.scroller,"dragstart",e.start),f(a.display.scroller,"dragenter",e.enter),f(a.display.scroller,"dragover",e.over),f(a.display.scroller,"dragleave",e.leave),f(a.display.scroller,"drop",e.drop))}function ci(a){a.options.lineWrapping?(E(a.display.wrapper,"CodeMirror-wrap"),a.display.sizer.style.minWidth="",a.display.sizerWidth=null):(x(a.display.wrapper,"CodeMirror-wrap"),Zb(a)),xe(a),vf(a),ge(a),setTimeout(function(){return Ye(a)},100)}function di(a,b){var d,e,i,j,k,c=this;if(!(this instanceof di))return new di(a,b);this.options=b=b?I(b):{},I(Zh,b,!1),Mf(b),d=b.value,"string"==typeof d&&(d=new bh(d,b.mode,null,b.lineSeparator)),this.doc=d,e=new di.inputStyles[b.inputStyle](this),i=this.display=new db(a,d,e),i.wrapper.CodeMirror=this,Lf(this),Xh(this),b.lineWrapping&&(this.display.wrapper.className+=" CodeMirror-wrap"),_e(this),this.state={keyMaps:[],overlays:[],modeGen:0,overwrite:!1,delayingBlurEvent:!1,focused:!1,suppressEdits:!1,pasteIncoming:!1,cutIncoming:!1,selectingText:!1,draggingText:!1,highlight:new K,keySeq:null,specialChars:null},b.autofocus&&!p&&i.input.focus(),f&&11>g&&setTimeout(function(){return c.display.input.reset(!0)},20),ei(this),jh(),jf(this),this.curOp.forceUpdate=!0,_f(this,d),b.autofocus&&!p||this.hasFocus()?setTimeout(H(He,this),20):Ie(this);for(j in $h)$h.hasOwnProperty(j)&&$h[j](c,b[j],Yh);for(Ke(this),b.finishInit&&b.finishInit(this),k=0;k<fi.length;++k)fi[k](c);kf(this),h&&b.lineWrapping&&"optimizelegibility"==getComputedStyle(i.lineDiv).textRendering&&(i.lineDiv.style.textRendering="auto")}function ei(a){function e(){b.activeTouch&&(c=setTimeout(function(){return b.activeTouch=null},1e3),d=b.activeTouch,d.end=+new Date)}function h(a){if(1!=a.touches.length)return!1;var b=a.touches[0];return b.radiusX<=1&&b.radiusY<=1}function i(a,b){if(null==b.left)return!0;var c=b.left-a.left,d=b.top-a.top;return c*c+d*d>400}var c,d,j,b=a.display;mc(b.scroller,"mousedown",sf(a,Nh)),f&&11>g?mc(b.scroller,"dblclick",sf(a,function(b){var c,d;qc(a,b)||(c=ye(a,b),!c||Uh(a,b)||Nd(a.display,b)||(uc(b),d=a.findWordAt(c),og(a.doc,d.anchor,d.head)))})):mc(b.scroller,"dblclick",function(b){return qc(a,b)||uc(b)}),v||mc(b.scroller,"contextmenu",function(b){return Vh(a,b)}),d={end:0},mc(b.scroller,"touchstart",function(e){if(!qc(a,e)&&!h(e)){b.input.ensurePolled(),clearTimeout(c);var f=+new Date;b.activeTouch={start:f,moved:!1,prev:f-d.end<=300?d:null},1==e.touches.length&&(b.activeTouch.left=e.touches[0].pageX,b.activeTouch.top=e.touches[0].pageY)}}),mc(b.scroller,"touchmove",function(){b.activeTouch&&(b.activeTouch.moved=!0)}),mc(b.scroller,"touchend",function(c){var g,f,d=b.activeTouch;d&&!Nd(b,c)&&null!=d.left&&!d.moved&&new Date-d.start<300&&(f=a.coordsChar(b.activeTouch,"page"),g=!d.prev||i(d,d.prev)?new Of(f,f):!d.prev.prev||i(d,d.prev.prev)?a.findWordAt(f):new Of(mb(f.line,0),sb(a.doc,mb(f.line+1,0))),a.setSelection(g.anchor,g.head),a.focus(),uc(c)),e()}),mc(b.scroller,"touchcancel",e),mc(b.scroller,"scroll",function(){b.scroller.clientHeight&&(Oe(a,b.scroller.scrollTop),Pe(a,b.scroller.scrollLeft,!0),pc(a,"scroll",a))}),mc(b.scroller,"mousewheel",function(b){return Ue(a,b)}),mc(b.scroller,"DOMMouseScroll",function(b){return Ue(a,b)}),mc(b.wrapper,"scroll",function(){return b.wrapper.scrollTop=b.wrapper.scrollLeft=0}),b.dragFunctions={enter:function(b){qc(a,b)||xc(b)},over:function(b){qc(a,b)||(fh(a,b),xc(b))},start:function(b){return eh(a,b)},drop:sf(a,dh),leave:function(b){qc(a,b)||gh(a)}},j=b.input.getField(),mc(j,"keyup",function(b){return Lh.call(a,b)}),mc(j,"keydown",sf(a,Jh)),mc(j,"keypress",sf(a,Mh)),mc(j,"focus",function(b){return He(a,b)}),mc(j,"blur",function(b){return Ie(a,b)})}function gi(a,b,c,d){var f,g,h,i,k,j,l,m,n,o,p,q,e=a.doc;if(null==c&&(c="add"),"smart"==c&&(e.mode.indent?f=Yc(a,b):c="prev"),g=a.options.tabSize,h=eb(e,b),i=J(h.text,null,g),h.stateAfter&&(h.stateAfter=null),j=h.text.match(/^\s*/)[0],d||/\S/.test(h.text)){if("smart"==c&&(k=e.mode.indent(f,h.text.slice(j.length),h.text),k==N||k>150)){if(!d)return;c="prev"}}else k=0,c="not";if("prev"==c?k=b>e.first?J(eb(e,b-1).text,null,g):0:"add"==c?k=i+a.options.indentUnit:"subtract"==c?k=i-a.options.indentUnit:"number"==typeof c&&(k=i+c),k=Math.max(0,k),l="",m=0,a.options.indentWithTabs)for(n=Math.floor(k/g);n;--n)m+=g,l+="	";if(k>m&&(l+=T(k-m)),l!=j)return Kg(e,l,mb(b,0),mb(b,j.length),"+input"),h.stateAfter=null,!0;for(o=0;o<e.sel.ranges.length;o++)if(p=e.sel.ranges[o],p.head.line==b&&p.head.ch<j.length){q=mb(b,j.length),qg(e,o,new Of(q,q));break}}function ii(a){hi=a}function ji(a,b,c,d,e){var g,h,i,j,k,l,m,n,o,p,f=a.doc;if(a.display.shift=!1,d||(d=f.sel),g=a.state.pasteIncoming||"paste"==e,h=Fc(b),i=null,g&&d.ranges.length>1)if(hi&&hi.text.join("\n")==b){if(0==d.ranges.length%hi.text.length)for(i=[],j=0;j<hi.text.length;j++)i.push(f.splitLines(hi.text[j]))}else h.length==d.ranges.length&&(i=V(h,function(a){return[a]}));for(l=d.ranges.length-1;l>=0;l--)m=d.ranges[l],n=m.from(),o=m.to(),m.empty()&&(c&&c>0?n=mb(n.line,n.ch-c):a.state.overwrite&&!g?o=mb(o.line,Math.min(eb(f,o.line).text.length,o.ch+U(h).length)):hi&&hi.lineWise&&hi.text.join("\n")==b&&(n=o=mb(n.line,0))),k=a.curOp.updateInput,p={from:n,to:o,text:i?i[l%i.length]:h,origin:e||(g?"paste":a.state.cutIncoming?"cut":"+input")},Eg(a.doc,p),yd(a,"inputRead",a,p);b&&!g&&li(a,b),ff(a),a.curOp.updateInput=k,a.curOp.typing=!0,a.state.pasteIncoming=a.state.cutIncoming=!1}function ki(a,b){var c=a.clipboardData&&a.clipboardData.getData("Text");return c?(a.preventDefault(),b.isReadOnly()||b.options.disableInput||rf(b,function(){return ji(b,c,0,null,"paste")}),!0):void 0}function li(a,b){var c,d,e,f,g,h;if(a.options.electricChars&&a.options.smartIndent)for(c=a.doc.sel,d=c.ranges.length-1;d>=0;d--)if(e=c.ranges[d],!(e.head.ch>100||d&&c.ranges[d-1].head.line==e.head.line)){if(f=a.getModeAt(e.head),g=!1,f.electricChars){for(h=0;h<f.electricChars.length;h++)if(b.indexOf(f.electricChars.charAt(h))>-1){g=gi(a,e.head.line,"smart");
break}}else f.electricInput&&f.electricInput.test(eb(a.doc,e.head.line).text.slice(0,e.head.ch))&&(g=gi(a,e.head.line,"smart"));g&&yd(a,"electricInput",a,e.head.line)}}function mi(a){var d,e,f,b=[],c=[];for(d=0;d<a.doc.sel.ranges.length;d++)e=a.doc.sel.ranges[d].head.line,f={anchor:mb(e,0),head:mb(e+1,0)},c.push(f),b.push(a.getRange(f.anchor,f.head));return{text:b,ranges:c}}function ni(a,b){a.setAttribute("autocorrect","off"),a.setAttribute("autocapitalize","off"),a.setAttribute("spellcheck",!!b)}function oi(){var a=A("textarea",null,null,"position: absolute; bottom: -1em; padding: 0; width: 1px; height: 1em; outline: none"),b=A("div",[a],null,"overflow: hidden; position: relative; width: 3px; height: 0px;");return h?a.style.width="1000px":a.setAttribute("wrap","off"),o&&(a.style.border="1px solid black"),ni(a),b}function qi(a,b,c,d,e){function j(){var b=f+c;return b<a.first||b>=a.first+a.size?!1:(f=b,i=eb(a,b))}function k(a){var b=(e?hc:ic)(i,g,c,!0);if(null==b){if(a||!j())return!1;g=e?(0>c?cc:bc)(i):0>c?i.text.length:0}else g=b;return!0}var l,m,n,o,p,q,r,f=b.line,g=b.ch,h=c,i=eb(a,f);if("char"==d)k();else if("column"==d)k(!0);else if("word"==d||"group"==d)for(l=null,m="group"==d,n=a.cm&&a.cm.getHelper(b,"wordChars"),o=!0;!(0>c)||k(!o);o=!1){if(p=i.text.charAt(g)||"\n",q=_(p,n)?"w":m&&"\n"==p?"n":!m||/\s/.test(p)?null:"p",!m||o||q||(q="s"),l&&l!=q){0>c&&(c=1,k());break}if(q&&(l=q),c>0&&!k(!o))break}return r=Ag(a,mb(f,g),b,h,!0),nb(b,r)||(r.hitSide=!0),r}function ri(a,b,c,d){var g,h,i,j,e=a.doc,f=b.left;for("page"==d?(h=Math.min(a.display.wrapper.clientHeight,window.innerHeight||document.documentElement.clientHeight),i=Math.max(h-.5*se(a.display),3),g=(c>0?b.bottom:b.top)+c*i):"line"==d&&(g=c>0?b.bottom+3:b.top-3);j=pe(a,f,g),j.outside;){if(0>c?0>=g:g>=e.height){j.hitSide=!0;break}g+=5*c}return j}function ti(a,b){var d,e,f,g,h,i,c=Yd(a,b.line);return!c||c.hidden?null:(d=eb(a.doc,b.line),e=Vd(c,d,b.line),f=kc(d),g="left",f&&(h=fc(f,b.ch),g=h%2?"right":"left"),i=ae(e.map,b.ch,g),i.offset="right"==i.collapse?i.end:i.start,i)}function ui(a,b){return b&&(a.bad=!0),a}function vi(a,b,c,d,e){function i(a){return function(b){return b.id==a}}function j(b){var c,l,k,m,n,o;if(1==b.nodeType){if(c=b.getAttribute("cm-text"),null!=c)return f+=""==c?b.textContent.replace(/\u200b/g,""):c,void 0;if(k=b.getAttribute("cm-marker"))return m=a.findMarks(mb(d,0),mb(e+1,0),i(+k)),m.length&&(l=m[0].find())&&(f+=fb(a.doc,l.from,l.to).join(h)),void 0;if("false"==b.getAttribute("contenteditable"))return;for(n=0;n<b.childNodes.length;n++)j(b.childNodes[n]);/^(pre|div|p)$/i.test(b.nodeName)&&(g=!0)}else if(3==b.nodeType){if(o=b.nodeValue,!o)return;g&&(f+=h,g=!1),f+=o}}for(var f="",g=!1,h=a.doc.lineSeparator();j(b),b!=c;)b=b.nextSibling;return f}function wi(a,b,c){var d,e,f;if(b==a.display.lineDiv){if(d=a.display.lineDiv.childNodes[c],!d)return ui(a.clipPos(mb(a.display.viewTo-1)),!0);b=null,c=0}else for(d=b;;d=d.parentNode){if(!d||d==a.display.lineDiv)return null;if(d.parentNode&&d.parentNode==a.display.lineDiv)break}for(e=0;e<a.display.view.length;e++)if(f=a.display.view[e],f.node==d)return xi(f,b,c)}function xi(a,b,c){function k(b,c,d){var e,f,g,h,k,l;for(e=-1;e<(j?j.length:0);e++)for(f=0>e?i.map:j[e],g=0;g<f.length;g+=3)if(h=f[g+2],h==b||h==c)return k=ib(0>e?a.line:a.rest[e]),l=f[g]+d,(0>d||h!=b)&&(l=f[g+(d?1:0)]),mb(k,l)}var f,g,h,i,j,l,m,n,o,p,d=a.text.firstChild,e=!1;if(!b||!C(d,b))return ui(mb(ib(a.line),0),!0);if(b==d&&(e=!0,b=d.childNodes[c],c=0,!b))return f=a.rest?U(a.rest):a.line,ui(mb(ib(f),f.text.length),e);for(g=3==b.nodeType?b:null,h=b,g||1!=b.childNodes.length||3!=b.firstChild.nodeType||(g=b.firstChild,c&&(c=g.nodeValue.length));h.parentNode!=d;)h=h.parentNode;if(i=a.measure,j=i.maps,l=k(g,h,c))return ui(l,e);for(m=h.nextSibling,n=g?g.nodeValue.length-c:0;m;m=m.nextSibling){if(l=k(m,m.firstChild,0))return ui(mb(l.line,l.ch-n),e);n+=m.textContent.length}for(o=h.previousSibling,p=c;o;o=o.previousSibling){if(l=k(o,o.firstChild,-1))return ui(mb(l.line,l.ch+p),e);p+=o.textContent.length}}function zi(a,b){function d(){a.value=i.getValue()}var c,e,f,g,i;if(b=b?I(b):{},b.value=a.value,!b.tabindex&&a.tabIndex&&(b.tabindex=a.tabIndex),!b.placeholder&&a.placeholder&&(b.placeholder=a.placeholder),null==b.autofocus&&(c=D(),b.autofocus=c==a||null!=a.getAttribute("autofocus")&&c==document.body),a.form&&(mc(a.form,"submit",d),!b.leaveSubmitMethodAlone)){f=a.form,e=f.submit;try{g=f.submit=function(){d(),f.submit=e,f.submit(),f.submit=g}}catch(h){}}return b.finishInit=function(b){b.save=d,b.getTextArea=function(){return a},b.toTextArea=function(){b.toTextArea=isNaN,d(),a.parentNode.removeChild(b.getWrapperElement()),a.style.display="",a.form&&(oc(a.form,"submit",d),"function"==typeof a.form.submit&&(a.form.submit=e))}},a.style.display="none",i=di(function(b){return a.parentNode.insertBefore(b,a.nextSibling)},b)}function Ai(a){a.off=oc,a.on=mc,a.wheelEventPixels=Te,a.Doc=bh,a.splitLines=Fc,a.countColumn=J,a.findColumn=R,a.isWordChar=$,a.Pass=N,a.signal=pc,a.Line=ed,a.changeEnd=Rf,a.scrollbarModel=$e,a.Pos=mb,a.cmpPos=nb,a.modes=Kc,a.mimeModes=Lc,a.resolveMode=Oc,a.getMode=Pc,a.modeExtensions=Qc,a.extendMode=Rc,a.copyState=Sc,a.startState=Uc,a.innerMode=Tc,a.commands=yh,a.keyMap=qh,a.keyName=vh,a.isModifierKey=uh,a.lookupKey=th,a.normalizeKeyMap=sh,a.StringStream=Vc,a.SharedTextMarker=Xg,a.TextMarker=Vg,a.LineWidget=Rg,a.e_preventDefault=uc,a.e_stopPropagation=vc,a.e_stop=xc,a.addClass=E,a.contains=C,a.rmClass=x,a.keyNames=mh}var u,v,x,B,G,M,N,O,P,Q,S,Z,bb,vb,wb,ec,jc,lc,mc,Ac,Bc,Dc,Fc,Gc,Hc,Ic,Kc,Lc,Qc,Vc,hd,id,td,xd,_d,re,Qe,Re,We,Xe,$e,hf,Df,Ug,ah,bh,ch,ih,mh,nh,oh,ph,qh,yh,Eh,Ih,Oh,Ph,Yh,Zh,$h,fi,hi,pi,si,yi,Bi,Ci,a=navigator.userAgent,b=navigator.platform,c=/gecko\/\d/i.test(a),d=/MSIE \d/.test(a),e=/Trident\/(?:[7-9]|\d{2,})\..*rv:(\d+)/.exec(a),f=d||e,g=f&&(d?document.documentMode||6:e[1]),h=/WebKit\//.test(a),i=h&&/Qt\/\d+\.\d+/.test(a),j=/Chrome\//.test(a),k=/Opera\//.test(a),l=/Apple Computer/.test(navigator.vendor),m=/Mac OS X 1\d\D([8-9]|\d\d)\D/.test(a),n=/PhantomJS/.test(a),o=/AppleWebKit/.test(a)&&/Mobile\/\w+/.test(a),p=o||/Android|webOS|BlackBerry|Opera Mini|Opera Mobi|IEMobile/i.test(a),q=o||/Mac/.test(b),r=/\bCrOS\b/.test(a),s=/win/i.test(b),t=k&&a.match(/Version\/(\d*\.\d*)/);t&&(t=Number(t[1])),t&&t>=15&&(k=!1,h=!0),u=q&&(i||k&&(null==t||12.11>t)),v=c||f&&g>=9,x=function(a,b){var e,c=a.className,d=w(b).exec(c);d&&(e=c.slice(d.index+d[0].length),a.className=c.slice(0,d.index)+(e?d[1]+e:""))},B=document.createRange?function(a,b,c,d){var e=document.createRange();return e.setEnd(d||a,c),e.setStart(a,b),e}:function(a,b,c){var d=document.body.createTextRange();try{d.moveToElementText(a.parentNode)}catch(e){return d}return d.collapse(!0),d.moveEnd("character",c),d.moveStart("character",b),d},G=function(a){a.select()},o?G=function(a){a.selectionStart=0,a.selectionEnd=a.value.length}:f&&(G=function(a){try{a.select()}catch(b){}}),K.prototype.set=function(a,b){clearTimeout(this.id),this.id=setTimeout(b,a)},M=30,N={toString:function(){return"CodeMirror.Pass"}},O={scroll:!1},P={origin:"*mouse"},Q={origin:"+move"},S=[""],Z=/[\u00df\u0587\u0590-\u05f4\u0600-\u06ff\u3040-\u309f\u30a0-\u30ff\u3400-\u4db5\u4e00-\u9fcc\uac00-\ud7af]/,bb=/[\u0300-\u036f\u0483-\u0489\u0591-\u05bd\u05bf\u05c1\u05c2\u05c4\u05c5\u05c7\u0610-\u061a\u064b-\u065e\u0670\u06d6-\u06dc\u06de-\u06e4\u06e7\u06e8\u06ea-\u06ed\u0711\u0730-\u074a\u07a6-\u07b0\u07eb-\u07f3\u0816-\u0819\u081b-\u0823\u0825-\u0827\u0829-\u082d\u0900-\u0902\u093c\u0941-\u0948\u094d\u0951-\u0955\u0962\u0963\u0981\u09bc\u09be\u09c1-\u09c4\u09cd\u09d7\u09e2\u09e3\u0a01\u0a02\u0a3c\u0a41\u0a42\u0a47\u0a48\u0a4b-\u0a4d\u0a51\u0a70\u0a71\u0a75\u0a81\u0a82\u0abc\u0ac1-\u0ac5\u0ac7\u0ac8\u0acd\u0ae2\u0ae3\u0b01\u0b3c\u0b3e\u0b3f\u0b41-\u0b44\u0b4d\u0b56\u0b57\u0b62\u0b63\u0b82\u0bbe\u0bc0\u0bcd\u0bd7\u0c3e-\u0c40\u0c46-\u0c48\u0c4a-\u0c4d\u0c55\u0c56\u0c62\u0c63\u0cbc\u0cbf\u0cc2\u0cc6\u0ccc\u0ccd\u0cd5\u0cd6\u0ce2\u0ce3\u0d3e\u0d41-\u0d44\u0d4d\u0d57\u0d62\u0d63\u0dca\u0dcf\u0dd2-\u0dd4\u0dd6\u0ddf\u0e31\u0e34-\u0e3a\u0e47-\u0e4e\u0eb1\u0eb4-\u0eb9\u0ebb\u0ebc\u0ec8-\u0ecd\u0f18\u0f19\u0f35\u0f37\u0f39\u0f71-\u0f7e\u0f80-\u0f84\u0f86\u0f87\u0f90-\u0f97\u0f99-\u0fbc\u0fc6\u102d-\u1030\u1032-\u1037\u1039\u103a\u103d\u103e\u1058\u1059\u105e-\u1060\u1071-\u1074\u1082\u1085\u1086\u108d\u109d\u135f\u1712-\u1714\u1732-\u1734\u1752\u1753\u1772\u1773\u17b7-\u17bd\u17c6\u17c9-\u17d3\u17dd\u180b-\u180d\u18a9\u1920-\u1922\u1927\u1928\u1932\u1939-\u193b\u1a17\u1a18\u1a56\u1a58-\u1a5e\u1a60\u1a62\u1a65-\u1a6c\u1a73-\u1a7c\u1a7f\u1b00-\u1b03\u1b34\u1b36-\u1b3a\u1b3c\u1b42\u1b6b-\u1b73\u1b80\u1b81\u1ba2-\u1ba5\u1ba8\u1ba9\u1c2c-\u1c33\u1c36\u1c37\u1cd0-\u1cd2\u1cd4-\u1ce0\u1ce2-\u1ce8\u1ced\u1dc0-\u1de6\u1dfd-\u1dff\u200c\u200d\u20d0-\u20f0\u2cef-\u2cf1\u2de0-\u2dff\u302a-\u302f\u3099\u309a\ua66f-\ua672\ua67c\ua67d\ua6f0\ua6f1\ua802\ua806\ua80b\ua825\ua826\ua8c4\ua8e0-\ua8f1\ua926-\ua92d\ua947-\ua951\ua980-\ua982\ua9b3\ua9b6-\ua9b9\ua9bc\uaa29-\uaa2e\uaa31\uaa32\uaa35\uaa36\uaa43\uaa4c\uaab0\uaab2-\uaab4\uaab7\uaab8\uaabe\uaabf\uaac1\uabe5\uabe8\uabed\udc00-\udfff\ufb1e\ufe00-\ufe0f\ufe20-\ufe26\uff9e\uff9f]/,vb=!1,wb=!1,ec=null,jc=function(){function c(c){return 247>=c?a.charAt(c):c>=1424&&1524>=c?"R":c>=1536&&1785>=c?b.charAt(c-1536):c>=1774&&2220>=c?"r":c>=8192&&8203>=c?"w":8204==c?"b":"L"}function j(a,b,c){this.level=a,this.from=b,this.to=c}var a="bbbbbbbbbtstwsbbbbbbbbbbbbbbssstwNN%%%NNNNNN,N,N1111111111NNNNNNNLLLLLLLLLLLLLLLLLLLLLLLLLLNNNNNNLLLLLLLLLLLLLLLLLLLLLLLLLLNNNNbbbbbbsbbbbbbbbbbbbbbbbbbbbbbbbbb,N%%%%NNNNLNNNNN%%11NLNNN1LNNNNNLLLLLLLLLLLLLLLLLLLLLLLNLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLN",b="nnnnnnNNr%%r,rNNmmmmmmmmmmmrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrmmmmmmmmmmmmmmmmmmmmmnnnnnnnnnn%nnrrrmrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrmmmmmmmnNmmmmmmrrmmNmmmmrr1111111111",d=/[\u0590-\u05f4\u0600-\u06ff\u0700-\u08ac]/,e=/[stwN]/,f=/[LRr]/,g=/[Lb1n]/,h=/[1n]/,i="L";return function(a){var b,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A,B,C,D,E,F,G,H,I,K,J,L,M,N,O,P,Q;if(!d.test(a))return!1;for(b=a.length,k=[],l=0;b>l;++l)k.push(c(a.charCodeAt(l)));for(m=0,n=i;b>m;++m)o=k[m],"m"==o?k[m]=n:n=o;for(p=0,q=i;b>p;++p)r=k[p],"1"==r&&"r"==q?k[p]="n":f.test(r)&&(q=r,"r"==r&&(k[p]="R"));for(s=1,t=k[0];b-1>s;++s)u=k[s],"+"==u&&"1"==t&&"1"==k[s+1]?k[s]="1":","!=u||t!=k[s+1]||"1"!=t&&"n"!=t||(k[s]=t),t=u;for(v=0;b>v;++v)if(w=k[v],","==w)k[v]="N";else if("%"==w){for(x=void 0,x=v+1;b>x&&"%"==k[x];++x);for(y=v&&"!"==k[v-1]||b>x&&"1"==k[x]?"1":"N",z=v;x>z;++z)k[z]=y;v=x-1}for(A=0,B=i;b>A;++A)C=k[A],"L"==B&&"1"==C?k[A]="L":f.test(C)&&(B=C);for(D=0;b>D;++D)if(e.test(k[D])){for(E=void 0,E=D+1;b>E&&e.test(k[E]);++E);for(F="L"==(D?k[D-1]:i),G="L"==(b>E?k[E]:i),H=F||G?"L":"R",I=D;E>I;++I)k[I]=H;D=E-1}for(J=[],L=0;b>L;)if(g.test(k[L])){for(M=L,++L;b>L&&g.test(k[L]);++L);J.push(new j(0,M,L))}else{for(N=L,O=J.length,++L;b>L&&"L"!=k[L];++L);for(P=N;L>P;)if(h.test(k[P])){for(P>N&&J.splice(O,0,new j(1,N,P)),Q=P,++P;L>P&&h.test(k[P]);++P);J.splice(O,0,new j(2,Q,P)),N=P}else++P;L>N&&J.splice(O,0,new j(1,N,L))}return 1==J[0].level&&(K=a.match(/^\s+/))&&(J[0].from=K[0].length,J.unshift(new j(0,0,K[0].length))),1==U(J).level&&(K=a.match(/\s+$/))&&(U(J).to-=K[0].length,J.push(new j(0,b-K[0].length,b))),2==J[0].level&&J.unshift(new j(1,J[0].to,J[0].to)),J[0].level!=U(J).level&&J.push(new j(J[0].level,b,b)),J}}(),lc=[],mc=function(a,b,c){if(a.addEventListener)a.addEventListener(b,c,!1);else if(a.attachEvent)a.attachEvent("on"+b,c);else{var d=a._handlers||(a._handlers={});d[b]=(d[b]||lc).concat(c)}},Ac=function(){if(f&&9>g)return!1;var a=A("div");return"draggable"in a||"dragDrop"in a}(),Fc=3!="\n\nb".split(/\n/).length?function(a){for(var e,f,g,b=0,c=[],d=a.length;d>=b;)e=a.indexOf("\n",b),-1==e&&(e=a.length),f=a.slice(b,"\r"==a.charAt(e-1)?e-1:e),g=f.indexOf("\r"),-1!=g?(c.push(f.slice(0,g)),b+=g+1):(c.push(f),b=e+1);return c}:function(a){return a.split(/\r\n?|\n/)},Gc=window.getSelection?function(a){try{return a.selectionStart!=a.selectionEnd}catch(b){return!1}}:function(a){var b;try{b=a.ownerDocument.selection.createRange()}catch(c){}return b&&b.parentElement()==a?0!=b.compareEndPoints("StartToEnd",b):!1},Hc=function(){var a=A("div");return"oncopy"in a?!0:(a.setAttribute("oncopy","return;"),"function"==typeof a.oncopy)}(),Ic=null,Kc={},Lc={},Qc={},Vc=function(a,b){this.pos=this.start=0,this.string=a,this.tabSize=b||8,this.lastColumnPos=this.lastColumnValue=0,this.lineStart=0},Vc.prototype={eol:function(){return this.pos>=this.string.length},sol:function(){return this.pos==this.lineStart},peek:function(){return this.string.charAt(this.pos)||void 0},next:function(){return this.pos<this.string.length?this.string.charAt(this.pos++):void 0},eat:function(a){var c,b=this.string.charAt(this.pos);return c="string"==typeof a?b==a:b&&(a.test?a.test(b):a(b)),c?(++this.pos,b):void 0},eatWhile:function(a){for(var b=this.pos;this.eat(a););return this.pos>b},eatSpace:function(){for(var a=this,b=this.pos;/[\s\u00a0]/.test(this.string.charAt(this.pos));)++a.pos;return this.pos>b},skipToEnd:function(){this.pos=this.string.length},skipTo:function(a){var b=this.string.indexOf(a,this.pos);return b>-1?(this.pos=b,!0):void 0},backUp:function(a){this.pos-=a},column:function(){return this.lastColumnPos<this.start&&(this.lastColumnValue=J(this.string,this.start,this.tabSize,this.lastColumnPos,this.lastColumnValue),this.lastColumnPos=this.start),this.lastColumnValue-(this.lineStart?J(this.string,this.lineStart,this.tabSize):0)},indentation:function(){return J(this.string,null,this.tabSize)-(this.lineStart?J(this.string,this.lineStart,this.tabSize):0)},match:function(a,b,c){var d,e,f;return"string"!=typeof a?(f=this.string.slice(this.pos).match(a),f&&f.index>0?null:(f&&b!==!1&&(this.pos+=f[0].length),f)):(d=function(a){return c?a.toLowerCase():a},e=this.string.substr(this.pos,a.length),d(e)==d(a)?(b!==!1&&(this.pos+=a.length),!0):void 0)},current:function(){return this.string.slice(this.start,this.pos)},hideFirstChars:function(a,b){this.lineStart+=a;try{return b()}finally{this.lineStart-=a}}},tc(ed),ed.prototype.lineNo=function(){return ib(this)},hd={},id={},td=null,xd=null,_d={left:0,right:0,top:0,bottom:0},Qe=0,Re=null,f?Re=-.53:c?Re=15:j?Re=-.7:l&&(Re=-1/3),We=function(a,b,c){var d,e;this.cm=c,d=this.vert=A("div",[A("div",null,null,"min-width: 1px")],"CodeMirror-vscrollbar"),e=this.horiz=A("div",[A("div",null,null,"height: 100%; min-height: 1px")],"CodeMirror-hscrollbar"),a(d),a(e),mc(d,"scroll",function(){d.clientHeight&&b(d.scrollTop,"vertical")}),mc(e,"scroll",function(){e.clientWidth&&b(e.scrollLeft,"horizontal")}),this.checkedZeroWidth=!1,f&&8>g&&(this.horiz.style.minHeight=this.vert.style.minWidth="18px")},We.prototype.update=function(a){var e,f,b=a.scrollWidth>a.clientWidth+1,c=a.scrollHeight>a.clientHeight+1,d=a.nativeBarWidth;return c?(this.vert.style.display="block",this.vert.style.bottom=b?d+"px":"0",e=a.viewHeight-(b?d:0),this.vert.firstChild.style.height=Math.max(0,a.scrollHeight-a.clientHeight+e)+"px"):(this.vert.style.display="",this.vert.firstChild.style.height="0"),b?(this.horiz.style.display="block",this.horiz.style.right=c?d+"px":"0",this.horiz.style.left=a.barLeft+"px",f=a.viewWidth-a.barLeft-(c?d:0),this.horiz.firstChild.style.width=a.scrollWidth-a.clientWidth+f+"px"):(this.horiz.style.display="",this.horiz.firstChild.style.width="0"),!this.checkedZeroWidth&&a.clientHeight>0&&(0==d&&this.zeroWidthHack(),this.checkedZeroWidth=!0),{right:c?d:0,bottom:b?d:0}},We.prototype.setScrollLeft=function(a){this.horiz.scrollLeft!=a&&(this.horiz.scrollLeft=a),this.disableHoriz&&this.enableZeroWidthBar(this.horiz,this.disableHoriz)},We.prototype.setScrollTop=function(a){this.vert.scrollTop!=a&&(this.vert.scrollTop=a),this.disableVert&&this.enableZeroWidthBar(this.vert,this.disableVert)},We.prototype.zeroWidthHack=function(){var a=q&&!m?"12px":"18px";this.horiz.style.height=this.vert.style.width=a,this.horiz.style.pointerEvents=this.vert.style.pointerEvents="none",this.disableHoriz=new K,this.disableVert=new K},We.prototype.enableZeroWidthBar=function(a,b){function c(){var d=a.getBoundingClientRect(),e=document.elementFromPoint(d.left+1,d.bottom-1);e!=a?a.style.pointerEvents="none":b.set(1e3,c)}a.style.pointerEvents="auto",b.set(1e3,c)},We.prototype.clear=function(){var a=this.horiz.parentNode;a.removeChild(this.horiz),a.removeChild(this.vert)},Xe=function(){},Xe.prototype.update=function(){return{bottom:0,right:0}},Xe.prototype.setScrollLeft=function(){},Xe.prototype.setScrollTop=function(){},Xe.prototype.clear=function(){},$e={"native":We,"null":Xe},hf=0,Df=function(a,b,c){var d=a.display;this.viewport=b,this.visible=Ne(d,a.doc,b),this.editorIsHidden=!d.wrapper.offsetWidth,this.wrapperHeight=d.wrapper.clientHeight,this.wrapperWidth=d.wrapper.clientWidth,this.oldDisplayWidth=Sd(a),this.force=c,this.dims=ue(a),this.events=[]},Df.prototype.signal=function(a,b){sc(a,b)&&this.events.push(arguments)},Df.prototype.finish=function(){var b,a=this;for(b=0;b<this.events.length;b++)pc.apply(null,a.events[b])},Nf.prototype={primary:function(){return this.ranges[this.primIndex]},equals:function(a){var c,d,e,b=this;if(a==this)return!0;if(a.primIndex!=this.primIndex||a.ranges.length!=this.ranges.length)return!1;for(c=0;c<this.ranges.length;c++)if(d=b.ranges[c],e=a.ranges[c],0!=nb(d.anchor,e.anchor)||0!=nb(d.head,e.head))return!1;return!0},deepCopy:function(){var c,a=this,b=[];for(c=0;c<this.ranges.length;c++)b[c]=new Of(ob(a.ranges[c].anchor),ob(a.ranges[c].head));return new Nf(b,this.primIndex)},somethingSelected:function(){var b,a=this;for(b=0;b<this.ranges.length;b++)if(!a.ranges[b].empty())return!0;return!1},contains:function(a,b){var d,e,c=this;for(b||(b=a),d=0;d<this.ranges.length;d++)if(e=c.ranges[d],nb(b,e.from())>=0&&nb(a,e.to())<=0)return d;return-1}},Of.prototype={from:function(){return qb(this.anchor,this.head)},to:function(){return pb(this.anchor,this.head)},empty:function(){return this.head.line==this.anchor.line&&this.head.ch==this.anchor.ch}},Pg.prototype={chunkSize:function(){return this.lines.length},removeInner:function(a,b){var d,e,f,c=this;for(d=a,e=a+b;e>d;++d)f=c.lines[d],c.height-=f.height,gd(f),yd(f,"delete");this.lines.splice(a,b)},collapse:function(a){a.push.apply(a,this.lines)},insertInner:function(a,b,c){var e,d=this;for(this.height+=c,this.lines=this.lines.slice(0,a).concat(b).concat(this.lines.slice(a)),e=0;e<b.length;++e)b[e].parent=d},iterN:function(a,b,c){var e,d=this;for(e=a+b;e>a;++a)if(c(d.lines[a]))return!0}},Qg.prototype={chunkSize:function(){return this.size},removeInner:function(a,b){var d,e,f,g,h,i,c=this;for(this.size-=b,d=0;d<this.children.length;++d)if(e=c.children[d],f=e.chunkSize(),f>a){if(g=Math.min(b,f-a),h=e.height,e.removeInner(a,g),c.height-=h-e.height,f==g&&(c.children.splice(d--,1),e.parent=null),0==(b-=g))break;a=0}else a-=f;this.size-b<25&&(this.children.length>1||!(this.children[0]instanceof Pg))&&(i=[],this.collapse(i),this.children=[new Pg(i)],this.children[0].parent=this)},collapse:function(a){var c,b=this;for(c=0;c<this.children.length;++c)b.children[c].collapse(a)},insertInner:function(a,b,c){var e,f,g,h,i,j,d=this;for(this.size+=b.length,this.height+=c,e=0;e<this.children.length;++e){if(f=d.children[e],g=f.chunkSize(),g>=a){if(f.insertInner(a,b,c),f.lines&&f.lines.length>50){for(h=f.lines.length%25+25,i=h;i<f.lines.length;)j=new Pg(f.lines.slice(i,i+=25)),f.height-=j.height,d.children.splice(++e,0,j),j.parent=d;f.lines=f.lines.slice(0,h),d.maybeSpill()}break}a-=g}},maybeSpill:function(){var a,b,c,d,e;if(!(this.children.length<=10)){a=this;do b=a.children.splice(a.children.length-5,5),c=new Qg(b),a.parent?(a.size-=c.size,a.height-=c.height,e=L(a.parent.children,a),a.parent.children.splice(e+1,0,c)):(d=new Qg(a.children),d.parent=a,a.children=[d,c],a=d),c.parent=a.parent;while(a.children.length>10);a.parent.maybeSpill()}},iterN:function(a,b,c){var e,f,g,h,d=this;for(e=0;e<this.children.length;++e)if(f=d.children[e],g=f.chunkSize(),g>a){if(h=Math.min(b,g-a),f.iterN(a,h,c))return!0;if(0==(b-=h))break;a=0}else a-=g}},tc(Rg),Rg.prototype.clear=function(){var f,g,a=this,b=this.doc.cm,c=this.line.widgets,d=this.line,e=ib(d);if(null!=e&&c){for(f=0;f<c.length;++f)c[f]==a&&c.splice(f--,1);c.length||(d.widgets=null),g=Md(this),hb(d,Math.max(0,d.height-g)),b&&rf(b,function(){Sg(b,d,-g),wf(b,e,"widget")})}},Rg.prototype.changed=function(){var d,a=this.height,b=this.doc.cm,c=this.line;this.height=null,d=Md(this)-a,d&&(hb(c,c.height+d),b&&rf(b,function(){b.curOp.forceUpdate=!0,Sg(b,c,d)}))},Ug=0,tc(Vg),Vg.prototype.clear=function(){var b,c,d,e,f,g,h,i,j,k,l,a=this;if(!this.explicitlyCleared){for(b=this.doc.cm,c=b&&!b.curOp,c&&jf(b),sc(this,"clear")&&(d=this.find(),d&&yd(this,"clear",d.from,d.to)),e=null,f=null,g=0;g<this.lines.length;++g)h=a.lines[g],i=Ab(h.markedSpans,a),b&&!a.collapsed?wf(b,ib(h),"text"):b&&(null!=i.to&&(f=ib(h)),null!=i.from&&(e=ib(h))),h.markedSpans=Bb(h.markedSpans,i),null==i.from&&a.collapsed&&!Vb(a.doc,h)&&b&&hb(h,se(b.display));if(b&&this.collapsed&&!b.options.lineWrapping)for(j=0;j<this.lines.length;++j)k=Rb(a.lines[j]),l=Yb(k),l>b.display.maxLineLength&&(b.display.maxLine=k,b.display.maxLineLength=l,b.display.maxLineChanged=!0);null!=e&&b&&this.collapsed&&vf(b,e,f+1),this.lines.length=0,this.explicitlyCleared=!0,this.atomic&&this.doc.cantEdit&&(this.doc.cantEdit=!1,b&&xg(b.doc)),b&&yd(b,"markerCleared",b,this),c&&kf(b),this.parent&&this.parent.clear()}},Vg.prototype.find=function(a,b){var d,e,f,g,h,c=this;for(null==a&&"bookmark"==this.type&&(a=1),f=0;f<this.lines.length;++f){if(g=c.lines[f],h=Ab(g.markedSpans,c),null!=h.from&&(d=mb(b?g:ib(g),h.from),-1==a))return d;if(null!=h.to&&(e=mb(b?g:ib(g),h.to),1==a))return e}return d&&{from:d,to:e}},Vg.prototype.changed=function(){var a=this.find(-1,!0),b=this,c=this.doc.cm;a&&c&&rf(c,function(){var g,h,d=a.line,e=ib(a.line),f=Yd(c,e);f&&(ee(f),c.curOp.selectionChanged=c.curOp.forceUpdate=!0),c.curOp.updateMaxLine=!0,Vb(b.doc,d)||null==b.height||(g=b.height,b.height=null,h=Md(b)-g,h&&hb(d,d.height+h))})},Vg.prototype.attachLine=function(a){if(!this.lines.length&&this.doc.cm){var b=this.doc.cm.curOp;b.maybeHiddenMarkers&&-1!=L(b.maybeHiddenMarkers,this)||(b.maybeUnhiddenMarkers||(b.maybeUnhiddenMarkers=[])).push(this)}this.lines.push(a)},Vg.prototype.detachLine=function(a){if(this.lines.splice(L(this.lines,a),1),!this.lines.length&&this.doc.cm){var b=this.doc.cm.curOp;(b.maybeHiddenMarkers||(b.maybeHiddenMarkers=[])).push(this)}},tc(Xg),Xg.prototype.clear=function(){var b,a=this;if(!this.explicitlyCleared){for(this.explicitlyCleared=!0,b=0;b<this.markers.length;++b)a.markers[b].clear();yd(this,"clear")}},Xg.prototype.find=function(a,b){return this.primary.find(a,b)},ah=0,bh=function(a,b,c,d){if(!(this instanceof bh))return new bh(a,b,c,d);null==c&&(c=0),Qg.call(this,[new Pg([new ed("",null)])]),this.first=c,this.scrollTop=this.scrollLeft=0,this.cantEdit=!1,this.cleanGeneration=1,this.frontier=c;var e=mb(c,0);this.sel=Qf(e),this.history=new ag(null),this.id=++ah,this.modeOption=b,this.lineSep=d,this.extend=!1,"string"==typeof a&&(a=this.splitLines(a)),Zf(this,{from:e,to:e,text:a}),ug(this,Qf(e),O)},bh.prototype=Y(Qg.prototype,{constructor:bh,iter:function(a,b,c){c?this.iterN(a-this.first,b-a,c):this.iterN(this.first,this.first+this.size,a)},insert:function(a,b){var d,c=0;for(d=0;d<b.length;++d)c+=b[d].height;this.insertInner(a-this.first,b,c)},remove:function(a,b){this.removeInner(a-this.first,b)},getValue:function(a){var b=gb(this,this.first,this.first+this.size);return a===!1?b:b.join(a||this.lineSeparator())},setValue:uf(function(a){var b=mb(this.first,0),c=this.first+this.size-1;Eg(this,{from:b,to:mb(c,eb(this,c).text.length),text:this.splitLines(a),origin:"setValue",full:!0},!0),ug(this,Qf(b))}),replaceRange:function(a,b,c,d){b=sb(this,b),c=c?sb(this,c):b,Kg(this,a,b,c,d)},getRange:function(a,b,c){var d=fb(this,sb(this,a),sb(this,b));return c===!1?d:d.join(c||this.lineSeparator())},getLine:function(a){var b=this.getLineHandle(a);return b&&b.text},getLineHandle:function(a){return kb(this,a)?eb(this,a):void 0},getLineNumber:function(a){return ib(a)},getLineHandleVisualStart:function(a){return"number"==typeof a&&(a=eb(this,a)),Rb(a)},lineCount:function(){return this.size},firstLine:function(){return this.first},lastLine:function(){return this.first+this.size-1},clipPos:function(a){return sb(this,a)},getCursor:function(a){var c,b=this.sel.primary();return c=null==a||"head"==a?b.head:"anchor"==a?b.anchor:"end"==a||"to"==a||a===!1?b.to():b.from()},listSelections:function(){return this.sel.ranges},somethingSelected:function(){return this.sel.somethingSelected()},setCursor:uf(function(a,b,c){rg(this,sb(this,"number"==typeof a?mb(a,b||0):a),null,c)}),setSelection:uf(function(a,b,c){rg(this,sb(this,a),sb(this,b||a),c)}),extendSelection:uf(function(a,b,c){og(this,sb(this,a),b&&sb(this,b),c)}),extendSelections:uf(function(a,b){pg(this,ub(this,a),b)}),extendSelectionsBy:uf(function(a,b){var c=V(this.sel.ranges,a);pg(this,ub(this,c),b)}),setSelections:uf(function(a,b,c){var e,f,d=this;if(a.length){for(e=[],f=0;f<a.length;f++)e[f]=new Of(sb(d,a[f].anchor),sb(d,a[f].head));null==b&&(b=Math.min(a.length-1,this.sel.primIndex)),ug(this,Pf(e,b),c)}}),addSelection:uf(function(a,b,c){var d=this.sel.ranges.slice(0);d.push(new Of(sb(this,a),sb(this,b||a))),ug(this,Pf(d,d.length-1),c)}),getSelection:function(a){var d,e,f,b=this,c=this.sel.ranges;for(e=0;e<c.length;e++)f=fb(b,c[e].from(),c[e].to()),d=d?d.concat(f):f;return a===!1?d:d.join(a||this.lineSeparator())},getSelections:function(a){var e,f,b=this,c=[],d=this.sel.ranges;for(e=0;e<d.length;e++)f=fb(b,d[e].from(),d[e].to()),a!==!1&&(f=f.join(a||b.lineSeparator())),c[e]=f;return c},replaceSelection:function(a,b,c){var e,d=[];for(e=0;e<this.sel.ranges.length;e++)d[e]=a;this.replaceSelections(d,b,c||"+input")},replaceSelections:uf(function(a,b,c){var g,h,i,j,d=this,e=[],f=this.sel;for(g=0;g<f.ranges.length;g++)h=f.ranges[g],e[g]={from:h.from(),to:h.to(),text:d.splitLines(a[g]),origin:c};for(i=b&&"end"!=b&&Vf(this,e,b),j=e.length-1;j>=0;j--)Eg(d,e[j]);i?tg(this,i):this.cm&&ff(this.cm)}),undo:uf(function(){Gg(this,"undo")}),redo:uf(function(){Gg(this,"redo")}),undoSelection:uf(function(){Gg(this,"undo",!0)}),redoSelection:uf(function(){Gg(this,"redo",!0)}),setExtending:function(a){this.extend=a},getExtending:function(){return this.extend},historySize:function(){var d,e,a=this.history,b=0,c=0;for(d=0;d<a.done.length;d++)a.done[d].ranges||++b;for(e=0;e<a.undone.length;e++)a.undone[e].ranges||++c;return{undo:b,redo:c}},clearHistory:function(){this.history=new ag(this.history.maxGeneration)},markClean:function(){this.cleanGeneration=this.changeGeneration(!0)},changeGeneration:function(a){return a&&(this.history.lastOp=this.history.lastSelOp=this.history.lastOrigin=null),this.history.generation},isClean:function(a){return this.history.generation==(a||this.cleanGeneration)},getHistory:function(){return{done:mg(this.history.done),undone:mg(this.history.undone)}},setHistory:function(a){var b=this.history=new ag(this.history.maxGeneration);b.done=mg(a.done.slice(0),null,!0),b.undone=mg(a.undone.slice(0),null,!0)},setGutterMarker:uf(function(a,b,c){return Og(this,a,"gutter",function(a){var d=a.gutterMarkers||(a.gutterMarkers={});return d[b]=c,!c&&ab(d)&&(a.gutterMarkers=null),!0})}),clearGutter:uf(function(a){var b=this,c=this.first;this.iter(function(d){d.gutterMarkers&&d.gutterMarkers[a]&&Og(b,d,"gutter",function(){return d.gutterMarkers[a]=null,ab(d.gutterMarkers)&&(d.gutterMarkers=null),!0}),++c})}),lineInfo:function(a){var b;if("number"==typeof a){if(!kb(this,a))return null;if(b=a,a=eb(this,a),!a)return null}else if(b=ib(a),null==b)return null;return{line:b,handle:a,text:a.text,gutterMarkers:a.gutterMarkers,textClass:a.textClass,bgClass:a.bgClass,wrapClass:a.wrapClass,widgets:a.widgets}},addLineClass:uf(function(a,b,c){return Og(this,a,"gutter"==b?"gutter":"class",function(a){var d="text"==b?"textClass":"background"==b?"bgClass":"gutter"==b?"gutterClass":"wrapClass";if(a[d]){if(w(c).test(a[d]))return!1;a[d]+=" "+c}else a[d]=c;return!0})}),removeLineClass:uf(function(a,b,c){return Og(this,a,"gutter"==b?"gutter":"class",function(a){var f,g,d="text"==b?"textClass":"background"==b?"bgClass":"gutter"==b?"gutterClass":"wrapClass",e=a[d];if(!e)return!1;if(null==c)a[d]=null;else{if(f=e.match(w(c)),!f)return!1;g=f.index+f[0].length,a[d]=e.slice(0,f.index)+(f.index&&g!=e.length?" ":"")+e.slice(g)||null}return!0})}),addLineWidget:uf(function(a,b,c){return Tg(this,a,b,c)}),removeLineWidget:function(a){a.clear()},markText:function(a,b,c){return Wg(this,sb(this,a),sb(this,b),c,c&&c.type||"range")},setBookmark:function(a,b){var c={replacedWith:b&&(null==b.nodeType?b.widget:b),insertLeft:b&&b.insertLeft,clearWhenEmpty:!1,shared:b&&b.shared,handleMouseEvents:b&&b.handleMouseEvents};return a=sb(this,a),Wg(this,a,a,c,"bookmark")},findMarksAt:function(a){var b,c,d,e;if(a=sb(this,a),b=[],c=eb(this,a.line).markedSpans,c)for(d=0;d<c.length;++d)e=c[d],(null==e.from||e.from<=a.ch)&&(null==e.to||e.to>=a.ch)&&b.push(e.marker.parent||e.marker);return b},findMarks:function(a,b,c){a=sb(this,a),b=sb(this,b);var d=[],e=a.line;return this.iter(a.line,b.line+1,function(f){var h,i,g=f.markedSpans;if(g)for(h=0;h<g.length;h++)i=g[h],null!=i.to&&e==a.line&&a.ch>=i.to||null==i.from&&e!=a.line||null!=i.from&&e==b.line&&i.from>=b.ch||c&&!c(i.marker)||d.push(i.marker.parent||i.marker);++e}),d},getAllMarks:function(){var a=[];return this.iter(function(b){var d,c=b.markedSpans;if(c)for(d=0;d<c.length;++d)null!=c[d].from&&a.push(c[d].marker)}),a},posFromIndex:function(a){var b,c=this.first,d=this.lineSeparator().length;return this.iter(function(e){var f=e.text.length+d;return f>a?(b=a,!0):(a-=f,++c,void 0)}),sb(this,mb(c,b))},indexFromPos:function(a){var b,c;return a=sb(this,a),b=a.ch,a.line<this.first||a.ch<0?0:(c=this.lineSeparator().length,this.iter(this.first,a.line,function(a){b+=a.text.length+c}),b)},copy:function(a){var b=new bh(gb(this,this.first,this.first+this.size),this.modeOption,this.first,this.lineSep);return b.scrollTop=this.scrollTop,b.scrollLeft=this.scrollLeft,b.sel=this.sel,b.extend=!1,a&&(b.history.undoDepth=this.history.undoDepth,b.setHistory(this.getHistory())),b},linkedDoc:function(a){var b,c,d;return a||(a={}),b=this.first,c=this.first+this.size,null!=a.from&&a.from>b&&(b=a.from),null!=a.to&&a.to<c&&(c=a.to),d=new bh(gb(this,b,c),a.mode||this.modeOption,b,this.lineSep),a.sharedHist&&(d.history=this.history),(this.linked||(this.linked=[])).push({doc:d,sharedHist:a.sharedHist}),d.linked=[{doc:this,isParent:!0,sharedHist:a.sharedHist}],$g(d,Zg(this)),d},unlinkDoc:function(a){var c,d,e,b=this;if(a instanceof di&&(a=a.doc),this.linked)for(c=0;c<this.linked.length;++c)if(d=b.linked[c],d.doc==a){b.linked.splice(c,1),a.unlinkDoc(b),_g(Zg(b));break}a.history==this.history&&(e=[a.id],$f(a,function(a){return e.push(a.id)},!0),a.history=new ag(null),a.history.done=mg(this.history.done,e),a.history.undone=mg(this.history.undone,e))},iterLinkedDocs:function(a){$f(this,a)},getMode:function(){return this.mode},getEditor:function(){return this.cm},splitLines:function(a){return this.lineSep?a.split(this.lineSep):Fc(a)},lineSeparator:function(){return this.lineSep||"\n"}}),bh.prototype.eachLine=bh.prototype.iter,ch=0,ih=!1,mh={3:"Enter",8:"Backspace",9:"Tab",13:"Enter",16:"Shift",17:"Ctrl",18:"Alt",19:"Pause",20:"CapsLock",27:"Esc",32:"Space",33:"PageUp",34:"PageDown",35:"End",36:"Home",37:"Left",38:"Up",39:"Right",40:"Down",44:"PrintScrn",45:"Insert",46:"Delete",59:";",61:"=",91:"Mod",92:"Mod",93:"Mod",106:"*",107:"=",109:"-",110:".",111:"/",127:"Delete",173:"-",186:";",187:"=",188:",",189:"-",190:".",191:"/",192:"`",219:"[",220:"\\",221:"]",222:"'",63232:"Up",63233:"Down",63234:"Left",63235:"Right",63272:"Delete",63273:"Home",63275:"End",63276:"PageUp",63277:"PageDown",63302:"Insert"};for(nh=0;10>nh;nh++)mh[nh+48]=mh[nh+96]=String(nh);
for(oh=65;90>=oh;oh++)mh[oh]=String.fromCharCode(oh);for(ph=1;12>=ph;ph++)mh[ph+111]=mh[ph+63235]="F"+ph;qh={},qh.basic={Left:"goCharLeft",Right:"goCharRight",Up:"goLineUp",Down:"goLineDown",End:"goLineEnd",Home:"goLineStartSmart",PageUp:"goPageUp",PageDown:"goPageDown",Delete:"delCharAfter",Backspace:"delCharBefore","Shift-Backspace":"delCharBefore",Tab:"defaultTab","Shift-Tab":"indentAuto",Enter:"newlineAndIndent",Insert:"toggleOverwrite",Esc:"singleSelection"},qh.pcDefault={"Ctrl-A":"selectAll","Ctrl-D":"deleteLine","Ctrl-Z":"undo","Shift-Ctrl-Z":"redo","Ctrl-Y":"redo","Ctrl-Home":"goDocStart","Ctrl-End":"goDocEnd","Ctrl-Up":"goLineUp","Ctrl-Down":"goLineDown","Ctrl-Left":"goGroupLeft","Ctrl-Right":"goGroupRight","Alt-Left":"goLineStart","Alt-Right":"goLineEnd","Ctrl-Backspace":"delGroupBefore","Ctrl-Delete":"delGroupAfter","Ctrl-S":"save","Ctrl-F":"find","Ctrl-G":"findNext","Shift-Ctrl-G":"findPrev","Shift-Ctrl-F":"replace","Shift-Ctrl-R":"replaceAll","Ctrl-[":"indentLess","Ctrl-]":"indentMore","Ctrl-U":"undoSelection","Shift-Ctrl-U":"redoSelection","Alt-U":"redoSelection",fallthrough:"basic"},qh.emacsy={"Ctrl-F":"goCharRight","Ctrl-B":"goCharLeft","Ctrl-P":"goLineUp","Ctrl-N":"goLineDown","Alt-F":"goWordRight","Alt-B":"goWordLeft","Ctrl-A":"goLineStart","Ctrl-E":"goLineEnd","Ctrl-V":"goPageDown","Shift-Ctrl-V":"goPageUp","Ctrl-D":"delCharAfter","Ctrl-H":"delCharBefore","Alt-D":"delWordAfter","Alt-Backspace":"delWordBefore","Ctrl-K":"killLine","Ctrl-T":"transposeChars","Ctrl-O":"openLine"},qh.macDefault={"Cmd-A":"selectAll","Cmd-D":"deleteLine","Cmd-Z":"undo","Shift-Cmd-Z":"redo","Cmd-Y":"redo","Cmd-Home":"goDocStart","Cmd-Up":"goDocStart","Cmd-End":"goDocEnd","Cmd-Down":"goDocEnd","Alt-Left":"goGroupLeft","Alt-Right":"goGroupRight","Cmd-Left":"goLineLeft","Cmd-Right":"goLineRight","Alt-Backspace":"delGroupBefore","Ctrl-Alt-Backspace":"delGroupAfter","Alt-Delete":"delGroupAfter","Cmd-S":"save","Cmd-F":"find","Cmd-G":"findNext","Shift-Cmd-G":"findPrev","Cmd-Alt-F":"replace","Shift-Cmd-Alt-F":"replaceAll","Cmd-[":"indentLess","Cmd-]":"indentMore","Cmd-Backspace":"delWrappedLineLeft","Cmd-Delete":"delWrappedLineRight","Cmd-U":"undoSelection","Shift-Cmd-U":"redoSelection","Ctrl-Up":"goDocStart","Ctrl-Down":"goDocEnd",fallthrough:["basic","emacsy"]},qh["default"]=q?qh.macDefault:qh.pcDefault,yh={selectAll:Cg,singleSelection:function(a){return a.setSelection(a.getCursor("anchor"),a.getCursor("head"),O)},killLine:function(a){return xh(a,function(b){if(b.empty()){var c=eb(a.doc,b.head.line).text.length;return b.head.ch==c&&b.head.line<a.lastLine()?{from:b.head,to:mb(b.head.line+1,0)}:{from:b.head,to:mb(b.head.line,c)}}return{from:b.from(),to:b.to()}})},deleteLine:function(a){return xh(a,function(b){return{from:mb(b.from().line,0),to:sb(a.doc,mb(b.to().line+1,0))}})},delLineLeft:function(a){return xh(a,function(a){return{from:mb(a.from().line,0),to:a.from()}})},delWrappedLineLeft:function(a){return xh(a,function(b){var c=a.charCoords(b.head,"div").top+5,d=a.coordsChar({left:0,top:c},"div");return{from:d,to:b.from()}})},delWrappedLineRight:function(a){return xh(a,function(b){var c=a.charCoords(b.head,"div").top+5,d=a.coordsChar({left:a.display.lineDiv.offsetWidth+100,top:c},"div");return{from:b.from(),to:d}})},undo:function(a){return a.undo()},redo:function(a){return a.redo()},undoSelection:function(a){return a.undoSelection()},redoSelection:function(a){return a.redoSelection()},goDocStart:function(a){return a.extendSelection(mb(a.firstLine(),0))},goDocEnd:function(a){return a.extendSelection(mb(a.lastLine()))},goLineStart:function(a){return a.extendSelectionsBy(function(b){return zh(a,b.head.line)},{origin:"+move",bias:1})},goLineStartSmart:function(a){return a.extendSelectionsBy(function(b){return Bh(a,b.head)},{origin:"+move",bias:1})},goLineEnd:function(a){return a.extendSelectionsBy(function(b){return Ah(a,b.head.line)},{origin:"+move",bias:-1})},goLineRight:function(a){return a.extendSelectionsBy(function(b){var c=a.charCoords(b.head,"div").top+5;return a.coordsChar({left:a.display.lineDiv.offsetWidth+100,top:c},"div")},Q)},goLineLeft:function(a){return a.extendSelectionsBy(function(b){var c=a.charCoords(b.head,"div").top+5;return a.coordsChar({left:0,top:c},"div")},Q)},goLineLeftSmart:function(a){return a.extendSelectionsBy(function(b){var c=a.charCoords(b.head,"div").top+5,d=a.coordsChar({left:0,top:c},"div");return d.ch<a.getLine(d.line).search(/\S/)?Bh(a,b.head):d},Q)},goLineUp:function(a){return a.moveV(-1,"line")},goLineDown:function(a){return a.moveV(1,"line")},goPageUp:function(a){return a.moveV(-1,"page")},goPageDown:function(a){return a.moveV(1,"page")},goCharLeft:function(a){return a.moveH(-1,"char")},goCharRight:function(a){return a.moveH(1,"char")},goColumnLeft:function(a){return a.moveH(-1,"column")},goColumnRight:function(a){return a.moveH(1,"column")},goWordLeft:function(a){return a.moveH(-1,"word")},goGroupRight:function(a){return a.moveH(1,"group")},goGroupLeft:function(a){return a.moveH(-1,"group")},goWordRight:function(a){return a.moveH(1,"word")},delCharBefore:function(a){return a.deleteH(-1,"char")},delCharAfter:function(a){return a.deleteH(1,"char")},delWordBefore:function(a){return a.deleteH(-1,"word")},delWordAfter:function(a){return a.deleteH(1,"word")},delGroupBefore:function(a){return a.deleteH(-1,"group")},delGroupAfter:function(a){return a.deleteH(1,"group")},indentAuto:function(a){return a.indentSelection("smart")},indentMore:function(a){return a.indentSelection("add")},indentLess:function(a){return a.indentSelection("subtract")},insertTab:function(a){return a.replaceSelection("	")},insertSoftTab:function(a){var e,f,g,b=[],c=a.listSelections(),d=a.options.tabSize;for(e=0;e<c.length;e++)f=c[e].from(),g=J(a.getLine(f.line),f.ch,d),b.push(T(d-g%d));a.replaceSelections(b)},defaultTab:function(a){a.somethingSelected()?a.indentSelection("add"):a.execCommand("insertTab")},transposeChars:function(a){return rf(a,function(){var d,e,f,g,b=a.listSelections(),c=[];for(d=0;d<b.length;d++)b[d].empty()&&(e=b[d].head,f=eb(a.doc,e.line).text,f&&(e.ch==f.length&&(e=new mb(e.line,e.ch-1)),e.ch>0?(e=new mb(e.line,e.ch+1),a.replaceRange(f.charAt(e.ch-1)+f.charAt(e.ch-2),mb(e.line,e.ch-2),e,"+transpose")):e.line>a.doc.first&&(g=eb(a.doc,e.line-1).text,g&&(e=new mb(e.line,1),a.replaceRange(f.charAt(0)+a.doc.lineSeparator()+g.charAt(g.length-1),mb(e.line-1,g.length-1),e,"+transpose")))),c.push(new Of(e,e)));a.setSelections(c)})},newlineAndIndent:function(a){return rf(a,function(){var c,d,b=a.listSelections();for(c=b.length-1;c>=0;c--)a.replaceRange(a.doc.lineSeparator(),b[c].anchor,b[c].head,"+input");for(b=a.listSelections(),d=0;d<b.length;d++)a.indentLine(b[d].from().line,null,!0);ff(a)})},openLine:function(a){return a.replaceSelection("\n","start")},toggleOverwrite:function(a){return a.toggleOverwrite()}},Eh=new K,Ih=null,Yh={toString:function(){return"CodeMirror.Init"}},Zh={},$h={},di.defaults=Zh,di.optionHandlers=$h,fi=[],di.defineInitHook=function(a){return fi.push(a)},hi=null,pi=function(a){var b=a.optionHandlers,c=a.helpers={};a.prototype={constructor:a,focus:function(){window.focus(),this.display.input.focus()},setOption:function(a,c){var d=this.options,e=d[a];(d[a]!=c||"mode"==a)&&(d[a]=c,b.hasOwnProperty(a)&&sf(this,b[a])(this,c,e),pc(this,"optionChange",this,a))},getOption:function(a){return this.options[a]},getDoc:function(){return this.doc},addKeyMap:function(a,b){this.state.keyMaps[b?"push":"unshift"](wh(a))},removeKeyMap:function(a){var c,b=this.state.keyMaps;for(c=0;c<b.length;++c)if(b[c]==a||b[c].name==a)return b.splice(c,1),!0},addOverlay:tf(function(b,c){var d=b.token?b:a.getMode(this.options,b);if(d.startState)throw new Error("Overlays may not be stateful.");W(this.state.overlays,{mode:d,modeSpec:b,opaque:c&&c.opaque,priority:c&&c.priority||0},function(a){return a.priority}),this.state.modeGen++,vf(this)}),removeOverlay:tf(function(a){var d,e,b=this,c=this.state.overlays;for(d=0;d<c.length;++d)if(e=c[d].modeSpec,e==a||"string"==typeof a&&e.name==a)return c.splice(d,1),b.state.modeGen++,vf(b),void 0}),indentLine:tf(function(a,b,c){"string"!=typeof b&&"number"!=typeof b&&(b=null==b?this.options.smartIndent?"smart":"prev":b?"add":"subtract"),kb(this.doc,a)&&gi(this,a,b,c)}),indentSelection:tf(function(a){var e,f,g,h,i,j,k,b=this,c=this.doc.sel.ranges,d=-1;for(e=0;e<c.length;e++)if(f=c[e],f.empty())f.head.line>d&&(gi(b,f.head.line,a,!0),d=f.head.line,e==b.doc.sel.primIndex&&ff(b));else{for(g=f.from(),h=f.to(),i=Math.max(d,g.line),d=Math.min(b.lastLine(),h.line-(h.ch?0:1))+1,j=i;d>j;++j)gi(b,j,a);k=b.doc.sel.ranges,0==g.ch&&c.length==k.length&&k[e].from().ch>0&&qg(b.doc,e,new Of(g,k[e].to()),O)}}),getTokenAt:function(a,b){return ad(this,a,b)},getLineTokens:function(a,b){return ad(this,mb(a),b,!0)},getTokenTypeAt:function(a){var b,c,d,e,f,g,h;if(a=sb(this.doc,a),b=Xc(this,eb(this.doc,a.line)),c=0,d=(b.length-1)/2,e=a.ch,0==e)f=b[2];else for(;;)if(g=c+d>>1,(g?b[2*g-1]:0)>=e)d=g;else{if(!(b[2*g+1]<e)){f=b[2*g+2];break}c=g+1}return h=f?f.indexOf("overlay "):-1,0>h?f:0==h?null:f.slice(0,h-1)},getModeAt:function(b){var c=this.doc.mode;return c.innerMode?a.innerMode(c,this.getTokenAt(b).state).mode:c},getHelper:function(a,b){return this.getHelpers(a,b)[0]},getHelpers:function(a,b){var f,g,h,i,j,k,d=this,e=[];if(!c.hasOwnProperty(b))return e;if(f=c[b],g=this.getModeAt(a),"string"==typeof g[b])f[g[b]]&&e.push(f[g[b]]);else if(g[b])for(h=0;h<g[b].length;h++)i=f[g[b][h]],i&&e.push(i);else g.helperType&&f[g.helperType]?e.push(f[g.helperType]):f[g.name]&&e.push(f[g.name]);for(j=0;j<f._global.length;j++)k=f._global[j],k.pred(g,d)&&-1==L(e,k.val)&&e.push(k.val);return e},getStateAfter:function(a,b){var c=this.doc;return a=rb(c,null==a?c.first+c.size-1:a),Yc(this,a+1,b)},cursorCoords:function(a,b){var c,d=this.doc.sel.primary();return c=null==a?d.head:"object"==typeof a?sb(this.doc,a):a?d.from():d.to(),me(this,c,b||"page")},charCoords:function(a,b){return le(this,sb(this.doc,a),b||"page")},coordsChar:function(a,b){return a=ke(this,a,b||"page"),pe(this,a.left,a.top)},lineAtHeight:function(a,b){return a=ke(this,{top:a,left:0},b||"page").top,jb(this.doc,a+this.display.viewOffset)},heightAtLine:function(a,b,c){var e,f,d=!1;return"number"==typeof a?(f=this.doc.first+this.doc.size-1,a<this.doc.first?a=this.doc.first:a>f&&(a=f,d=!0),e=eb(this.doc,a)):e=a,je(this,e,{top:0,left:0},b||"page",c).top+(d?this.doc.height-Xb(e):0)},defaultTextHeight:function(){return se(this.display)},defaultCharWidth:function(){return te(this.display)},getViewport:function(){return{from:this.display.viewFrom,to:this.display.viewTo}},addWidget:function(a,b,c,d,e){var g,h,i,j,f=this.display;a=me(this,sb(this.doc,a)),g=a.bottom,h=a.left,b.style.position="absolute",b.setAttribute("cm-ignore-events","true"),this.display.input.setUneditable(b),f.sizer.appendChild(b),"over"==d?g=a.top:("above"==d||"near"==d)&&(i=Math.max(f.wrapper.clientHeight,this.doc.height),j=Math.max(f.sizer.clientWidth,f.lineSpace.clientWidth),("above"==d||a.bottom+b.offsetHeight>i)&&a.top>b.offsetHeight?g=a.top-b.offsetHeight:a.bottom+b.offsetHeight<=i&&(g=a.bottom),h+b.offsetWidth>j&&(h=j-b.offsetWidth)),b.style.top=g+"px",b.style.left=b.style.right="","right"==e?(h=f.sizer.clientWidth-b.offsetWidth,b.style.right="0px"):("left"==e?h=0:"middle"==e&&(h=(f.sizer.clientWidth-b.offsetWidth)/2),b.style.left=h+"px"),c&&cf(this,h,g,h+b.offsetWidth,g+b.offsetHeight)},triggerOnKeyDown:tf(Jh),triggerOnKeyPress:tf(Mh),triggerOnKeyUp:Lh,execCommand:function(a){return yh.hasOwnProperty(a)?yh[a].call(null,this):void 0},triggerElectric:tf(function(a){li(this,a)}),findPosH:function(a,b,c,d){var g,h,e=this,f=1;for(0>b&&(f=-1,b=-b),g=sb(this.doc,a),h=0;b>h&&(g=qi(e.doc,g,f,c,d),!g.hitSide);++h);return g},moveH:tf(function(a,b){var c=this;this.extendSelectionsBy(function(d){return c.display.shift||c.doc.extend||d.empty()?qi(c.doc,d.head,a,b,c.options.rtlMoveVisually):0>a?d.from():d.to()},Q)}),deleteH:tf(function(a,b){var c=this.doc.sel,d=this.doc;c.somethingSelected()?d.replaceSelection("",null,"+delete"):xh(this,function(c){var e=qi(d,c.head,a,b,!1);return 0>a?{from:e,to:c.head}:{from:c.head,to:e}})}),findPosV:function(a,b,c,d){var h,i,j,e=this,f=1,g=d;for(0>b&&(f=-1,b=-b),h=sb(this.doc,a),i=0;b>i&&(j=me(e,h,"div"),null==g?g=j.left:j.left=g,h=ri(e,j,f,c),!h.hitSide);++i);return h},moveV:tf(function(a,b){var g,c=this,d=this.doc,e=[],f=!this.display.shift&&!d.extend&&d.sel.somethingSelected();if(d.extendSelectionsBy(function(g){var h,i;return f?0>a?g.from():g.to():(h=me(c,g.head,"div"),null!=g.goalColumn&&(h.left=g.goalColumn),e.push(h.left),i=ri(c,h,a,b),"page"==b&&g==d.sel.primary()&&ef(c,null,le(c,i,"div").top-h.top),i)},Q),e.length)for(g=0;g<d.sel.ranges.length;g++)d.sel.ranges[g].goalColumn=e[g]}),findWordAt:function(a){var f,g,h,b=this.doc,c=eb(b,a.line).text,d=a.ch,e=a.ch;if(c){for(f=this.getHelper(a,"wordChars"),(a.xRel<0||e==c.length)&&d?--d:++e,g=c.charAt(d),h=_(g,f)?function(a){return _(a,f)}:/\s/.test(g)?function(a){return/\s/.test(a)}:function(a){return!/\s/.test(a)&&!_(a)};d>0&&h(c.charAt(d-1));)--d;for(;e<c.length&&h(c.charAt(e));)++e}return new Of(mb(a.line,d),mb(a.line,e))},toggleOverwrite:function(a){(null==a||a!=this.state.overwrite)&&((this.state.overwrite=!this.state.overwrite)?E(this.display.cursorDiv,"CodeMirror-overwrite"):x(this.display.cursorDiv,"CodeMirror-overwrite"),pc(this,"overwriteToggle",this,this.state.overwrite))},hasFocus:function(){return this.display.input.getField()==D()},isReadOnly:function(){return!(!this.options.readOnly&&!this.doc.cantEdit)},scrollTo:tf(function(a,b){(null!=a||null!=b)&&gf(this),null!=a&&(this.curOp.scrollLeft=a),null!=b&&(this.curOp.scrollTop=b)}),getScrollInfo:function(){var a=this.display.scroller;return{left:a.scrollLeft,top:a.scrollTop,height:a.scrollHeight-Rd(this)-this.display.barHeight,width:a.scrollWidth-Rd(this)-this.display.barWidth,clientHeight:Td(this),clientWidth:Sd(this)}},scrollIntoView:tf(function(a,b){if(null==a?(a={from:this.doc.sel.primary().head,to:null},null==b&&(b=this.options.cursorScrollMargin)):"number"==typeof a?a={from:mb(a,0),to:null}:null==a.from&&(a={from:a,to:null}),a.to||(a.to=a.from),a.margin=b||0,null!=a.from.line)gf(this),this.curOp.scrollToPos=a;else{var c=df(this,Math.min(a.from.left,a.to.left),Math.min(a.from.top,a.to.top)-a.margin,Math.max(a.from.right,a.to.right),Math.max(a.from.bottom,a.to.bottom)+a.margin);this.scrollTo(c.scrollLeft,c.scrollTop)}}),setSize:tf(function(a,b){var e,c=this,d=function(a){return"number"==typeof a||/^\d+$/.test(String(a))?a+"px":a};null!=a&&(this.display.wrapper.style.width=d(a)),null!=b&&(this.display.wrapper.style.height=d(b)),this.options.lineWrapping&&fe(this),e=this.display.viewFrom,this.doc.iter(e,this.display.viewTo,function(a){if(a.widgets)for(var b=0;b<a.widgets.length;b++)if(a.widgets[b].noHScroll){wf(c,e,"widget");break}++e}),this.curOp.forceUpdate=!0,pc(this,"refresh",this)}),operation:function(a){return rf(this,a)},refresh:tf(function(){var a=this.display.cachedTextHeight;vf(this),this.curOp.forceUpdate=!0,ge(this),this.scrollTo(this.doc.scrollLeft,this.doc.scrollTop),Jf(this),(null==a||Math.abs(a-se(this.display))>.5)&&xe(this),pc(this,"refresh",this)}),swapDoc:tf(function(a){var b=this.doc;return b.cm=null,_f(this,a),ge(this),this.display.input.reset(),this.scrollTo(a.scrollLeft,a.scrollTop),this.curOp.forceScroll=!0,yd(this,"swapDoc",this,b),b}),getInputField:function(){return this.display.input.getField()},getWrapperElement:function(){return this.display.wrapper},getScrollerElement:function(){return this.display.scroller},getGutterElement:function(){return this.display.gutters}},tc(a),a.registerHelper=function(b,d,e){c.hasOwnProperty(b)||(c[b]=a[b]={_global:[]}),c[b][d]=e},a.registerGlobalHelper=function(b,d,e,f){a.registerHelper(b,d,f),c[b]._global.push({pred:e,val:f})}},si=function(a){this.cm=a,this.lastAnchorNode=this.lastAnchorOffset=this.lastFocusNode=this.lastFocusOffset=null,this.polling=new K,this.composing=null,this.gracePeriod=!1,this.readDOMTimeout=null},si.prototype.init=function(a){function f(a){var b,f,g,h,i;if(!qc(d,a)){if(d.somethingSelected())ii({lineWise:!1,text:d.getSelections()}),"cut"==a.type&&d.replaceSelection("",null,"cut");else{if(!d.options.lineWiseCopyCut)return;b=mi(d),ii({lineWise:!0,text:b.text}),"cut"==a.type&&d.operation(function(){d.setSelections(b.ranges,0,O),d.replaceSelection("",null,"cut")})}if(a.clipboardData&&(a.clipboardData.clearData(),f=hi.text.join("\n"),a.clipboardData.setData("Text",f),a.clipboardData.getData("Text")==f))return a.preventDefault(),void 0;g=oi(),h=g.firstChild,d.display.lineSpace.insertBefore(g,d.display.lineSpace.firstChild),h.value=hi.text.join("\n"),i=document.activeElement,G(h),setTimeout(function(){d.display.lineSpace.removeChild(g),i.focus(),i==e&&c.showPrimarySelection()},50)}}var b=this,c=this,d=c.cm,e=c.div=a.lineDiv;ni(e,d.options.spellcheck),mc(e,"paste",function(a){qc(d,a)||ki(a,d)||11>=g&&setTimeout(sf(d,function(){c.pollContent()||vf(d)}),20)}),mc(e,"compositionstart",function(a){b.composing={data:a.data,done:!1}}),mc(e,"compositionupdate",function(a){b.composing||(b.composing={data:a.data,done:!1})}),mc(e,"compositionend",function(a){b.composing&&(a.data!=b.composing.data&&b.readFromDOMSoon(),b.composing.done=!0)}),mc(e,"touchstart",function(){return c.forceCompositionEnd()}),mc(e,"input",function(){b.composing||b.readFromDOMSoon()}),mc(e,"copy",f),mc(e,"cut",f)},si.prototype.prepareSelection=function(){var a=Be(this.cm,!1);return a.focus=this.cm.state.focused,a},si.prototype.showSelection=function(a,b){a&&this.cm.display.view.length&&((a.focus||b)&&this.showPrimarySelection(),this.showMultipleSelections(a))},si.prototype.showPrimarySelection=function(){var f,g,h,i,j,k,l,a=window.getSelection(),b=this.cm.doc.sel.primary(),d=wi(this.cm,a.anchorNode,a.anchorOffset),e=wi(this.cm,a.focusNode,a.focusOffset);if((!d||d.bad||!e||e.bad||0!=nb(qb(d,e),b.from())||0!=nb(pb(d,e),b.to()))&&(f=ti(this.cm,b.from()),g=ti(this.cm,b.to()),f||g)){h=this.cm.display.view,i=a.rangeCount&&a.getRangeAt(0),f?g||(j=h[h.length-1].measure,k=j.maps?j.maps[j.maps.length-1]:j.map,g={node:k[k.length-1],offset:k[k.length-2]-k[k.length-3]}):f={node:h[0].measure.map[2],offset:0};try{l=B(f.node,f.offset,g.offset,g.node)}catch(m){}l&&(!c&&this.cm.state.focused?(a.collapse(f.node,f.offset),l.collapsed||(a.removeAllRanges(),a.addRange(l))):(a.removeAllRanges(),a.addRange(l)),i&&null==a.anchorNode?a.addRange(i):c&&this.startGracePeriod()),this.rememberSelection()}},si.prototype.startGracePeriod=function(){var a=this;clearTimeout(this.gracePeriod),this.gracePeriod=setTimeout(function(){a.gracePeriod=!1,a.selectionChanged()&&a.cm.operation(function(){return a.cm.curOp.selectionChanged=!0})},20)},si.prototype.showMultipleSelections=function(a){z(this.cm.display.cursorDiv,a.cursors),z(this.cm.display.selectionDiv,a.selection)},si.prototype.rememberSelection=function(){var a=window.getSelection();this.lastAnchorNode=a.anchorNode,this.lastAnchorOffset=a.anchorOffset,this.lastFocusNode=a.focusNode,this.lastFocusOffset=a.focusOffset},si.prototype.selectionInEditor=function(){var b,a=window.getSelection();return a.rangeCount?(b=a.getRangeAt(0).commonAncestorContainer,C(this.div,b)):!1},si.prototype.focus=function(){"nocursor"!=this.cm.options.readOnly&&(this.selectionInEditor()||this.showSelection(this.prepareSelection(),!0),this.div.focus())},si.prototype.blur=function(){this.div.blur()},si.prototype.getField=function(){return this.div},si.prototype.supportsTouch=function(){return!0},si.prototype.receivedFocus=function(){function b(){a.cm.state.focused&&(a.pollSelection(),a.polling.set(a.cm.options.pollInterval,b))}var a=this;this.selectionInEditor()?this.pollSelection():rf(this.cm,function(){return a.cm.curOp.selectionChanged=!0}),this.polling.set(this.cm.options.pollInterval,b)},si.prototype.selectionChanged=function(){var a=window.getSelection();return a.anchorNode!=this.lastAnchorNode||a.anchorOffset!=this.lastAnchorOffset||a.focusNode!=this.lastFocusNode||a.focusOffset!=this.lastFocusOffset},si.prototype.pollSelection=function(){var a,b,c,d;this.composing||null!=this.readDOMTimeout||this.gracePeriod||!this.selectionChanged()||(a=window.getSelection(),b=this.cm,this.rememberSelection(),c=wi(b,a.anchorNode,a.anchorOffset),d=wi(b,a.focusNode,a.focusOffset),c&&d&&rf(b,function(){ug(b.doc,Qf(c,d),O),(c.bad||d.bad)&&(b.curOp.selectionChanged=!0)}))},si.prototype.pollContent=function(){var a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w;if(null!=this.readDOMTimeout&&(clearTimeout(this.readDOMTimeout),this.readDOMTimeout=null),a=this.cm,b=a.display,c=a.doc.sel.primary(),d=c.from(),e=c.to(),0==d.ch&&d.line>a.firstLine()&&(d=mb(d.line-1,eb(a.doc,d.line-1).length)),e.ch==eb(a.doc,e.line).text.length&&e.line<a.lastLine()&&(e=mb(e.line+1,0)),d.line<b.viewFrom||e.line>b.viewTo-1)return!1;if(d.line==b.viewFrom||0==(f=ze(a,d.line))?(g=ib(b.view[0].line),h=b.view[0].node):(g=ib(b.view[f].line),h=b.view[f-1].node.nextSibling),i=ze(a,e.line),i==b.view.length-1?(j=b.viewTo-1,k=b.lineDiv.lastChild):(j=ib(b.view[i+1].line)-1,k=b.view[i+1].node.previousSibling),!h)return!1;for(l=a.doc.splitLines(vi(a,h,k,g,j)),m=fb(a.doc,mb(g,0),mb(j,eb(a.doc,j).text.length));l.length>1&&m.length>1;)if(U(l)==U(m))l.pop(),m.pop(),j--;else{if(l[0]!=m[0])break;l.shift(),m.shift(),g++}for(n=0,o=0,p=l[0],q=m[0],r=Math.min(p.length,q.length);r>n&&p.charCodeAt(n)==q.charCodeAt(n);)++n;for(s=U(l),t=U(m),u=Math.min(s.length-(1==l.length?n:0),t.length-(1==m.length?n:0));u>o&&s.charCodeAt(s.length-o-1)==t.charCodeAt(t.length-o-1);)++o;return l[l.length-1]=s.slice(0,s.length-o).replace(/^\u200b+/,""),l[0]=l[0].slice(n).replace(/\u200b+$/,""),v=mb(g,n),w=mb(j,m.length?U(m).length-o:0),l.length>1||l[0]||nb(v,w)?(Kg(a.doc,l,v,w,"+input"),!0):void 0},si.prototype.ensurePolled=function(){this.forceCompositionEnd()},si.prototype.reset=function(){this.forceCompositionEnd()},si.prototype.forceCompositionEnd=function(){this.composing&&(clearTimeout(this.readDOMTimeout),this.composing=null,this.pollContent()||vf(this.cm),this.div.blur(),this.div.focus())},si.prototype.readFromDOMSoon=function(){var a=this;null==this.readDOMTimeout&&(this.readDOMTimeout=setTimeout(function(){if(a.readDOMTimeout=null,a.composing){if(!a.composing.done)return;a.composing=null}(a.cm.isReadOnly()||!a.pollContent())&&rf(a.cm,function(){return vf(a.cm)})},80))},si.prototype.setUneditable=function(a){a.contentEditable="false"},si.prototype.onKeyPress=function(a){a.preventDefault(),this.cm.isReadOnly()||sf(this.cm,ji)(this.cm,String.fromCharCode(null==a.charCode?a.keyCode:a.charCode),0)},si.prototype.readOnlyChanged=function(a){this.div.contentEditable=String("nocursor"!=a)},si.prototype.onContextMenu=function(){},si.prototype.resetPosition=function(){},si.prototype.needsContentAttribute=!0,yi=function(a){this.cm=a,this.prevInput="",this.pollingFast=!1,this.polling=new K,this.inaccurateSelection=!1,this.hasSelection=!1,this.composing=null},yi.prototype.init=function(a){function i(a){if(!qc(d,a)){if(d.somethingSelected())ii({lineWise:!1,text:d.getSelections()}),c.inaccurateSelection&&(c.prevInput="",c.inaccurateSelection=!1,h.value=hi.text.join("\n"),G(h));else{if(!d.options.lineWiseCopyCut)return;var b=mi(d);ii({lineWise:!0,text:b.text}),"cut"==a.type?d.setSelections(b.ranges,null,O):(c.prevInput="",h.value=b.text.join("\n"),G(h))}"cut"==a.type&&(d.state.cutIncoming=!0)}}var b=this,c=this,d=this.cm,e=this.wrapper=oi(),h=this.textarea=e.firstChild;a.wrapper.insertBefore(e,a.wrapper.firstChild),o&&(h.style.width="0px"),mc(h,"input",function(){f&&g>=9&&b.hasSelection&&(b.hasSelection=null),c.poll()}),mc(h,"paste",function(a){qc(d,a)||ki(a,d)||(d.state.pasteIncoming=!0,c.fastPoll())}),mc(h,"cut",i),mc(h,"copy",i),mc(a.scroller,"paste",function(b){Nd(a,b)||qc(d,b)||(d.state.pasteIncoming=!0,c.focus())}),mc(a.lineSpace,"selectstart",function(b){Nd(a,b)||uc(b)}),mc(h,"compositionstart",function(){var a=d.getCursor("from");c.composing&&c.composing.range.clear(),c.composing={start:a,range:d.markText(a,d.getCursor("to"),{className:"CodeMirror-composing"})}}),mc(h,"compositionend",function(){c.composing&&(c.poll(),c.composing.range.clear(),c.composing=null)})},yi.prototype.prepareSelection=function(){var e,f,g,a=this.cm,b=a.display,c=a.doc,d=Be(a);return a.options.moveInputWithCursor&&(e=me(a,c.sel.primary().head,"div"),f=b.wrapper.getBoundingClientRect(),g=b.lineDiv.getBoundingClientRect(),d.teTop=Math.max(0,Math.min(b.wrapper.clientHeight-10,e.top+g.top-f.top)),d.teLeft=Math.max(0,Math.min(b.wrapper.clientWidth-10,e.left+g.left-f.left))),d},yi.prototype.showSelection=function(a){var b=this.cm,c=b.display;z(c.cursorDiv,a.cursors),z(c.selectionDiv,a.selection),null!=a.teTop&&(this.wrapper.style.top=a.teTop+"px",this.wrapper.style.left=a.teLeft+"px")},yi.prototype.reset=function(a){var b,c,d,e,h,i;this.contextMenuPending||(d=this.cm,e=d.doc,d.somethingSelected()?(this.prevInput="",h=e.sel.primary(),b=Hc&&(h.to().line-h.from().line>100||(c=d.getSelection()).length>1e3),i=b?"-":c||d.getSelection(),this.textarea.value=i,d.state.focused&&G(this.textarea),f&&g>=9&&(this.hasSelection=i)):a||(this.prevInput=this.textarea.value="",f&&g>=9&&(this.hasSelection=null)),this.inaccurateSelection=b)},yi.prototype.getField=function(){return this.textarea},yi.prototype.supportsTouch=function(){return!1},yi.prototype.focus=function(){if("nocursor"!=this.cm.options.readOnly&&(!p||D()!=this.textarea))try{this.textarea.focus()}catch(a){}},yi.prototype.blur=function(){this.textarea.blur()},yi.prototype.resetPosition=function(){this.wrapper.style.top=this.wrapper.style.left=0},yi.prototype.receivedFocus=function(){this.slowPoll()},yi.prototype.slowPoll=function(){var a=this;this.pollingFast||this.polling.set(this.cm.options.pollInterval,function(){a.poll(),a.cm.state.focused&&a.slowPoll()})},yi.prototype.fastPoll=function(){function c(){var d=b.poll();d||a?(b.pollingFast=!1,b.slowPoll()):(a=!0,b.polling.set(60,c))}var a=!1,b=this;b.pollingFast=!0,b.polling.set(20,c)},yi.prototype.poll=function(){var e,h,i,j,a=this,b=this.cm,c=this.textarea,d=this.prevInput;if(this.contextMenuPending||!b.state.focused||Gc(c)&&!d&&!this.composing||b.isReadOnly()||b.options.disableInput||b.state.keySeq)return!1;if(e=c.value,e==d&&!b.somethingSelected())return!1;if(f&&g>=9&&this.hasSelection===e||q&&/[\uf700-\uf7ff]/.test(e))return b.display.input.reset(),!1;if(b.doc.sel==b.display.selForContextMenu&&(h=e.charCodeAt(0),8203!=h||d||(d="​"),8666==h))return this.reset(),this.cm.execCommand("undo");for(i=0,j=Math.min(d.length,e.length);j>i&&d.charCodeAt(i)==e.charCodeAt(i);)++i;return rf(b,function(){ji(b,e.slice(i),d.length-i,null,a.composing?"*compose":null),e.length>1e3||e.indexOf("\n")>-1?c.value=a.prevInput="":a.prevInput=e,a.composing&&(a.composing.range.clear(),a.composing.range=b.markText(a.composing.start,b.getCursor("to"),{className:"CodeMirror-composing"}))}),!0},yi.prototype.ensurePolled=function(){this.pollingFast&&this.poll()&&(this.pollingFast=!1)},yi.prototype.onKeyPress=function(){f&&g>=9&&(this.hasSelection=null),this.fastPoll()},yi.prototype.onContextMenu=function(a){function q(){var a,f;null!=e.selectionStart&&(a=c.somethingSelected(),f="​"+(a?e.value:""),e.value="⇚",e.value=f,b.prevInput=a?"":"​",e.selectionStart=1,e.selectionEnd=f.length,d.selForContextMenu=c.doc.sel)}function r(){if(b.contextMenuPending=!1,b.wrapper.style.cssText=n,e.style.cssText=m,f&&9>g&&d.scrollbars.setScrollTop(d.scroller.scrollTop=j),null!=e.selectionStart){(!f||f&&9>g)&&q();var a=0,h=function(){d.selForContextMenu==c.doc.sel&&0==e.selectionStart&&e.selectionEnd>0&&"​"==b.prevInput?sf(c,Cg)(c):a++<10?d.detectingSelectAll=setTimeout(h,500):d.input.reset()};d.detectingSelectAll=setTimeout(h,200)}}var l,m,n,o,p,s,b=this,c=b.cm,d=c.display,e=b.textarea,i=ye(c,a),j=d.scroller.scrollTop;i&&!k&&(l=c.options.resetSelectionOnContextMenu,l&&-1==c.doc.sel.contains(i)&&sf(c,ug)(c.doc,Qf(i),O),m=e.style.cssText,n=b.wrapper.style.cssText,b.wrapper.style.cssText="position: absolute",o=b.wrapper.getBoundingClientRect(),e.style.cssText="position: absolute; width: 30px; height: 30px;\n      top: "+(a.clientY-o.top-5)+"px; left: "+(a.clientX-o.left-5)+"px;\n      z-index: 1000; background: "+(f?"rgba(255, 255, 255, .05)":"transparent")+";\n      outline: none; border-width: 0; outline: none; overflow: hidden; opacity: .05; filter: alpha(opacity=5);",h&&(p=window.scrollY),d.input.focus(),h&&window.scrollTo(null,p),d.input.reset(),c.somethingSelected()||(e.value=b.prevInput=" "),b.contextMenuPending=!0,d.selForContextMenu=c.doc.sel,clearTimeout(d.detectingSelectAll),f&&g>=9&&q(),v?(xc(a),s=function(){oc(window,"mouseup",s),setTimeout(r,20)},mc(window,"mouseup",s)):setTimeout(r,50))},yi.prototype.readOnlyChanged=function(a){a||this.reset()},yi.prototype.setUneditable=function(){},yi.prototype.needsContentAttribute=!1,_h(di),pi(di),Bi="iter insert remove copy getEditor constructor".split(" ");for(Ci in bh.prototype)bh.prototype.hasOwnProperty(Ci)&&L(Bi,Ci)<0&&(di.prototype[Ci]=function(a){return function(){return a.apply(this.doc,arguments)}}(bh.prototype[Ci]));return tc(bh),di.inputStyles={textarea:yi,contenteditable:si},di.defineMode=function(a){di.defaults.mode||"null"==a||(di.defaults.mode=a),Mc.apply(this,arguments)},di.defineMIME=Nc,di.defineMode("null",function(){return{token:function(a){return a.skipToEnd()}}}),di.defineMIME("text/plain","null"),di.defineExtension=function(a,b){di.prototype[a]=b},di.defineDocExtension=function(a,b){bh.prototype[a]=b},di.fromTextArea=zi,Ai(di),di.version="5.22.0",di});